<?php
$params = array_merge(
    require(__DIR__ . '/../../common/config/params.php'),
    require(__DIR__ . '/../../common/config/params-local.php'),
    require(__DIR__ . '/params.php'),
    require(__DIR__ . '/params-local.php')
);

return [
    'id' => 'backend',
//    'homeUrl' => '/admin',
    'basePath' => dirname(__DIR__),
    'controllerNamespace' => 'backend\controllers',
    'bootstrap' => ['log'],
    'language' => 'en-US',
    'modules' => [
        'vehicle' => [
            'class' => 'backend\modules\vehicle\VehicleModule',
            'thumbnailSize' => 'original'
        ],
        'dealer' => [
            'class' => 'backend\modules\dealer\DealerModule',
            'thumbnailSize' => 'original'
        ],
        'appointment' => [
            'class' => 'backend\modules\appointment\AppointmentModule',
            'thumbnailSize' => 'original'
        ],
        'users' => [
            'class' => 'backend\modules\signupuser\SignupuserModule',
            'thumbnailSize' => 'original'
        ],
        'transcation' => [
            'class' => 'backend\modules\transcation\TranscationModule',
            'thumbnailSize' => 'original'
        ],
        'faq' => [
            'class' => 'backend\modules\faq\FaqModule',
        ],
        'orders' => [
            'class' => 'backend\modules\orders\OrdersModule',
        ],
        'departments' => [
            'class' => 'backend\modules\departments\DepartmentsModule',
            'thumbnailSize' => 'original'
        ],
        'youtube' => [
            'class' => 'backend\modules\youtube\YoutubeModule',
            'thumbnailSize' => 'original'
        ],
        'testimonial' => [
            'class' => 'backend\modules\testimonial\TestimonialModule',
            'thumbnailSize' => 'original'
        ],
        'general_question' => [
            'class' => 'backend\modules\general_question\GeneralQuestionsModule',
        ],
        'dropdown_list' => [
            'class' => 'backend\modules\dropdown_list\DropdownListModule',
        ],
        'career' => [
            'class' => 'backend\modules\career\CareerModule',
        ],
        'bms' => [
            'class' => 'backend\modules\bms\BmsModule',
            'thumbnailSize' => 'original'
        ],
        'subdistrict' => [
            'class' => 'backend\modules\subdistrict\SubdistrictModule',
        ],
        'district' => [
            'class' => 'backend\modules\district\DistrictModule',
        ],
        'city' => [
            'class' => 'backend\modules\city\CityModule',
        ],
        'payments' => [
            'class' => 'backend\modules\payments\PaymentsModule',
        ],
        'quotes_criteria' => [
            'class' => 'backend\modules\quotes_criteria\QuotesCriteriaModule',
        ],
        'chartbuilder' => [
            'class' => 'yii2learning\chartbuilder\Module'
        ],
        'gridview' => [
            'class' => '\kartik\grid\Module',
        ],
        'quotes_request' => [
            'class' => 'backend\modules\quotes_request\QuotesRequestModule',
        ],
        'contact_us' => [
            'class' => 'backend\modules\contact_us\ContactUsModule',
        ],
        'product' => [
            'class' => 'backend\modules\product\ProductModule',
            'thumbnailSize' => 'original'
        ],
        'header_image' => [
            'class' => 'backend\modules\header_image\HeaderImageModule',
            'thumbnailSize' => 'original'
        ],
        'service_engine' => [
            'class' => 'backend\modules\service_engine\ServiceEngineModule',
        ],
        'achievement' => [
            'class' => 'backend\modules\achievement\AchievementModule',
        ],
        'event' => [
            'class' => 'backend\modules\event\EventModule',
            'thumbnailSize' => 'original'
        ],
        'announcement' => [
            'class' => 'backend\modules\announcement\AnnouncementModule',
            'thumbnailSize' => 'original'
        ],
        'news' => [
            'class' => 'backend\modules\news\NewsModule',
            'thumbnailSize' => 'original'
        ],
        'newsletter' => [
            'class' => 'backend\modules\newsletter\Newsletter',
        ],
        'branch' => [
            'class' => 'backend\modules\branch\BranchModule',
        ],
        'network' => [
            'class' => 'backend\modules\network\NetworkModule',
        ],
        'settings' => [
            'class' => 'yeesoft\settings\SettingsModule',
        ],
        'menu' => [
            'class' => 'yeesoft\menu\MenuModule',
        ],
        'translation' => [
            'class' => 'yeesoft\translation\TranslationModule',
        ],
        'user' => [
            'class' => 'yeesoft\user\UserModule',
        ],
        'media' => [
            'class' => 'yeesoft\media\MediaModule',
            'rename' => 'true',
            'routes' => [
                'baseUrl' => '', // Base absolute path to web directory
                'basePath' => '@backend/web', // Base web directory url
                'uploadPath' => 'uploads', // Path for uploaded files in web directory
            ],
        ],
        'post' => [
            'class' => 'yeesoft\post\PostModule',
            'thumbnailSize' => 'original'
        ],
        'page' => [
            'class' => 'yeesoft\page\PageModule',
            'layout' => '@backend/views/layouts/admin/main',
            'thumbnailSize' => 'original'

        ],
        'seo' => [
            'class' => 'yeesoft\seo\SeoModule',
        ],
        'comment' => [
            'class' => 'yeesoft\comment\CommentModule',
        ],
        'auth' => [
            'class' => 'yeesoft\auth\AuthModule',
            'layout' => '@backend/views/layouts/auth',

        ],
    ],
    'components' => [
        /*'yee' => [
            'class' => 'yeesoft\Yee',
            'emailConfirmationRequired' => false,
            'languages' => [
                 'en' => 'English',
                //'en-US' => 'English',
                'ar' => 'العربية'
            ],
            'languageRedirects' => [
                'en-US' => 'en-US',
            ]
        ],*/
        'view' => [
//            'theme' => [
////                'pathMap' => [
//////                    '@backend/modules/yeesoft/yii2-yee-auth/views/default' => '@backend/views/yii2-yee-auth/default',
//////                    '@backend/modules/yeesoft/yii2-yee-auth/views/layouts' => '@backend/views/layouts'
////                ],
//            ],
        ],
        'formatter' => [
            'class' => 'yii\i18n\Formatter',
            'dateFormat' => 'php:M d, Y',
            'datetimeFormat' => 'php:M d, Y H:i',
            'timeFormat' => 'php:H:i',
            'defaultTimeZone' => 'Asia/Amman',
            'locale' => 'en-US',//force use english format
        ],
        'request' => [
            //'baseUrl' => '/admin',
        ],
        'assetManager' => [
            'bundles' => [
                'yii\bootstrap\BootstrapAsset' => [
                    'sourcePath' => '@backend/modules/yeesoft/yii2-yee-core/assets/theme/bootswatch/custom',
                    'css' => ['bootstrap.css']
                ],
                'wbraganca\dynamicform\DynamicFormAsset' => [
                    'sourcePath' => null,
                    'basePath' => '@webroot',
                    'baseUrl' => '@web',
                    'js' => [
                        YII_ENV_DEV ? 'js/yii2-dynamic-form.js' : 'js/yii2-dynamic-form.min.js'
                    ]
                ],
            ],
        ],
       'urlManager' => [
            'class' => 'yeesoft\web\MultilingualUrlManager',
            'showScriptName' => false,
            'enablePrettyUrl' => true,
            'multilingualRules' => false,
            'rules' => [
                //add here local frontend controllers
                '<module:auth>/<action:(logout|captcha|login)>' => '<module>/default/<action>',
                '<module:auth>/<action:(oauth)>/<authclient:\w+>' => '<module>/default/<action>',

                '<controller:(site)>/<action:\w+>' => '<controller>/<action>',
                //yee cms and other modules routes
                '<module:\w+>/' => '<module>/default/index',
                '<module:\w+>/<action:\w+>/<id:\d+>' => '<module>/default/<action>',
                '<module:\w+>/<action:(create)>' => '<module>/default/<action>',
                '<module:\w+>/<controller:\w+>' => '<module>/<controller>/index',
                '<module:\w+>/<controller:\w+>/<action:\w+>/<id:\d+>' => '<module>/<controller>/<action>',
                '<module:\w+>/<controller:\w+>/<action:\w+>' => '<module>/<controller>/<action>',
            ],
            'nonMultilingualUrls' => [
                'auth/default/oauth',
            ],
        ],
        'urlManagerFrontEnd' => [

            'class' => 'yii\web\urlManager',

            'baseUrl' => '@frontend',
            'enablePrettyUrl' => false,

            'showScriptName' => false,
        ],
        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],
        'errorHandler' => [
            'errorAction' => 'site/error',
        ],
    ],
    'params' => $params,
];
