<?php

namespace backend\controllers;


use backend\modules\vehicle\models\VehicleImages;
use Yii;
use yii\filters\VerbFilter;
use yii\web\Controller;
use yii\web\UploadedFile;

class HomePageVideoController extends Controller
{

    public $layout = '@backend/views/layouts/admin/main.php';

    public function behaviors()
    {
        return [
            'verbs' => [
                'class'   => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    public function actionIndex()
    {
        $model = new VehicleImages();
        $path = Yii::$app->basePath . '/web/uploads/home-page-video/';
        if ($model->load(Yii::$app->request->post())) {

            $image = $model->videoFile = UploadedFile::getInstance($model, 'videoFile');

            if ($image) {
                $model->videoFile = 'home-page-video'. '.' . $image->extension;
                $image->saveAs($path . $model->videoFile);//Upload files to server
                return $this->goHome();
        }
        }
        return  $this->render('index',[
            'model'=>$model,
        ]);
    }
    protected function deleteFile($file)
    {
        $imgpath =   Yii::$app->basePath.'/web/uploads/360images/'.$file;
        if (file_exists ($imgpath))
            unlink ($imgpath);
    }

}
