<?php
/**
 * Created by PhpStorm.
 * User: ajoudeh
 * Date: 7/5/18
 * Time: 10:03 PM
 */

namespace backend\models;

use yeesoft\behaviors\MultilingualSettingsBehavior;
use Yii;


class SiteSettings extends \yeesoft\settings\models\BaseSettingsModel
{
    const GROUP = 'site';

    public $phone;
    public $alternative_phone;
    public $fax;
    public $info_email;
    public $contact_us_email;
    public $facebook_link;
    public $twitter_link;
    public $youtube_link;
    public $instagram_link;
    public $linkedin_link;
    public $career_email;
    public $logo;
    public $main_branch;
    public $map_location_lat;
    public $map_location_lng;
    public $homepage_image;
    public $homepage_text;
    public $homepage_title;
    public $contact_us_text;
    public $places_page_size;
    public $achievement_page_size;
    public $product_page_size;
    public $default_page_size;
    public $cities_title;
    public $cities_text;
    public $working_day_from;
    public $working_day_to;
    public $working_hour_from;
    public $working_hour_to;
    public $for_doctor_text;
    public $for_patient_text;
    public $ask_doctor_text;
    public $address;

    public $homepage_instagram_title;
    public $homepage_instagram_brief;

    public $homepage_offer_title;
    public $homepage_offer_brief;
	public $homepage_video_image_slider;
	


    public $homepage_video;
    public $contact_us_img;
    public $booking_details;

    public $map_iframe_src;


    public $announcement_page_size;
    public $vehicle_page_size;
    public $event_page_size;
    public $album_page_size;
    public $medical_page_size;
    public $testimonials_page_size;
    public $news_page_size;




    public function rules()
    {
        return [
//            [['phone', 'fax', 'email'], 'required'],
            [['map_iframe_src', 'contact_us_img', 'booking_details', 'homepage_video', 'homepage_instagram_title', 'homepage_instagram_brief', 'homepage_offer_title', 'homepage_offer_brief', 'homepage_video_image_slider', 'address', 'phone', 'alternative_phone', 'fax', 'info_email', 'contact_us_email', 'main_branch', 'facebook_link', 'twitter_link', 'youtube_link', 'instagram_link', 'linkedin_link','homepage_title','career_email'], 'string'],
//            [['map_location_lat', 'map_location_lng'], 'number'],
            [['contact_us_email', 'info_email'], 'email'],
            //[['default_page_size'], 'required'],
//            [['news_page_size', 'places_page_size', 'default_page_size', 'achievement_page_size'], 'integer'],
//            ['announcement_page_size', 'default', 'value' => 9],
            ['vehicle_page_size', 'default', 'value' => 9],
            ['event_page_size', 'default', 'value' => 9],
            ['album_page_size', 'default', 'value' => 9],
            ['medical_page_size', 'default', 'value' => 9],
            ['news_page_size', 'default', 'value' => 9],
            ['default_page_size', 'default', 'value' => 9],
				

        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'multilingualSettings' => [
                'class' => MultilingualSettingsBehavior::className(),
                'attributes' => [
                    'contact_us_img', 'address','contact_us_text','homepage_instagram_title', 'homepage_instagram_brief', 'homepage_offer_title', 'homepage_offer_brief',
                  
                ]
            ],
        ];
    }


    public function attributeLabels()
    {
        return [
            'homepage_text' => Yii::t('site', 'Homepage Breif'),
            'homepage_title' => Yii::t('site', 'Homepage Title'),
            'phone' => Yii::t('yee/settings', 'Site Phone'),
            'fax' => Yii::t('yee/settings', 'Site Fax'),
            'contact_us_email' => Yii::t('yee/settings', 'Contact us Email'),
            'info_email' => Yii::t('yee/settings', 'Info Email'),
            'main_branch' => Yii::t('yee/settings', 'Site Main Branch'),
            'verified_filter_txt' => Yii::t('yee/settings', 'Verified Filter Msg'),
            'news_page_size' => Yii::t('site', 'Info Center Page Size'),


        ];
    }


}