<?php

namespace backend\modules\career\models;

use backend\modules\bms\models\Bms;
use Yii;

/**
 * This is the model class for table "recruitment_guidance_bms".
 *
 * @property int $guidance_id
 * @property int $bms_id
 *
 * @property Bms $bms
 * @property RecruitmentGuidance $guidance
 */
class RecruitmentGuidanceBms extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'recruitment_guidance_bms';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['guidance_id', 'bms_id'], 'required'],
            [['guidance_id', 'bms_id'], 'integer'],
            [['guidance_id', 'bms_id'], 'unique', 'targetAttribute' => ['guidance_id', 'bms_id']],
            [['bms_id'], 'exist', 'skipOnError' => true, 'targetClass' => Bms::className(), 'targetAttribute' => ['bms_id' => 'id']],
            [['guidance_id'], 'exist', 'skipOnError' => true, 'targetClass' => RecruitmentGuidance::className(), 'targetAttribute' => ['guidance_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'guidance_id' => 'Guidance ID',
            'bms_id' => 'Bms ID',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getBms()
    {
        return $this->hasOne(Bms::className(), ['id' => 'bms_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getGuidance()
    {
        return $this->hasOne(RecruitmentGuidance::className(), ['id' => 'guidance_id']);
    }
}
