<?php

use backend\modules\career\models\UserVacancy;
use kartik\form\ActiveForm;
use yeesoft\grid\GridPageSize;
use yeesoft\grid\GridQuickLinks;
use yeesoft\grid\GridView;
use yeesoft\helpers\Html;
use yeesoft\models\Role;
use common\models\User;
use yii\base\DynamicModel;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\widgets\Pjax;

/**
 * @var yii\web\View $this
 * @var yii\data\ActiveDataProvider $dataProvider
 * @var yeesoft\user\models\search\UserSearch $searchModel
 */
$this->title = Yii::t('site', 'Users');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-index">

    <div class="row">
        <div class="col-sm-12">
            <h3 class="lte-hide-title page-title"><?= ($model->title) . ' - ' . Html::encode($this->title) ?></h3>
            <?= Html::a(Yii::t('yee', 'Compare User'), [''], ['class' => 'btn btn-sm btn-primary', 'id' => 'compare_user']) ?>

        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-6">

                </div>

                <div class="col-sm-6 text-right">
                </div>
            </div>

            <?php
            //            Pjax::begin([
            //                'id' => 'user-grid-pjax',
            //            ])
            ?>

            <?php try {
                echo GridView::widget([
                    'id' => 'user-vacancy-grid',
                    'dataProvider' => $userAppliedDataProvider,
                    'filterModel' => $searchModel,
//                    'bulkActions' => ' ',
                    'bulkActionOptions' => [
                        'gridId' => 'user-vacancy-grid',
                        'actions' => [
                            Url::to(['compare-user']) => Yii::t('yee', 'Compare Profile'),
                        ]
                    ],
                    'columns' => [
                        ['class' => 'yeesoft\grid\CheckboxColumn', 'options' => ['style' => 'width:10px']],
                        [
                            'attribute' => 'user_id',
                            'controller' => '/career/default',
                            'class' => 'yeesoft\grid\columns\TitleActionColumn',
                            'options' => ['style' => 'width:260px'],
                            'filter' => ArrayHelper::map(UserVacancy::find()->where(['vacancy_id' => $model->id])->all(), 'user_id', 'user.fullName'),

                            'title' => function (\backend\modules\career\models\UserVacancy $model) {
                                return Html::a($model->name, ['view-user-profile', 'u_id' => $model->user_id, 'v_id' => $model->vacancy_id], ['data-pjax' => 0]);

                            },
                            'buttonsTemplate' => '',
                            'buttons' => [
                                'interview' => function ($url, $model, $key) {
                                    return Html::a(Yii::t('yee/user', 'Interview'), '#',
//                                        Url::to(['reject-user', 'v_id' => $model->vacancy_id, 'u_id' => $model->user_id]),
                                        [
//                                            'id' => 'new_import_btn',
                                            'class' => 'interview-action',
                                            'title' => Yii::t('yii', 'Import'),
                                            'data-toggle' => 'modal',
                                            'data-target' => '#popupModal',
                                            'data-u-id' => $model->user_id,
                                            'data-v-id' => $model->vacancy_id,
                                            'data-pjax' => '0',
                                            //'disabled'=>$disabled_create_activity

                                        ]
                                    );
                                },
                                'approve' => function ($url, $model, $key) {
                                    return Html::a(Yii::t('yee/user', 'Approved'),
                                        Url::to(['approve-user', 'v_id' => $model->vacancy_id, 'u_id' => $model->user_id]), [
                                            'title' => Yii::t('yee/user', 'Approved'),
                                            'data-confirm' => 'Are you sure to Approved?',
                                            'data-pjax' => '0'
                                        ]
                                    );
                                },
                                'reject' => function ($url, $model, $key) {
                                    return Html::a(Yii::t('yee/user', 'Reject'),
                                        Url::to(['reject-user', 'v_id' => $model->vacancy_id, 'u_id' => $model->user_id]), [
                                            'title' => Yii::t('yee/user', 'Reject'),
                                            'data-confirm' => 'Are you sure to Reject?',
                                            'data-pjax' => '0',
                                        ]
                                    );
                                },
                            ],
                        ],

                        [
                            'attribute' => 'viewed',
                            'filter' => \common\helpers\Utility::getYesNoList(),
                            'value' => function ($model) {
                                return ($model->viewed ? 'Yes' : 'No');
                            }
                        ],
                        [
                            'attribute' => 'created_at',
                            'label' => 'Applied Date',
                            'format' => 'date',
                        ],

//                        [
//                            'attribute' => 'interview_date',
//                        ],
//                        [
//                            'class' => 'yeesoft\grid\columns\StatusColumn',
//                            'attribute' => 'status',
//                            'optionsArray' => \common\helpers\Utility::getAppliedJobStatusOptionsList(),
//                        ],
                    ],
                ]);
            } catch (Exception $e) {
                var_dump($e->getMessage());
            }
            ?>

            <?php
            //            Pjax::end()
            ?>

        </div>
    </div>
</div>


<div class="modal fade" id="popupModal" modal-type="view">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?= Yii::t('app', 'Interview'); ?></h4>
            </div>
            <div class="modal-body opportunity-details">
                <?php
                $model = new \yii\base\DynamicModel([]);
                $dynamicModel = new DynamicModel([
                    'interview_date', 'u_id', 'v_id'
                ]);
                $dynamicModel->addRule(['interview_date', 'u_id', 'v_id'], 'required');


                $form = ActiveForm::begin([
                    'action' => ['/career/default/set-interview'],
                    'id' => 'interview-form',
                    'validateOnBlur' => false,
                ]);
                echo $form->field($dynamicModel, 'u_id')->hiddenInput()->label(false);
                echo $form->field($dynamicModel, 'v_id')->hiddenInput()->label(false);
                echo $form->field($dynamicModel, 'interview_date')
                    ->widget(\kartik\widgets\DateTimePicker::className(), [
                        'pluginOptions' => [
                            'autoclose' => true,
                        ],
                    ]);
                ?>

            </div>
            <div class="modal-footer">
                <?= Html::submitButton(Yii::t('yee', 'Save'), ['class' => 'btn btn-primary']) ?>

                <a href="#" class="btn btn-primary" data-dismiss="modal"><?= Yii::t('app', 'Close') ?></a>
            </div>
            <?php ActiveForm::end(); ?>


            <script>
                $(document).ready(function ($) {
                    $('#interview-form').on('beforeSubmit', function (e) {

                        e.preventDefault();
                    });

                    $(".interview-action").click(function (e) {
                        var uid = $(this).attr("data-u-id");
                        var vid = $(this).attr("data-v-id");
                        $('#dynamicmodel-u_id').val(uid);
                        $('#dynamicmodel-v_id').val(vid);
                    });
                });

            </script>

        </div>
    </div>
</div>
