<?php

namespace backend\modules\contact_us\models\search;

use backend\modules\contact_us\models\ContactUs;
use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;

/**
 * ContactUsSearch represents the model behind the search form about `backend\modules\contact_us\models\ContactUs`.
 */
class ContactUsSearch extends ContactUs
{
    public $published_at_operand;


    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name', 'email'], 'string'],

        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = ContactUs::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => Yii::$app->request->cookies->getValue('_grid_page_size', 20),
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere(['like', 'name', $this->name])
            ->andFilterWhere(['like', 'email', $this->email]);



        return $dataProvider;
    }
}
