<?php

namespace backend\modules\dropdown_list\controllers;

use backend\modules\dropdown_list\models\DropdownList;
use Yii;
use yeesoft\controllers\admin\BaseController;

use common\models\User;
use yeesoft\helpers\YeeHelper;
use yeesoft\models\OwnerAccess;
use yii\data\ActiveDataProvider;
use yii\helpers\StringHelper;


/**
 * DefaultController implements the CRUD actions for common\models\News model.
 */
class DefaultController extends BaseController
{
    public $modelClass = 'backend\modules\dropdown_list\models\DropdownList';
    public $modelSearchClass = 'backend\modules\dropdown_list\models\search\DropdownListSearch';

    protected function getRedirectPage($action, $model = null)
    {
        switch ($action) {
            case 'delete':
                return ['index'];
                break;
            case 'update':
                return ['update', 'id' => $model->id];
                break;
            case 'create':
                return ['update', 'id' => $model->id];
                break;
            default:
                return parent::getRedirectPage($action, $model);
        }
    }

    public function actionDelete($id)
    {
        $model = DropdownList::find()
          ->where(['id'=>$id])
          ->one();
        if($model->delete()) {
            $delete_delete_dropdown_list_lang = \Yii::$app
                ->db
                ->createCommand()
                ->delete('dropdown_list_lang', ['parent_id' => $id])
                ->execute();
            Yii::$app->session->setFlash('crudMessage', Yii::t('yee', 'Your item has been deleted.'));
            return $this->redirect($this->getRedirectPage('delete', $model));
        }
    }

}