<?php

use backend\modules\dropdown_list\models\DropdownList;
use yeesoft\helpers\Html;
use yeesoft\media\widgets\TinyMce;
use yeesoft\models\User;
use yeesoft\page\models\Page;
use yeesoft\widgets\ActiveForm;
use yeesoft\widgets\LanguagePills;
use yii\base\InvalidConfigException;
use yii\helpers\ArrayHelper;
use yii\jui\DatePicker;

/* @var $this yii\web\View */
/* @var $model DropdownList */
/* @var $form yeesoft\widgets\ActiveForm */
?>
<style>
    .field-dropdownlist-title_ar_ar{
        direction: rtl;
    }
</style>
    <div class="page-form">

        <?php
        $form = ActiveForm::begin([
            'id' => 'page-form',
            'validateOnBlur' => true,
        ])
        ?>
        <?= $form->errorSummary($model, ['class' => 'alert alert-danger']); ?>

        <div class="row">
            <div class="col-md-9">

                <div class="panel panel-default">
                    <div class="panel-body">
                        <?=
                        $form->field($model, 'category')->dropDownList(DropdownList::getCategoryList())
                        ?>
                        <?= $form->field($model, 'title')->textInput(['maxlength' => true]) ?>
                        <div id="color_input" style="display: none">

                        <?= $form->field($model, 'color_code')->widget(\kartik\widgets\ColorInput::className(),[

                        ]) ?>
                        </div>

                        <?= $form->field($model, 'icon')->widget(yeesoft\media\widgets\FileInput::className(), [
                            'name' => 'image',
                            'buttonTag' => 'button',
                            'buttonName' => Yii::t('site', 'Browse'),
                            'buttonOptions' => ['class' => 'btn btn-default btn-file-input'],
                            'options' => ['class' => 'form-control'],
                            'template' => '<div class="dropdownlist-icon thumbnail"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>',
                            'thumb' => 'original',
                            'imageContainer' => '.dropdownlist-icon',
                            'pasteData' => yeesoft\media\widgets\FileInput::DATA_URL,
                            'callbackBeforeInsert' => 'function(e, data) {
                                $(".dropdownlist-icon").show();
                            }',
                        ]) ?>
                    </div>
                </div>
            </div>

            <div class="col-md-3">

                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="record-info">
                            <?php if (!$model->isNewRecord): ?>

                                <div class="form-group clearfix">
                                    <label class="control-label" style="float: left; padding-right: 5px;">
                                        <?= $model->attributeLabels()['created_at'] ?> :
                                    </label>
                                    <span><?= $model->createdDatetime ?></span>
                                </div>

                                <div class="form-group clearfix">
                                    <label class="control-label" style="float: left; padding-right: 5px;">
                                        <?= $model->attributeLabels()['updated_at'] ?> :
                                    </label>
                                    <span><?= $model->updatedDatetime ?></span>
                                </div>

                                <div class="form-group clearfix">
                                    <label class="control-label" style="float: left; padding-right: 5px;">
                                        <?= $model->attributeLabels()['updated_by'] ?> :
                                    </label>
                                    <span><?= $model->updatedBy->username ?></span>
                                </div>

                            <?php endif; ?>

                            <div class="form-group">
                                <?php if ($model->isNewRecord): ?>
                                    <?= Html::submitButton(Yii::t('site', 'Create'), ['class' => 'btn btn-primary']) ?>
                                    <?= Html::a(Yii::t('site', 'Cancel'), ['/dropdown_list/default/index'], ['class' => 'btn btn-default',]) ?>
                                <?php else: ?>
                                    <?= Html::submitButton(Yii::t('site', 'Save'), ['class' => 'btn btn-primary']) ?>
                                    <?=
                                    Html::a(Yii::t('site', 'Delete'), ['/dropdown_list/default/delete', 'id' => $model->id], [
                                        'class' => 'btn btn-default',
                                        'data' => [
                                            'confirm' => Yii::t('yii', 'Are you sure you want to delete this item?'),
                                            'method' => 'post',
                                        ],
                                    ])
                                    ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="panel panel-default">
                    <div class="panel-body">

                        <div class="record-info">

                            <?=
                            $form->field($model, 'published_at')
                                ->widget(DatePicker::className(), ['dateFormat' => 'yyyy-MM-dd', 'options' => ['class' => 'form-control']]);
                            ?>


 <div id="vehicle_manufacturer" style="display: none">
                            <?=
                                $form->field($model, 'parent_id')->label('Vehicle Manufacturer')->dropDownList(ArrayHelper::map(DropdownList::find()->where(['status' => 1, 'category' => DropdownList::VehicleManufacturer])->all(), 'id', 'title'),['prompt'=>'Select Vehicle Manufacturer'])
                            ?>
 </div>
                            <?=
                                $form->field($model, 'status')->dropDownList(DropdownList::getStatusList(),['id'])
                            ?>

                            <?php if (!$model->isNewRecord): ?>
                                <?= $form->field($model, 'created_by')->dropDownList(User::getUsersList()) ?>
                            <?php endif; ?>

                        </div>
                    </div>
                </div>


            </div>
        </div>

        <?php ActiveForm::end(); ?>

    </div>



<?php


$js = <<<JS

    var image = $("#dropdownlist-icon").val();
    if(image.length == 0){
        $('.dropdownlist-icon').hide();
    } else {
        $('.dropdownlist-icon').html('<img src="' + image + '" />');
    }
    
    // if($('#dropdownlist-category').val() == ''){
    //   $('.field-dropdownlist-parent_id').hide();
    // }

    $( document ).ready(function() {
    var cat =  $('#dropdownlist-category').val();
    console.log(cat)
      if( cat == 'VehicleColors' || cat =='VehicleInteriorColor'){
        $('#color_input').css('display','block');
      } else {
        $('#color_input').css('display','none');
      }
    if(cat == 'VehicleModelManufacturer'){
                $('#vehicle_manufacturer').css('display','block');
    } else {
        $('#vehicle_manufacturer').css('display','none');
      }
    });
   $('#dropdownlist-category').on('change', function() {
      if( this.value == 'VehicleColors' || this.value =='VehicleInteriorColor'){
        $('#color_input').css('display','block');
      } else {
        $('#color_input').css('display','none');
      }
       if(this.value == 'VehicleModelManufacturer'){
                $('#vehicle_manufacturer').css('display','block');
    } else {
        $('#vehicle_manufacturer').css('display','none');
      }
    }); 
   
    

JS;

$this->registerJs($js, yii\web\View::POS_END);
?>
