<?php

namespace backend\modules\faq;

/**
 * news module definition class
 */
class FaqModule extends \yii\base\Module
{
    /**
     * {@inheritdoc}
     */
    public $controllerNamespace = 'backend\modules\faq\controllers';
    public $contactModelClass = 'backend\modules\faq\models\FAQContact';
    public $categoryModelClass = 'backend\modules\faq\models\FAQCategory';

    /**
     * Category search model class
     *
     * @var string
     */
    public $categoryModelSearchClass = 'backend\modules\faq\models\search\FAQCategorySearch';
    public $contactModelSearchClass = 'backend\modules\faq\models\search\FAQContactSearch';

    /**
     * Index category view
     *
     * @var string
     */
    public $categoryIndexView = 'index';

    /**
     * View category view
     *
     * @var string
     */
    public $categoryViewView = 'view';

    /**
     * Create category view
     *
     * @var string
     */
    public $categoryCreateView = 'create';

    /**
     * Update category view
     *
     * @var string
     */
    public $categoryUpdateView = 'update';
    public $viewList;
    public $layoutList;

    public $thumbnailSize = 'medium';

    /**
     * {@inheritdoc}
     */

    public function init()
    {
        if (empty($this->viewList)) {
            $this->viewList = [
                'page' => \Yii::t('site', 'Page view')
            ];
        }

        if (empty($this->layoutList)) {
            $this->layoutList = [
                'main' => \Yii::t('site', 'Main layout')
            ];
        }

        parent::init();
    }

}
