<?php

namespace backend\modules\faq\models\search;

use backend\modules\faq\models\FAQCategory;
use backend\modules\faq\models\FAQContact;
use yeesoft\post\models\Category;
use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;

/**
 * CategorySearch represents the model behind the search form about `yeesoft\post\models\Category`.
 */
class FAQContactSearch extends FAQCategory
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
//            [['id', 'visible', 'created_by', 'updated_by', 'parent_id'], 'integer'],
//            [['slug', 'title', 'description', 'created_at', 'updated_at'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = FAQContact::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => Yii::$app->request->cookies->getValue('_grid_page_size', 20),
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            return $dataProvider;
        }

        $query->andFilterWhere([
            'id' => $this->id,
        ]);

//        if (isset($this->parent_id) && $this->parent_id > 1) {
//            $parent = Category::findOne((int)$this->parent_id);
//            $query->andWhere(['>', 'left_border', $parent->left_border]);
//            $query->andWhere(['<', 'right_border', $parent->right_border]);
//        }
//
//        $query->andFilterWhere(['like', 'slug', $this->slug])
//            ->andFilterWhere(['like', 'title', $this->title])
//            ->andFilterWhere(['like', 'description', $this->description]);

        return $dataProvider;
    }
}