<?php

namespace backend\modules\faq\models\search;

use backend\modules\faq\models\FAQ;
use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;

/**
 * NewsSearch represents the model behind the search form about `common\models\News`.
 */
class FAQSearch extends FAQ
{

    public $guidance_id;
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'created_by', 'updated_by', 'guidance_id', 'category_id'], 'integer'],
            [['title'], 'string'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = FAQ::find()->joinWith('translations');

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => Yii::$app->request->cookies->getValue('_grid_page_size', 20),
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ],
            ],
        ]);

        $this->load($params);

//        if (!$this->validate()) {
//            //var_dump($this->getErrors());die();
//            // uncomment the following line if you do not want to return any records when validation fails
//            // $query->where('0=1');
//            return $dataProvider;
//        }

        $query->andFilterWhere([
            'id' => $this->id,
            'created_by' => $this->created_by,
            'updated_by' => $this->updated_by,
//            'category' => $this->category ? : array_combine(array_keys(FAQ::getCategoryList()), array_keys(FAQ::getCategoryList())),
        ]);


        $query->andFilterWhere(['like', 'title', $this->title]);

//        if($this->guidance_id){
//            $query->innerJoinWith('guidanceFAQ');
//            $query->andFilterWhere([
//                'guidance_id' => $this->guidance_id
//            ]);
//        }

        $query->groupBy('id');

        return $dataProvider;
    }
}
