<?php

namespace backend\modules\general_question\models;

use backend\modules\career\models\Vacancy;
use common\models\User;
use Yii;

/**
 * This is the model class for table "user_general_questionnaire_answer".
 *
 * @property int $id
 * @property int $user_id
 * @property int $vacancy_id
 * @property int $generals_question_id
 * @property string $answer
 * @property int $is_correct
 *
 * @property User $user
 * @property Vacancy $vacancy
 * @property GeneralQuestionItem $generalsQuestion
 */
class UserGeneralQuestionnaireAnswer extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'user_general_questionnaire_answer';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['user_id', 'vacancy_id', 'generals_question_id', 'answer', 'is_correct'], 'required'],
            [['user_id', 'vacancy_id', 'generals_question_id', 'is_correct'], 'integer'],
            [['answer'], 'string', 'max' => 255],
            [['user_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['user_id' => 'id']],
            [['vacancy_id'], 'exist', 'skipOnError' => true, 'targetClass' => Vacancy::className(), 'targetAttribute' => ['vacancy_id' => 'id']],
            [['generals_question_id'], 'exist', 'skipOnError' => true, 'targetClass' => GeneralQuestionItem::className(), 'targetAttribute' => ['generals_question_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('site', 'ID'),
            'user_id' => Yii::t('site', 'User ID'),
            'vacancy_id' => Yii::t('site', 'Vacancy ID'),
            'generals_question_id' => Yii::t('site', 'Generals Question ID'),
            'answer' => Yii::t('site', 'Answer'),
            'is_correct' => Yii::t('site', 'Is Correct'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUser()
    {
        return $this->hasOne(User::className(), ['id' => 'user_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getVacancy()
    {
        return $this->hasOne(Vacancy::className(), ['id' => 'vacancy_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getGeneralsQuestion()
    {
        return $this->hasOne(GeneralQuestionItem::className(), ['id' => 'generals_question_id']);
    }
}
