<?php

namespace backend\modules\network;

/**
 * network module definition class
 */
class NetworkModule extends \yii\base\Module
{
    /**
     * {@inheritdoc}
     */
    public $controllerNamespace = 'backend\modules\network\controllers';

    public $viewList;
    public $layoutList;


    /**
     * Category model class
     *
     * @var string
     */
    public $categoryModelClass = 'backend\modules\network\models\Category';

    /**
     * Category search model class
     *
     * @var string
     */
    public $categoryModelSearchClass = 'backend\modules\network\models\search\CategorySearch';

    /**
     * Index category view
     *
     * @var string
     */
    public $categoryIndexView = 'index';

    /**
     * View category view
     *
     * @var string
     */
    public $categoryViewView = 'view';

    /**
     * Create category view
     *
     * @var string
     */
    public $categoryCreateView = 'create';

    /**
     * Update category view
     *
     * @var string
     */
    public $categoryUpdateView = 'update';



    /**
     * {@inheritdoc}
     */

    public function init()
    {
        if (empty($this->viewList)) {
            $this->viewList = [
                'page' => \Yii::t('yee', 'Page view')
            ];
        }

        if (empty($this->layoutList)) {
            $this->layoutList = [
                'main' => \Yii::t('yee', 'Main layout')
            ];
        }

        parent::init();
    }


}
