<?php

use backend\modules\orders\models\Order;
use yeesoft\grid\GridPageSize;
use yeesoft\grid\GridQuickLinks;
use yeesoft\helpers\Html;
use yii\widgets\Pjax;

/* @var $this yii\web\View */
/* @var $searchModel backend\modules\orders\models\search\OrderSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Orders';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="order-index">

    <div class="row">
        <div class="col-sm-12">
            <h3 class="lte-hide-title page-title"><?= Html::encode($this->title) ?></h3>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-6">
                    <?= GridQuickLinks::widget([
                        'model' => Order::className(),
                        'searchModel' => $searchModel,
                        'options' => [
                            ['label' => 'Al', 'filterWhere' => []],
                            ['label' => 'Transaction Successful', 'filterWhere' => ['status' => 'Transaction Successful']],
//                            ['label' => 'Pending', 'filterWhere' => ['<>', 'status', 'Transaction Successful']],
                        ],
                    ]) ?>
                </div>

                <div class="col-sm-6 text-right">
                    <?= GridPageSize::widget(['pjaxId' => 'order-grid-pjax']) ?>
                </div>
            </div>

            <?php
            Pjax::begin([
                'id' => 'order-grid-pjax',
            ])
            ?>

            <?=
            \kartik\grid\GridView::widget([
                'id' => 'order-grid',
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
//                'bulkActionOptions' => [
//                    'gridId' => 'order-grid',
//                    'actions' => [] //Configure here you bulk actions
//                ],
                'columns' => [
                    ['class' => \kartik\grid\SerialColumn::className(), 'options' => ['style' => 'width:10px']],
                    [
//                        'class' => 'yeesoft\grid\columns\TitleActionColumn',
//                        'options' => ['style' => 'width:150px'],
//                        'controller' => '/orders/default',
//                        'buttonsTemplate' => '',
                        'attribute' => 'reference_number',
                        'label' => 'RefID',
                        'format' => 'raw',
                        'value' => function (Order $model) {
                            return Html::a($model->reference_number, ['view', 'id' => $model->id], ['data-pjax' => 0]);
                        },
                    ],

//            'id',

                    [
                        'attribute' => 'status',
                        'format' => 'raw',
                        'value' => function (Order $model) {
                            return $model->status == 'Transaction Successful' ? '<span class="text-success">' . $model->status . '</span>' : '<span class="text-danger">' . $model->status . '</span>';
                        },
                    ],[
                        'attribute' => 'full_name',
                        'value' => function (Order $model) {
                            return $model->getFullName();
                        },
                    ],

//            'last_name',
                    'mobile',
                    'email:email',
//                    'city',
//                    'address_line_1',
//                    'address_line_2',
                    'created_at:datetime',
                    'updated_at:datetime',
//             'reference_number',
                    'total_price',
                    'fees',

                ],
            ]);
            ?>

            <?php Pjax::end() ?>
        </div>
    </div>
</div>


