<?php

use yeesoft\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model backend\modules\orders\models\Order */

$this->title = $model->fullName;
$this->params['breadcrumbs'][] = ['label' => 'Orders', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="order-view">

    <h3 class="lte-hide-title"><?= Html::encode($this->title) ?></h3>

    <div class="panel panel-default">
        <div class="panel-body">

            <p>

            </p>


            <?= DetailView::widget([
                'model' => $model,
                'attributes' => [
//                    'id',
                    'reference_number',
                    [
                        'attribute' => 'status',
                        'format' => 'raw',
                        'value' => $model->status == 'Transaction Successful' ? '<span class="text-success">' . $model->status . '</span>' : '<span class="text-danger">' . $model->status . '</span>',
                    ],
                    'fullName',
//                    'last_name',
                    'mobile',
                    'email:email',
//                    'city',
//                    'address_line_1',
//                    'address_line_2',
                    'created_at:datetime',
                    'updated_at:datetime',
//                    'created_by',
//                    'updated_by',
                    'total_price',
                    'fees',
                ],
            ])
            ?>

            <?php foreach ($model->orderItems as $item) {

                echo DetailView::widget([
                    'model' => $item,
                    'attributes' => [
                        'id',
                        'title',
                        'price',
                    ],
                ]);
            }
            ?>
        </div>
    </div>

</div>
