<?php

use yii\helpers\Url;
use yii\widgets\Pjax;
use yeesoft\grid\GridView;
use yeesoft\grid\GridQuickLinks;
use common\models\Payments;
use yeesoft\helpers\Html;
use yeesoft\grid\GridPageSize;

/* @var $this yii\web\View */
/* @var $searchModel common\models\search\PaymentsSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Payments';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="payments-index">

    <div class="row">
        <div class="col-sm-12">
            <h3 class="lte-hide-title page-title"><?= Html::encode($this->title) ?></h3>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-6">
                    <?php
                    /* Uncomment this to activate GridQuickLinks */
                    /* echo GridQuickLinks::widget([
                        'model' => Payments::className(),
                        'searchModel' => $searchModel,
                    ])*/
                    ?>
                </div>

                <div class="col-sm-6 text-right">
                    <?= GridPageSize::widget(['pjaxId' => 'payments-grid-pjax']) ?>
                </div>
            </div>

            <?php
            Pjax::begin([
                'id' => 'payments-grid-pjax',
            ])
            ?>

            <?php
            try {
                echo GridView::widget([
                    'id' => 'payments-grid',
                    'dataProvider' => $dataProvider,
                    'filterModel' => $searchModel,
                    'bulkActionOptions' => [
                        'gridId' => 'payments-grid',
                        'actions' => [''] //Configure here you bulk actions
                    ],
                    'columns' => [
//                        ['class' => 'yeesoft\grid\CheckboxColumn', 'options' => ['style' => 'width:10px']],
                        ['class' => \yii\grid\SerialColumn::className()],

                        'payment_type',
                        'ref_id',
                        [
                            'attribute' => 'ref_product',
                            'value' => function (Payments $model) {
                                $function = new \ReflectionClass($model->ref_product);
                                return $function->getShortName();
                            },
                            'format' => 'raw',
                            'options' => ['style' => 'width:150px'],
                        ],
                        'amount',
                        'transaction_fee',
                        'payment_status',
                        'payer_mail',
                        'transaction_id',
                        [
                            'class' => 'yeesoft\grid\columns\DateFilterColumn',
                            'attribute' => 'created',
                            'value' => function (Payments $model) {
                                return '<span style="font-size:85%;" class="label label-default' . '">'
                                    . $model->createdDateTime . '</span>';
                            },
                            'format' => 'raw',
                            'options' => ['style' => 'width:150px'],
                        ],
                    ],
                ]);
            } catch (Exception $e) {
                var_dump($e->getMessage());
            }
            ?>

            <?php Pjax::end() ?>
        </div>
    </div>
</div>


