<?php

namespace backend\modules\places\models;

use Yii;

/**
 * This is the model class for table "group".
 *
 * @property int $id
 * @property int $subsector_id
 * @property string $name_en
 * @property string $name_ar
 * @property int $is_hidden
 * @property string $created
 * @property string $updated
 *
 * @property Filter[] $filters
 * @property Subsector $subsector
 */
class Group extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'group';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['subsector_id', 'is_hidden'], 'integer'],
            [['name_en', 'created', 'updated'], 'required'],
            [['created', 'updated'], 'safe'],
            [['name_en', 'name_ar'], 'string', 'max' => 255],
            [['subsector_id'], 'exist', 'skipOnError' => true, 'targetClass' => Subsector::className(), 'targetAttribute' => ['subsector_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('site', 'ID'),
            'subsector_id' => Yii::t('site', 'Subsector ID'),
            'name_en' => Yii::t('site', 'Name En'),
            'name_ar' => Yii::t('site', 'Name Ar'),
            'is_hidden' => Yii::t('site', 'Is Hidden'),
            'created' => Yii::t('site', 'Created'),
            'updated' => Yii::t('site', 'Updated'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getFilters()
    {
        return $this->hasMany(Filter::className(), ['group_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSubsector()
    {
        return $this->hasOne(Subsector::className(), ['id' => 'subsector_id']);
    }

    /**
     * {@inheritdoc}
     * @return GroupQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new GroupQuery(get_called_class());
    }
}
