<?php
/**
 * Created by PhpStorm.
 * User: ajoudeh
 * Date: 7/5/18
 * Time: 10:05 PM
 */

use dosamigos\google\maps\Event;
use dosamigos\google\maps\LatLng;
use dosamigos\google\maps\Map;
use dosamigos\google\maps\overlays\InfoWindow;
use dosamigos\google\maps\overlays\Marker;
use yeesoft\settings\assets\SettingsAsset;
use yeesoft\widgets\ActiveForm;
use kartik\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\models\SiteSettings */
/* @var $form yeesoft\widgets\ActiveForm */


$this->title = Yii::t('yee/settings', 'Personal Accidents Settings');
$this->params['breadcrumbs'][] = $this->title;


SettingsAsset::register($this);
?>

    <div class="page-form">

        <?php
        $form = ActiveForm::begin([
            'id' => 'setting-form',
            'validateOnBlur' => false,
        ])
        ?>

        <div class="row">
            <div class="col-md-9">

                <div class="col-md-4">

                    <div class="panel panel-default">
                        <div class="panel-body">
                            <?= $form->field($model, 'rang_one_limit')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_one_premium')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_one_medical_expenses')->textInput(['maxlength' => true]) ?>

                        </div>
                    </div>
                </div>

                <div class="col-md-4">

                    <div class="panel panel-default">
                        <div class="panel-body">
                            <?= $form->field($model, 'rang_two_limit')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_two_premium')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_two_medical_expenses')->textInput(['maxlength' => true]) ?>

                        </div>
                    </div>
                </div>


                <div class="col-md-4">

                    <div class="panel panel-default">
                        <div class="panel-body">
                            <?= $form->field($model, 'rang_three_limit')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_three_premium')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_three_medical_expenses')->textInput(['maxlength' => true]) ?>

                        </div>
                    </div>
                </div>

                <div class="col-md-4">

                    <div class="panel panel-default">
                        <div class="panel-body">
                            <?= $form->field($model, 'rang_four_limit')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_four_premium')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_four_medical_expenses')->textInput(['maxlength' => true]) ?>

                        </div>
                    </div>
                </div>

                <div class="col-md-4">

                    <div class="panel panel-default">
                        <div class="panel-body">
                            <?= $form->field($model, 'rang_five_limit')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_five_premium')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_five_medical_expenses')->textInput(['maxlength' => true]) ?>

                        </div>
                    </div>
                </div>

                <div class="col-md-4">

                    <div class="panel panel-default">
                        <div class="panel-body">
                            <?= $form->field($model, 'rang_six_limit')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_six_premium')->textInput(['maxlength' => true]) ?>
                            <?= $form->field($model, 'rang_six_medical_expenses')->textInput(['maxlength' => true]) ?>

                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-3">


                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="record-info">
                            <?= $form->field($model, 'discount', [
                                'template' => '{beginLabel}{labelTitle}{endLabel}<div class="input-group">{input}
            <span class="input-group-addon">%</span></div>{error}{hint}'
                            ]); ?>
                            <div class="form-group">

                                <?= Html::submitButton(Yii::t('yee', 'Save'), ['class' => 'btn btn-primary']) ?>

                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>

        <?php ActiveForm::end(); ?>

    </div>


<?php


$js = <<<JS
   
    var image = $("#sitesettings-homepage_image").val();
    if(image.length == 0){
        $('.post-image').hide();
    } else {
        $('.post-image').html('<img src="' + image + '" />');
    }
    

JS;

$this->registerJs($js, yii\web\View::POS_END);
?>