<?php
/**
 * Created by PhpStorm.
 * User: ajoudeh
 * Date: 7/5/18
 * Time: 10:05 PM
 */

use dosamigos\google\maps\Event;
use dosamigos\google\maps\LatLng;
use dosamigos\google\maps\Map;
use dosamigos\google\maps\overlays\InfoWindow;
use dosamigos\google\maps\overlays\Marker;
use yeesoft\settings\assets\SettingsAsset;
use yeesoft\widgets\ActiveForm;
use kartik\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\models\SiteSettings */
/* @var $form yeesoft\widgets\ActiveForm */


$this->title = Yii::t('yee/settings', 'Travel Settings');
$this->params['breadcrumbs'][] = $this->title;


SettingsAsset::register($this);
?>

    <div class="page-form">

        <?php
        $form = ActiveForm::begin([
            'id' => 'setting-form',
            'validateOnBlur' => false,
        ])
        ?>

        <div class="row">
            <div class="col-md-9">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <?= $form->field($model, 'loading_10')->textInput(['maxlength' => true]); ?>
                        <?= $form->field($model, 'loading_18')->textInput(['maxlength' => true]); ?>
                        <?= $form->field($model, 'loading_80')->textInput(['maxlength' => true]); ?>
                    </div>
                </div>
                <div class="col-md-3">

                    <div class="panel panel-default">
                        <div class="panel-body">
                            <?= $form->field($model, 'worldwide_7_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'worldwide_10_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'worldwide_15_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'worldwide_21_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'worldwide_31_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'worldwide_62_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'worldwide_92_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'worldwide_180_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'worldwide_1_year')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'worldwide_2_year')->textInput(['maxlength' => true]); ?>

                        </div>
                    </div>
                </div>

                <div class="col-md-3">

                    <div class="panel panel-default">
                        <div class="panel-body">
                            <?= $form->field($model, 'schengen_7_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'schengen_10_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'schengen_15_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'schengen_21_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'schengen_31_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'schengen_62_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'schengen_92_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'schengen_180_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'schengen_1_year')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'schengen_2_year')->textInput(['maxlength' => true]); ?>

                        </div>
                    </div>
                </div>

                <div class="col-md-3">

                    <div class="panel panel-default">
                        <div class="panel-body">
                            <?= $form->field($model, 'middle_east_7_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'middle_east_10_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'middle_east_15_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'middle_east_21_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'middle_east_31_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'middle_east_62_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'middle_east_92_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'middle_east_180_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'middle_east_1_year')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'middle_east_2_year')->textInput(['maxlength' => true]); ?>

                        </div>
                    </div>
                </div>

                <div class="col-md-3">

                    <div class="panel panel-default">
                        <div class="panel-body">
                            <?= $form->field($model, 'hajj_5_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'hajj_7_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'hajj_10_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'hajj_14_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'hajj_21_days')->textInput(['maxlength' => true]); ?>
                            <?= $form->field($model, 'hajj_31_days')->textInput(['maxlength' => true]); ?>

                        </div>
                    </div>
                </div>


            </div>

            <div class="col-md-3">


                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="record-info">
                            <?= $form->field($model, 'discount', [
                                'template' => '{beginLabel}{labelTitle}{endLabel}<div class="input-group">{input}
            <span class="input-group-addon">%</span></div>{error}{hint}'
                            ]); ?>
                            <div class="form-group">

                                <?= Html::submitButton(Yii::t('yee', 'Save'), ['class' => 'btn btn-primary']) ?>

                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>

        <?php ActiveForm::end(); ?>

    </div>


<?php


$js = <<<JS
   
    var image = $("#sitesettings-homepage_image").val();
    if(image.length == 0){
        $('.post-image').hide();
    } else {
        $('.post-image').html('<img src="' + image + '" />');
    }
    

JS;

$this->registerJs($js, yii\web\View::POS_END);
?>