<?php

namespace backend\modules\quotes_request\models\search;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\modules\quotes_request\models\GroupMedicalInsurance;

/**
 * GroupMedicalInsuranceSearch represents the model behind the search form about `backend\modules\quotes_request\models\GroupMedicalInsurance`.
 */
class GroupMedicalInsuranceSearch extends GroupMedicalInsurance
{
    public $created_operand;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'created', 'updated'], 'integer'],
            [['published_at_operand', 'reference_number', 'title', 'name', 'email', 'mobile_number', 'company_name'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = GroupMedicalInsurance::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => Yii::$app->request->cookies->getValue('_grid_page_size', 20),
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ],
            ],
        ]);

        $this->load($params);
//        if (!$this->validate()) {
//            // uncomment the following line if you do not want to return any records when validation fails
//            // $query->where('0=1');
//            return $dataProvider;
//        }

        $query->andFilterWhere([
            'id' => $this->id,
        ]);
        $query->andFilterWhere([($this->created_operand) ? $this->created_operand : '=', 'created', ($this->created) ? strtotime($this->created) : null]);

        $query->andFilterWhere(['like', 'reference_number', $this->reference_number])
            ->andFilterWhere(['like', 'title', $this->title])
            ->andFilterWhere(['like', 'name', $this->name])
            ->andFilterWhere(['like', 'email', $this->email])
            ->andFilterWhere(['like', 'mobile_number', $this->mobile_number])
            ->andFilterWhere(['like', 'company_name', $this->company_name]);

        return $dataProvider;
    }
}
