<?php

use yii\helpers\Url;
use yii\widgets\Pjax;
use yeesoft\grid\GridView;
use yeesoft\grid\GridQuickLinks;
use backend\modules\quotes_request\models\GroupMedicalInsurance;
use yeesoft\helpers\Html;
use yeesoft\grid\GridPageSize;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Group Medical Insurances';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="group-medical-insurance-index">

    <div class="row">
        <div class="col-sm-12">
            <h3 class="lte-hide-title page-title"><?= Html::encode($this->title) ?></h3>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-6">
                    <?php
                    /* Uncomment this to activate GridQuickLinks */
                    /* echo GridQuickLinks::widget([
                        'model' => GroupMedicalInsurance::className(),
                        'searchModel' => $searchModel,
                    ])*/
                    ?>
                </div>

                <div class="col-sm-6 text-right">
                    <?= GridPageSize::widget(['pjaxId' => 'group-medical-insurance-grid-pjax']) ?>
                </div>
            </div>

            <?php
            Pjax::begin([
                'id' => 'group-medical-insurance-grid-pjax',
            ])
            ?>

            <?php
            try {
                echo GridView::widget([
                    'id' => 'group-medical-insurance-grid',
                    'dataProvider' => $dataProvider,
                    'filterModel' => $searchModel,
                    'bulkActionOptions' => [
                        'gridId' => 'group-medical-insurance-grid',
                        'actions' => [Url::to(['bulk-delete']) => 'Delete'] //Configure here you bulk actions
                    ],
                    'columns' => [
                        ['class' => 'yeesoft\grid\CheckboxColumn', 'options' => ['style' => 'width:10px']],


                        //            'id',
                        //            'reference_number',
                        'title',
                                            'name',
                        'email:email',
                         'mobile_number',
                         'company_name',

                        [
                            'class' => \yeesoft\grid\columns\DateFilterColumn::className(),
                            'attribute' => 'created',
                            'value' => function (GroupMedicalInsurance $model) {
                                return '<span style="font-size:85%;" class="label label-'
                                    . ((time() >= $model->created) ? 'primary' : 'default') . '">'
                                    . $model->createdDateTime . '</span>';
                            },
                            'format' => 'raw',
                            'options' => ['style' => 'width:150px'],
                        ],

                    ],
                ]);
            } catch (Exception $e) {
            }
            ?>

            <?php Pjax::end() ?>
        </div>
    </div>
</div>


