<?php

namespace backend\modules\vehicle\models;

use backend\modules\dropdown_list\models\DropdownList;
use Yii;

/**
 * This is the model class for table "vehicle_remark".
 *
 * @property int $vehicle_id
 * @property int $remark_id
 *
 * @property Vehicle $vehicle
 * @property DropdownList $remark
 */
class VehicleRemark extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'vehicle_remark';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['vehicle_id', 'remark_id'], 'required'],
            [['vehicle_id', 'remark_id'], 'integer'],
            [['vehicle_id', 'remark_id'], 'unique', 'targetAttribute' => ['vehicle_id', 'remark_id']],
            [['vehicle_id'], 'exist', 'skipOnError' => true, 'targetClass' => Vehicle::className(), 'targetAttribute' => ['vehicle_id' => 'id']],
            [['remark_id'], 'exist', 'skipOnError' => true, 'targetClass' => DropdownList::className(), 'targetAttribute' => ['remark_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'vehicle_id' => Yii::t('site', 'Vehicle ID'),
            'remark_id' => Yii::t('site', 'Remark ID'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getVehicle()
    {
        return $this->hasOne(Vehicle::className(), ['id' => 'vehicle_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getRemark()
    {
        return $this->hasOne(DropdownList::className(), ['id' => 'remark_id']);
    }

    /**
     * {@inheritdoc}
     * @return VehicleRemarkQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new VehicleRemarkQuery(get_called_class());
    }
}
