<?php

namespace yeesoft\helpers;

use rmrevin\yii\fontawesome\FA as ParentFA;
use yii\helpers\ArrayHelper;

/**
 * FA helper.
 */
class FA extends ParentFA
{

    public static function getIconsList()
    {
        $icons = FA::getIcons();
        $icons = array_map(function ($item) {
            return "{$item['unicode']} {$item['label']}";
        }, $icons);

        return ArrayHelper::merge(['' => 'No Icon'], $icons);
    }

    /**
     * Get all icons
     * @return array
     */
    public static function getIcons()
    {
        return [
            '500px' => [
                'group' => 'general',
                'icon' => '500px',
                'label' => '500px',
                'unicode' => '&#xf26e;',
            ],
            'adjust' => [
                'group' => 'general',
                'icon' => 'adjust',
                'label' => 'Adjust',
                'unicode' => '&#xf042;',
            ],
            'adn' => [
                'group' => 'general',
                'icon' => 'adn',
                'label' => 'Adn',
                'unicode' => '&#xf170;',
            ],
            'align-center' => [
                'group' => 'general',
                'icon' => 'align-center',
                'label' => 'Align Center',
                'unicode' => '&#xf037;',
            ],
            'align-justify' => [
                'group' => 'general',
                'icon' => 'align-justify',
                'label' => 'Align Justify',
                'unicode' => '&#xf039;',
            ],
            'align-left' => [
                'group' => 'general',
                'icon' => 'align-left',
                'label' => 'Align Left',
                'unicode' => '&#xf036;',
            ],
            'align-right' => [
                'group' => 'general',
                'icon' => 'align-right',
                'label' => 'Align Right',
                'unicode' => '&#xf038;',
            ],
            'amazon' => [
                'group' => 'general',
                'icon' => 'amazon',
                'label' => 'Amazon',
                'unicode' => '&#xf270;',
            ],
            'ambulance' => [
                'group' => 'general',
                'icon' => 'ambulance',
                'label' => 'Ambulance',
                'unicode' => '&#xf0f9;',
            ],
            'anchor' => [
                'group' => 'general',
                'icon' => 'anchor',
                'label' => 'Anchor',
                'unicode' => '&#xf13d;',
            ],
            'android' => [
                'group' => 'general',
                'icon' => 'android',
                'label' => 'Android',
                'unicode' => '&#xf17b;',
            ],
            'angellist' => [
                'group' => 'general',
                'icon' => 'angellist',
                'label' => 'Angellist',
                'unicode' => '&#xf209;',
            ],
            'angle-double-down' => [
                'group' => 'general',
                'icon' => 'angle-double-down',
                'label' => 'Angle Double Down',
                'unicode' => '&#xf103;',
            ],
            'angle-double-left' => [
                'group' => 'general',
                'icon' => 'angle-double-left',
                'label' => 'Angle Double Left',
                'unicode' => '&#xf100;',
            ],
            'angle-double-right' => [
                'group' => 'general',
                'icon' => 'angle-double-right',
                'label' => 'Angle Double Right',
                'unicode' => '&#xf101;',
            ],
            'angle-double-up' => [
                'group' => 'general',
                'icon' => 'angle-double-up',
                'label' => 'Angle Double Up',
                'unicode' => '&#xf102;',
            ],
            'angle-down' => [
                'group' => 'general',
                'icon' => 'angle-down',
                'label' => 'Angle Down',
                'unicode' => '&#xf107;',
            ],
            'angle-left' => [
                'group' => 'general',
                'icon' => 'angle-left',
                'label' => 'Angle Left',
                'unicode' => '&#xf104;',
            ],
            'angle-right' => [
                'group' => 'general',
                'icon' => 'angle-right',
                'label' => 'Angle Right',
                'unicode' => '&#xf105;',
            ],
            'angle-up' => [
                'group' => 'general',
                'icon' => 'angle-up',
                'label' => 'Angle Up',
                'unicode' => '&#xf106;',
            ],
            'apple' => [
                'group' => 'general',
                'icon' => 'apple',
                'label' => 'Apple',
                'unicode' => '&#xf179;',
            ],
            'archive' => [
                'group' => 'general',
                'icon' => 'archive',
                'label' => 'Archive',
                'unicode' => '&#xf187;',
            ],
            'area-chart' => [
                'group' => 'general',
                'icon' => 'area-chart',
                'label' => 'Area Chart',
                'unicode' => '&#xf1fe;',
            ],
            'arrow-circle-down' => [
                'group' => 'general',
                'icon' => 'arrow-circle-down',
                'label' => 'Arrow Circle Down',
                'unicode' => '&#xf0ab;',
            ],
            'arrow-circle-left' => [
                'group' => 'general',
                'icon' => 'arrow-circle-left',
                'label' => 'Arrow Circle Left',
                'unicode' => '&#xf0a8;',
            ],
            'arrow-circle-o-down' => [
                'group' => 'general',
                'icon' => 'arrow-circle-o-down',
                'label' => 'Arrow Circle O Down',
                'unicode' => '&#xf01a;',
            ],
            'arrow-circle-o-left' => [
                'group' => 'general',
                'icon' => 'arrow-circle-o-left',
                'label' => 'Arrow Circle O Left',
                'unicode' => '&#xf190;',
            ],
            'arrow-circle-o-right' => [
                'group' => 'general',
                'icon' => 'arrow-circle-o-right',
                'label' => 'Arrow Circle O Right',
                'unicode' => '&#xf18e;',
            ],
            'arrow-circle-o-up' => [
                'group' => 'general',
                'icon' => 'arrow-circle-o-up',
                'label' => 'Arrow Circle O Up',
                'unicode' => '&#xf01b;',
            ],
            'arrow-circle-right' => [
                'group' => 'general',
                'icon' => 'arrow-circle-right',
                'label' => 'Arrow Circle Right',
                'unicode' => '&#xf0a9;',
            ],
            'arrow-circle-up' => [
                'group' => 'general',
                'icon' => 'arrow-circle-up',
                'label' => 'Arrow Circle Up',
                'unicode' => '&#xf0aa;',
            ],
            'arrow-down' => [
                'group' => 'general',
                'icon' => 'arrow-down',
                'label' => 'Arrow Down',
                'unicode' => '&#xf063;',
            ],
            'arrow-left' => [
                'group' => 'general',
                'icon' => 'arrow-left',
                'label' => 'Arrow Left',
                'unicode' => '&#xf060;',
            ],
            'arrow-right' => [
                'group' => 'general',
                'icon' => 'arrow-right',
                'label' => 'Arrow Right',
                'unicode' => '&#xf061;',
            ],
            'arrow-up' => [
                'group' => 'general',
                'icon' => 'arrow-up',
                'label' => 'Arrow Up',
                'unicode' => '&#xf062;',
            ],
            'arrows' => [
                'group' => 'general',
                'icon' => 'arrows',
                'label' => 'Arrows',
                'unicode' => '&#xf047;',
            ],
            'arrows-alt' => [
                'group' => 'general',
                'icon' => 'arrows-alt',
                'label' => 'Arrows Alt',
                'unicode' => '&#xf0b2;',
            ],
            'arrows-h' => [
                'group' => 'general',
                'icon' => 'arrows-h',
                'label' => 'Arrows H',
                'unicode' => '&#xf07e;',
            ],
            'arrows-v' => [
                'group' => 'general',
                'icon' => 'arrows-v',
                'label' => 'Arrows V',
                'unicode' => '&#xf07d;',
            ],
            'asterisk' => [
                'group' => 'general',
                'icon' => 'asterisk',
                'label' => 'Asterisk',
                'unicode' => '&#xf069;',
            ],
            'at' => [
                'group' => 'general',
                'icon' => 'at',
                'label' => 'At',
                'unicode' => '&#xf1fa;',
            ],
            'automobile' => [
                'group' => 'general',
                'icon' => 'automobile',
                'label' => 'Automobile',
                'unicode' => '&#xf1b9;',
                'alias' => true,
            ],
            'backward' => [
                'group' => 'general',
                'icon' => 'backward',
                'label' => 'Backward',
                'unicode' => '&#xf04a;',
            ],
            'balance-scale' => [
                'group' => 'general',
                'icon' => 'balance-scale',
                'label' => 'Balance Scale',
                'unicode' => '&#xf24e;',
            ],
            'ban' => [
                'group' => 'general',
                'icon' => 'ban',
                'label' => 'Ban',
                'unicode' => '&#xf05e;',
            ],
            'bank' => [
                'group' => 'general',
                'icon' => 'bank',
                'label' => 'Bank',
                'unicode' => '&#xf19c;',
                'alias' => true,
            ],
            'bar-chart' => [
                'group' => 'general',
                'icon' => 'bar-chart',
                'label' => 'Bar Chart',
                'unicode' => '&#xf080;',
            ],
            'bar-chart-o' => [
                'group' => 'general',
                'icon' => 'bar-chart-o',
                'label' => 'Bar Chart O',
                'unicode' => '&#xf080;',
                'alias' => true,
            ],
            'barcode' => [
                'group' => 'general',
                'icon' => 'barcode',
                'label' => 'Barcode',
                'unicode' => '&#xf02a;',
            ],
            'bars' => [
                'group' => 'general',
                'icon' => 'bars',
                'label' => 'Bars',
                'unicode' => '&#xf0c9;',
            ],
            'battery-0' => [
                'group' => 'general',
                'icon' => 'battery-0',
                'label' => 'Battery 0',
                'unicode' => '&#xf244;',
                'alias' => true,
            ],
            'battery-1' => [
                'group' => 'general',
                'icon' => 'battery-1',
                'label' => 'Battery 1',
                'unicode' => '&#xf243;',
                'alias' => true,
            ],
            'battery-2' => [
                'group' => 'general',
                'icon' => 'battery-2',
                'label' => 'Battery 2',
                'unicode' => '&#xf242;',
                'alias' => true,
            ],
            'battery-3' => [
                'group' => 'general',
                'icon' => 'battery-3',
                'label' => 'Battery 3',
                'unicode' => '&#xf241;',
                'alias' => true,
            ],
            'battery-4' => [
                'group' => 'general',
                'icon' => 'battery-4',
                'label' => 'Battery 4',
                'unicode' => '&#xf240;',
                'alias' => true,
            ],
            'battery-empty' => [
                'group' => 'general',
                'icon' => 'battery-empty',
                'label' => 'Battery Empty',
                'unicode' => '&#xf244;',
            ],
            'battery-full' => [
                'group' => 'general',
                'icon' => 'battery-full',
                'label' => 'Battery Full',
                'unicode' => '&#xf240;',
            ],
            'battery-half' => [
                'group' => 'general',
                'icon' => 'battery-half',
                'label' => 'Battery Half',
                'unicode' => '&#xf242;',
            ],
            'battery-quarter' => [
                'group' => 'general',
                'icon' => 'battery-quarter',
                'label' => 'Battery Quarter',
                'unicode' => '&#xf243;',
            ],
            'battery-three-quarters' => [
                'group' => 'general',
                'icon' => 'battery-three-quarters',
                'label' => 'Battery Three Quarters',
                'unicode' => '&#xf241;',
            ],
            'bed' => [
                'group' => 'general',
                'icon' => 'bed',
                'label' => 'Bed',
                'unicode' => '&#xf236;',
            ],
            'beer' => [
                'group' => 'general',
                'icon' => 'beer',
                'label' => 'Beer',
                'unicode' => '&#xf0fc;',
            ],
            'behance' => [
                'group' => 'general',
                'icon' => 'behance',
                'label' => 'Behance',
                'unicode' => '&#xf1b4;',
            ],
            'behance-square' => [
                'group' => 'general',
                'icon' => 'behance-square',
                'label' => 'Behance Square',
                'unicode' => '&#xf1b5;',
            ],
            'bell' => [
                'group' => 'general',
                'icon' => 'bell',
                'label' => 'Bell',
                'unicode' => '&#xf0f3;',
            ],
            'bell-o' => [
                'group' => 'general',
                'icon' => 'bell-o',
                'label' => 'Bell O',
                'unicode' => '&#xf0a2;',
            ],
            'bell-slash' => [
                'group' => 'general',
                'icon' => 'bell-slash',
                'label' => 'Bell Slash',
                'unicode' => '&#xf1f6;',
            ],
            'bell-slash-o' => [
                'group' => 'general',
                'icon' => 'bell-slash-o',
                'label' => 'Bell Slash O',
                'unicode' => '&#xf1f7;',
            ],
            'bicycle' => [
                'group' => 'general',
                'icon' => 'bicycle',
                'label' => 'Bicycle',
                'unicode' => '&#xf206;',
            ],
            'binoculars' => [
                'group' => 'general',
                'icon' => 'binoculars',
                'label' => 'Binoculars',
                'unicode' => '&#xf1e5;',
            ],
            'birthday-cake' => [
                'group' => 'general',
                'icon' => 'birthday-cake',
                'label' => 'Birthday Cake',
                'unicode' => '&#xf1fd;',
            ],
            'bitbucket' => [
                'group' => 'general',
                'icon' => 'bitbucket',
                'label' => 'Bitbucket',
                'unicode' => '&#xf171;',
            ],
            'bitbucket-square' => [
                'group' => 'general',
                'icon' => 'bitbucket-square',
                'label' => 'Bitbucket Square',
                'unicode' => '&#xf172;',
            ],
            'bitcoin' => [
                'group' => 'general',
                'icon' => 'bitcoin',
                'label' => 'Bitcoin',
                'unicode' => '&#xf15a;',
                'alias' => true,
            ],
            'black-tie' => [
                'group' => 'general',
                'icon' => 'black-tie',
                'label' => 'Black Tie',
                'unicode' => '&#xf27e;',
            ],
            'bluetooth' => [
                'group' => 'general',
                'icon' => 'bluetooth',
                'label' => 'Bluetooth',
                'unicode' => '&#xf293;',
            ],
            'bluetooth-b' => [
                'group' => 'general',
                'icon' => 'bluetooth-b',
                'label' => 'Bluetooth B',
                'unicode' => '&#xf294;',
            ],
            'bold' => [
                'group' => 'general',
                'icon' => 'bold',
                'label' => 'Bold',
                'unicode' => '&#xf032;',
            ],
            'bolt' => [
                'group' => 'general',
                'icon' => 'bolt',
                'label' => 'Bolt',
                'unicode' => '&#xf0e7;',
            ],
            'bomb' => [
                'group' => 'general',
                'icon' => 'bomb',
                'label' => 'Bomb',
                'unicode' => '&#xf1e2;',
            ],
            'book' => [
                'group' => 'general',
                'icon' => 'book',
                'label' => 'Book',
                'unicode' => '&#xf02d;',
            ],
            'bookmark' => [
                'group' => 'general',
                'icon' => 'bookmark',
                'label' => 'Bookmark',
                'unicode' => '&#xf02e;',
            ],
            'bookmark-o' => [
                'group' => 'general',
                'icon' => 'bookmark-o',
                'label' => 'Bookmark O',
                'unicode' => '&#xf097;',
            ],
            'briefcase' => [
                'group' => 'general',
                'icon' => 'briefcase',
                'label' => 'Briefcase',
                'unicode' => '&#xf0b1;',
            ],
            'btc' => [
                'group' => 'general',
                'icon' => 'btc',
                'label' => 'Btc',
                'unicode' => '&#xf15a;',
            ],
            'bug' => [
                'group' => 'general',
                'icon' => 'bug',
                'label' => 'Bug',
                'unicode' => '&#xf188;',
            ],
            'building' => [
                'group' => 'general',
                'icon' => 'building',
                'label' => 'Building',
                'unicode' => '&#xf1ad;',
            ],
            'building-o' => [
                'group' => 'general',
                'icon' => 'building-o',
                'label' => 'Building O',
                'unicode' => '&#xf0f7;',
            ],
            'bullhorn' => [
                'group' => 'general',
                'icon' => 'bullhorn',
                'label' => 'Bullhorn',
                'unicode' => '&#xf0a1;',
            ],
            'bullseye' => [
                'group' => 'general',
                'icon' => 'bullseye',
                'label' => 'Bullseye',
                'unicode' => '&#xf140;',
            ],
            'bus' => [
                'group' => 'general',
                'icon' => 'bus',
                'label' => 'Bus',
                'unicode' => '&#xf207;',
            ],
            'buysellads' => [
                'group' => 'general',
                'icon' => 'buysellads',
                'label' => 'Buysellads',
                'unicode' => '&#xf20d;',
            ],
            'cab' => [
                'group' => 'general',
                'icon' => 'cab',
                'label' => 'Cab',
                'unicode' => '&#xf1ba;',
                'alias' => true,
            ],
            'calculator' => [
                'group' => 'general',
                'icon' => 'calculator',
                'label' => 'Calculator',
                'unicode' => '&#xf1ec;',
            ],
            'calendar' => [
                'group' => 'general',
                'icon' => 'calendar',
                'label' => 'Calendar',
                'unicode' => '&#xf073;',
            ],
            'calendar-check-o' => [
                'group' => 'general',
                'icon' => 'calendar-check-o',
                'label' => 'Calendar Check O',
                'unicode' => '&#xf274;',
            ],
            'calendar-minus-o' => [
                'group' => 'general',
                'icon' => 'calendar-minus-o',
                'label' => 'Calendar Minus O',
                'unicode' => '&#xf272;',
            ],
            'calendar-o' => [
                'group' => 'general',
                'icon' => 'calendar-o',
                'label' => 'Calendar O',
                'unicode' => '&#xf133;',
            ],
            'calendar-plus-o' => [
                'group' => 'general',
                'icon' => 'calendar-plus-o',
                'label' => 'Calendar Plus O',
                'unicode' => '&#xf271;',
            ],
            'calendar-times-o' => [
                'group' => 'general',
                'icon' => 'calendar-times-o',
                'label' => 'Calendar Times O',
                'unicode' => '&#xf273;',
            ],
            'camera' => [
                'group' => 'general',
                'icon' => 'camera',
                'label' => 'Camera',
                'unicode' => '&#xf030;',
            ],
            'camera-retro' => [
                'group' => 'general',
                'icon' => 'camera-retro',
                'label' => 'Camera Retro',
                'unicode' => '&#xf083;',
            ],
            'car' => [
                'group' => 'general',
                'icon' => 'car',
                'label' => 'Car',
                'unicode' => '&#xf1b9;',
            ],
            'caret-down' => [
                'group' => 'general',
                'icon' => 'caret-down',
                'label' => 'Caret Down',
                'unicode' => '&#xf0d7;',
            ],
            'caret-left' => [
                'group' => 'general',
                'icon' => 'caret-left',
                'label' => 'Caret Left',
                'unicode' => '&#xf0d9;',
            ],
            'caret-right' => [
                'group' => 'general',
                'icon' => 'caret-right',
                'label' => 'Caret Right',
                'unicode' => '&#xf0da;',
            ],
            'caret-square-o-down' => [
                'group' => 'general',
                'icon' => 'caret-square-o-down',
                'label' => 'Caret Square O Down',
                'unicode' => '&#xf150;',
            ],
            'caret-square-o-left' => [
                'group' => 'general',
                'icon' => 'caret-square-o-left',
                'label' => 'Caret Square O Left',
                'unicode' => '&#xf191;',
            ],
            'caret-square-o-right' => [
                'group' => 'general',
                'icon' => 'caret-square-o-right',
                'label' => 'Caret Square O Right',
                'unicode' => '&#xf152;',
            ],
            'caret-square-o-up' => [
                'group' => 'general',
                'icon' => 'caret-square-o-up',
                'label' => 'Caret Square O Up',
                'unicode' => '&#xf151;',
            ],
            'caret-up' => [
                'group' => 'general',
                'icon' => 'caret-up',
                'label' => 'Caret Up',
                'unicode' => '&#xf0d8;',
            ],
            'cart-arrow-down' => [
                'group' => 'general',
                'icon' => 'cart-arrow-down',
                'label' => 'Cart Arrow Down',
                'unicode' => '&#xf218;',
            ],
            'cart-plus' => [
                'group' => 'general',
                'icon' => 'cart-plus',
                'label' => 'Cart Plus',
                'unicode' => '&#xf217;',
            ],
            'cc' => [
                'group' => 'general',
                'icon' => 'cc',
                'label' => 'Cc',
                'unicode' => '&#xf20a;',
            ],
            'cc-amex' => [
                'group' => 'general',
                'icon' => 'cc-amex',
                'label' => 'Cc Amex',
                'unicode' => '&#xf1f3;',
            ],
            'cc-diners-club' => [
                'group' => 'general',
                'icon' => 'cc-diners-club',
                'label' => 'Cc Diners Club',
                'unicode' => '&#xf24c;',
            ],
            'cc-discover' => [
                'group' => 'general',
                'icon' => 'cc-discover',
                'label' => 'Cc Discover',
                'unicode' => '&#xf1f2;',
            ],
            'cc-jcb' => [
                'group' => 'general',
                'icon' => 'cc-jcb',
                'label' => 'Cc Jcb',
                'unicode' => '&#xf24b;',
            ],
            'cc-mastercard' => [
                'group' => 'general',
                'icon' => 'cc-mastercard',
                'label' => 'Cc Mastercard',
                'unicode' => '&#xf1f1;',
            ],
            'cc-paypal' => [
                'group' => 'general',
                'icon' => 'cc-paypal',
                'label' => 'Cc Paypal',
                'unicode' => '&#xf1f4;',
            ],
            'cc-stripe' => [
                'group' => 'general',
                'icon' => 'cc-stripe',
                'label' => 'Cc Stripe',
                'unicode' => '&#xf1f5;',
            ],
            'cc-visa' => [
                'group' => 'general',
                'icon' => 'cc-visa',
                'label' => 'Cc Visa',
                'unicode' => '&#xf1f0;',
            ],
            'certificate' => [
                'group' => 'general',
                'icon' => 'certificate',
                'label' => 'Certificate',
                'unicode' => '&#xf0a3;',
            ],
            'chain' => [
                'group' => 'general',
                'icon' => 'chain',
                'label' => 'Chain',
                'unicode' => '&#xf0c1;',
                'alias' => true,
            ],
            'chain-broken' => [
                'group' => 'general',
                'icon' => 'chain-broken',
                'label' => 'Chain Broken',
                'unicode' => '&#xf127;',
            ],
            'check' => [
                'group' => 'general',
                'icon' => 'check',
                'label' => 'Check',
                'unicode' => '&#xf00c;',
            ],
            'check-circle' => [
                'group' => 'general',
                'icon' => 'check-circle',
                'label' => 'Check Circle',
                'unicode' => '&#xf058;',
            ],
            'check-circle-o' => [
                'group' => 'general',
                'icon' => 'check-circle-o',
                'label' => 'Check Circle O',
                'unicode' => '&#xf05d;',
            ],
            'check-square' => [
                'group' => 'general',
                'icon' => 'check-square',
                'label' => 'Check Square',
                'unicode' => '&#xf14a;',
            ],
            'check-square-o' => [
                'group' => 'general',
                'icon' => 'check-square-o',
                'label' => 'Check Square O',
                'unicode' => '&#xf046;',
            ],
            'chevron-circle-down' => [
                'group' => 'general',
                'icon' => 'chevron-circle-down',
                'label' => 'Chevron Circle Down',
                'unicode' => '&#xf13a;',
            ],
            'chevron-circle-left' => [
                'group' => 'general',
                'icon' => 'chevron-circle-left',
                'label' => 'Chevron Circle Left',
                'unicode' => '&#xf137;',
            ],
            'chevron-circle-right' => [
                'group' => 'general',
                'icon' => 'chevron-circle-right',
                'label' => 'Chevron Circle Right',
                'unicode' => '&#xf138;',
            ],
            'chevron-circle-up' => [
                'group' => 'general',
                'icon' => 'chevron-circle-up',
                'label' => 'Chevron Circle Up',
                'unicode' => '&#xf139;',
            ],
            'chevron-down' => [
                'group' => 'general',
                'icon' => 'chevron-down',
                'label' => 'Chevron Down',
                'unicode' => '&#xf078;',
            ],
            'chevron-left' => [
                'group' => 'general',
                'icon' => 'chevron-left',
                'label' => 'Chevron Left',
                'unicode' => '&#xf053;',
            ],
            'chevron-right' => [
                'group' => 'general',
                'icon' => 'chevron-right',
                'label' => 'Chevron Right',
                'unicode' => '&#xf054;',
            ],
            'chevron-up' => [
                'group' => 'general',
                'icon' => 'chevron-up',
                'label' => 'Chevron Up',
                'unicode' => '&#xf077;',
            ],
            'child' => [
                'group' => 'general',
                'icon' => 'child',
                'label' => 'Child',
                'unicode' => '&#xf1ae;',
            ],
            'chrome' => [
                'group' => 'general',
                'icon' => 'chrome',
                'label' => 'Chrome',
                'unicode' => '&#xf268;',
            ],
            'circle' => [
                'group' => 'general',
                'icon' => 'circle',
                'label' => 'Circle',
                'unicode' => '&#xf111;',
            ],
            'circle-o' => [
                'group' => 'general',
                'icon' => 'circle-o',
                'label' => 'Circle O',
                'unicode' => '&#xf10c;',
            ],
            'circle-o-notch' => [
                'group' => 'general',
                'icon' => 'circle-o-notch',
                'label' => 'Circle O Notch',
                'unicode' => '&#xf1ce;',
            ],
            'circle-thin' => [
                'group' => 'general',
                'icon' => 'circle-thin',
                'label' => 'Circle Thin',
                'unicode' => '&#xf1db;',
            ],
            'clipboard' => [
                'group' => 'general',
                'icon' => 'clipboard',
                'label' => 'Clipboard',
                'unicode' => '&#xf0ea;',
            ],
            'clock-o' => [
                'group' => 'general',
                'icon' => 'clock-o',
                'label' => 'Clock O',
                'unicode' => '&#xf017;',
            ],
            'clone' => [
                'group' => 'general',
                'icon' => 'clone',
                'label' => 'Clone',
                'unicode' => '&#xf24d;',
            ],
            'close' => [
                'group' => 'general',
                'icon' => 'close',
                'label' => 'Close',
                'unicode' => '&#xf00d;',
                'alias' => true,
            ],
            'cloud' => [
                'group' => 'general',
                'icon' => 'cloud',
                'label' => 'Cloud',
                'unicode' => '&#xf0c2;',
            ],
            'cloud-download' => [
                'group' => 'general',
                'icon' => 'cloud-download',
                'label' => 'Cloud Download',
                'unicode' => '&#xf0ed;',
            ],
            'cloud-upload' => [
                'group' => 'general',
                'icon' => 'cloud-upload',
                'label' => 'Cloud Upload',
                'unicode' => '&#xf0ee;',
            ],
            'cny' => [
                'group' => 'general',
                'icon' => 'cny',
                'label' => 'Cny',
                'unicode' => '&#xf157;',
                'alias' => true,
            ],
            'code' => [
                'group' => 'general',
                'icon' => 'code',
                'label' => 'Code',
                'unicode' => '&#xf121;',
            ],
            'code-fork' => [
                'group' => 'general',
                'icon' => 'code-fork',
                'label' => 'Code Fork',
                'unicode' => '&#xf126;',
            ],
            'codepen' => [
                'group' => 'general',
                'icon' => 'codepen',
                'label' => 'Codepen',
                'unicode' => '&#xf1cb;',
            ],
            'codiepie' => [
                'group' => 'general',
                'icon' => 'codiepie',
                'label' => 'Codiepie',
                'unicode' => '&#xf284;',
            ],
            'coffee' => [
                'group' => 'general',
                'icon' => 'coffee',
                'label' => 'Coffee',
                'unicode' => '&#xf0f4;',
            ],
            'cog' => [
                'group' => 'general',
                'icon' => 'cog',
                'label' => 'Cog',
                'unicode' => '&#xf013;',
            ],
            'cogs' => [
                'group' => 'general',
                'icon' => 'cogs',
                'label' => 'Cogs',
                'unicode' => '&#xf085;',
            ],
            'columns' => [
                'group' => 'general',
                'icon' => 'columns',
                'label' => 'Columns',
                'unicode' => '&#xf0db;',
            ],
            'comment' => [
                'group' => 'general',
                'icon' => 'comment',
                'label' => 'Comment',
                'unicode' => '&#xf075;',
            ],
            'comment-o' => [
                'group' => 'general',
                'icon' => 'comment-o',
                'label' => 'Comment O',
                'unicode' => '&#xf0e5;',
            ],
            'commenting' => [
                'group' => 'general',
                'icon' => 'commenting',
                'label' => 'Commenting',
                'unicode' => '&#xf27a;',
            ],
            'commenting-o' => [
                'group' => 'general',
                'icon' => 'commenting-o',
                'label' => 'Commenting O',
                'unicode' => '&#xf27b;',
            ],
            'comments' => [
                'group' => 'general',
                'icon' => 'comments',
                'label' => 'Comments',
                'unicode' => '&#xf086;',
            ],
            'comments-o' => [
                'group' => 'general',
                'icon' => 'comments-o',
                'label' => 'Comments O',
                'unicode' => '&#xf0e6;',
            ],
            'compass' => [
                'group' => 'general',
                'icon' => 'compass',
                'label' => 'Compass',
                'unicode' => '&#xf14e;',
            ],
            'compress' => [
                'group' => 'general',
                'icon' => 'compress',
                'label' => 'Compress',
                'unicode' => '&#xf066;',
            ],
            'connectdevelop' => [
                'group' => 'general',
                'icon' => 'connectdevelop',
                'label' => 'Connectdevelop',
                'unicode' => '&#xf20e;',
            ],
            'contao' => [
                'group' => 'general',
                'icon' => 'contao',
                'label' => 'Contao',
                'unicode' => '&#xf26d;',
            ],
            'copy' => [
                'group' => 'general',
                'icon' => 'copy',
                'label' => 'Copy',
                'unicode' => '&#xf0c5;',
                'alias' => true,
            ],
            'copyright' => [
                'group' => 'general',
                'icon' => 'copyright',
                'label' => 'Copyright',
                'unicode' => '&#xf1f9;',
            ],
            'creative-commons' => [
                'group' => 'general',
                'icon' => 'creative-commons',
                'label' => 'Creative Commons',
                'unicode' => '&#xf25e;',
            ],
            'credit-card' => [
                'group' => 'general',
                'icon' => 'credit-card',
                'label' => 'Credit Card',
                'unicode' => '&#xf09d;',
            ],
            'credit-card-alt' => [
                'group' => 'general',
                'icon' => 'credit-card-alt',
                'label' => 'Credit Card Alt',
                'unicode' => '&#xf283;',
            ],
            'crop' => [
                'group' => 'general',
                'icon' => 'crop',
                'label' => 'Crop',
                'unicode' => '&#xf125;',
            ],
            'crosshairs' => [
                'group' => 'general',
                'icon' => 'crosshairs',
                'label' => 'Crosshairs',
                'unicode' => '&#xf05b;',
            ],
            'css3' => [
                'group' => 'general',
                'icon' => 'css3',
                'label' => 'Css3',
                'unicode' => '&#xf13c;',
            ],
            'cube' => [
                'group' => 'general',
                'icon' => 'cube',
                'label' => 'Cube',
                'unicode' => '&#xf1b2;',
            ],
            'cubes' => [
                'group' => 'general',
                'icon' => 'cubes',
                'label' => 'Cubes',
                'unicode' => '&#xf1b3;',
            ],
            'cut' => [
                'group' => 'general',
                'icon' => 'cut',
                'label' => 'Cut',
                'unicode' => '&#xf0c4;',
                'alias' => true,
            ],
            'cutlery' => [
                'group' => 'general',
                'icon' => 'cutlery',
                'label' => 'Cutlery',
                'unicode' => '&#xf0f5;',
            ],
            'dashboard' => [
                'group' => 'general',
                'icon' => 'dashboard',
                'label' => 'Dashboard',
                'unicode' => '&#xf0e4;',
                'alias' => true,
            ],
            'dashcube' => [
                'group' => 'general',
                'icon' => 'dashcube',
                'label' => 'Dashcube',
                'unicode' => '&#xf210;',
            ],
            'database' => [
                'group' => 'general',
                'icon' => 'database',
                'label' => 'Database',
                'unicode' => '&#xf1c0;',
            ],
            'dedent' => [
                'group' => 'general',
                'icon' => 'dedent',
                'label' => 'Dedent',
                'unicode' => '&#xf03b;',
                'alias' => true,
            ],
            'delicious' => [
                'group' => 'general',
                'icon' => 'delicious',
                'label' => 'Delicious',
                'unicode' => '&#xf1a5;',
            ],
            'desktop' => [
                'group' => 'general',
                'icon' => 'desktop',
                'label' => 'Desktop',
                'unicode' => '&#xf108;',
            ],
            'deviantart' => [
                'group' => 'general',
                'icon' => 'deviantart',
                'label' => 'Deviantart',
                'unicode' => '&#xf1bd;',
            ],
            'diamond' => [
                'group' => 'general',
                'icon' => 'diamond',
                'label' => 'Diamond',
                'unicode' => '&#xf219;',
            ],
            'digg' => [
                'group' => 'general',
                'icon' => 'digg',
                'label' => 'Digg',
                'unicode' => '&#xf1a6;',
            ],
            'dollar' => [
                'group' => 'general',
                'icon' => 'dollar',
                'label' => 'Dollar',
                'unicode' => '&#xf155;',
                'alias' => true,
            ],
            'dot-circle-o' => [
                'group' => 'general',
                'icon' => 'dot-circle-o',
                'label' => 'Dot Circle O',
                'unicode' => '&#xf192;',
            ],
            'download' => [
                'group' => 'general',
                'icon' => 'download',
                'label' => 'Download',
                'unicode' => '&#xf019;',
            ],
            'dribbble' => [
                'group' => 'general',
                'icon' => 'dribbble',
                'label' => 'Dribbble',
                'unicode' => '&#xf17d;',
            ],
            'dropbox' => [
                'group' => 'general',
                'icon' => 'dropbox',
                'label' => 'Dropbox',
                'unicode' => '&#xf16b;',
            ],
            'drupal' => [
                'group' => 'general',
                'icon' => 'drupal',
                'label' => 'Drupal',
                'unicode' => '&#xf1a9;',
            ],
            'edge' => [
                'group' => 'general',
                'icon' => 'edge',
                'label' => 'Edge',
                'unicode' => '&#xf282;',
            ],
            'edit' => [
                'group' => 'general',
                'icon' => 'edit',
                'label' => 'Edit',
                'unicode' => '&#xf044;',
                'alias' => true,
            ],
            'eject' => [
                'group' => 'general',
                'icon' => 'eject',
                'label' => 'Eject',
                'unicode' => '&#xf052;',
            ],
            'ellipsis-h' => [
                'group' => 'general',
                'icon' => 'ellipsis-h',
                'label' => 'Ellipsis H',
                'unicode' => '&#xf141;',
            ],
            'ellipsis-v' => [
                'group' => 'general',
                'icon' => 'ellipsis-v',
                'label' => 'Ellipsis V',
                'unicode' => '&#xf142;',
            ],
            'empire' => [
                'group' => 'general',
                'icon' => 'empire',
                'label' => 'Empire',
                'unicode' => '&#xf1d1;',
            ],
            'envelope' => [
                'group' => 'general',
                'icon' => 'envelope',
                'label' => 'Envelope',
                'unicode' => '&#xf0e0;',
            ],
            'envelope-o' => [
                'group' => 'general',
                'icon' => 'envelope-o',
                'label' => 'Envelope O',
                'unicode' => '&#xf003;',
            ],
            'envelope-square' => [
                'group' => 'general',
                'icon' => 'envelope-square',
                'label' => 'Envelope Square',
                'unicode' => '&#xf199;',
            ],
            'eraser' => [
                'group' => 'general',
                'icon' => 'eraser',
                'label' => 'Eraser',
                'unicode' => '&#xf12d;',
            ],
            'eur' => [
                'group' => 'general',
                'icon' => 'eur',
                'label' => 'Eur',
                'unicode' => '&#xf153;',
            ],
            'euro' => [
                'group' => 'general',
                'icon' => 'euro',
                'label' => 'Euro',
                'unicode' => '&#xf153;',
                'alias' => true,
            ],
            'exchange' => [
                'group' => 'general',
                'icon' => 'exchange',
                'label' => 'Exchange',
                'unicode' => '&#xf0ec;',
            ],
            'exclamation' => [
                'group' => 'general',
                'icon' => 'exclamation',
                'label' => 'Exclamation',
                'unicode' => '&#xf12a;',
            ],
            'exclamation-circle' => [
                'group' => 'general',
                'icon' => 'exclamation-circle',
                'label' => 'Exclamation Circle',
                'unicode' => '&#xf06a;',
            ],
            'exclamation-triangle' => [
                'group' => 'general',
                'icon' => 'exclamation-triangle',
                'label' => 'Exclamation Triangle',
                'unicode' => '&#xf071;',
            ],
            'expand' => [
                'group' => 'general',
                'icon' => 'expand',
                'label' => 'Expand',
                'unicode' => '&#xf065;',
            ],
            'expeditedssl' => [
                'group' => 'general',
                'icon' => 'expeditedssl',
                'label' => 'Expeditedssl',
                'unicode' => '&#xf23e;',
            ],
            'external-link' => [
                'group' => 'general',
                'icon' => 'external-link',
                'label' => 'External Link',
                'unicode' => '&#xf08e;',
            ],
            'external-link-square' => [
                'group' => 'general',
                'icon' => 'external-link-square',
                'label' => 'External Link Square',
                'unicode' => '&#xf14c;',
            ],
            'eye' => [
                'group' => 'general',
                'icon' => 'eye',
                'label' => 'Eye',
                'unicode' => '&#xf06e;',
            ],
            'eye-slash' => [
                'group' => 'general',
                'icon' => 'eye-slash',
                'label' => 'Eye Slash',
                'unicode' => '&#xf070;',
            ],
            'eyedropper' => [
                'group' => 'general',
                'icon' => 'eyedropper',
                'label' => 'Eyedropper',
                'unicode' => '&#xf1fb;',
            ],
            'facebook' => [
                'group' => 'general',
                'icon' => 'facebook',
                'label' => 'Cebook',
                'unicode' => '&#xf09a;',
            ],
            'facebook-f' => [
                'group' => 'general',
                'icon' => 'facebook-f',
                'label' => 'Cebook F',
                'unicode' => '&#xf09a;',
                'alias' => true,
            ],
            'facebook-official' => [
                'group' => 'general',
                'icon' => 'facebook-official',
                'label' => 'Cebook Official',
                'unicode' => '&#xf230;',
            ],
            'facebook-square' => [
                'group' => 'general',
                'icon' => 'facebook-square',
                'label' => 'Cebook Square',
                'unicode' => '&#xf082;',
            ],
            'fast-backward' => [
                'group' => 'general',
                'icon' => 'fast-backward',
                'label' => 'St Backward',
                'unicode' => '&#xf049;',
            ],
            'fast-forward' => [
                'group' => 'general',
                'icon' => 'fast-forward',
                'label' => 'St Forward',
                'unicode' => '&#xf050;',
            ],
            'fax' => [
                'group' => 'general',
                'icon' => 'fax',
                'label' => 'X',
                'unicode' => '&#xf1ac;',
            ],
            'feed' => [
                'group' => 'general',
                'icon' => 'feed',
                'label' => 'Feed',
                'unicode' => '&#xf09e;',
                'alias' => true,
            ],
            'female' => [
                'group' => 'general',
                'icon' => 'female',
                'label' => 'Female',
                'unicode' => '&#xf182;',
            ],
            'fighter-jet' => [
                'group' => 'general',
                'icon' => 'fighter-jet',
                'label' => 'Fighter Jet',
                'unicode' => '&#xf0fb;',
            ],
            'file' => [
                'group' => 'general',
                'icon' => 'file',
                'label' => 'File',
                'unicode' => '&#xf15b;',
            ],
            'file-archive-o' => [
                'group' => 'general',
                'icon' => 'file-archive-o',
                'label' => 'File Archive O',
                'unicode' => '&#xf1c6;',
            ],
            'file-audio-o' => [
                'group' => 'general',
                'icon' => 'file-audio-o',
                'label' => 'File Audio O',
                'unicode' => '&#xf1c7;',
            ],
            'file-code-o' => [
                'group' => 'general',
                'icon' => 'file-code-o',
                'label' => 'File Code O',
                'unicode' => '&#xf1c9;',
            ],
            'file-excel-o' => [
                'group' => 'general',
                'icon' => 'file-excel-o',
                'label' => 'File Excel O',
                'unicode' => '&#xf1c3;',
            ],
            'file-image-o' => [
                'group' => 'general',
                'icon' => 'file-image-o',
                'label' => 'File Image O',
                'unicode' => '&#xf1c5;',
            ],
            'file-movie-o' => [
                'group' => 'general',
                'icon' => 'file-movie-o',
                'label' => 'File Movie O',
                'unicode' => '&#xf1c8;',
                'alias' => true,
            ],
            'file-o' => [
                'group' => 'general',
                'icon' => 'file-o',
                'label' => 'File O',
                'unicode' => '&#xf016;',
            ],
            'file-pdf-o' => [
                'group' => 'general',
                'icon' => 'file-pdf-o',
                'label' => 'File Pdf O',
                'unicode' => '&#xf1c1;',
            ],
            'file-photo-o' => [
                'group' => 'general',
                'icon' => 'file-photo-o',
                'label' => 'File Photo O',
                'unicode' => '&#xf1c5;',
                'alias' => true,
            ],
            'file-picture-o' => [
                'group' => 'general',
                'icon' => 'file-picture-o',
                'label' => 'File Picture O',
                'unicode' => '&#xf1c5;',
                'alias' => true,
            ],
            'file-powerpoint-o' => [
                'group' => 'general',
                'icon' => 'file-powerpoint-o',
                'label' => 'File Powerpoint O',
                'unicode' => '&#xf1c4;',
            ],
            'file-sound-o' => [
                'group' => 'general',
                'icon' => 'file-sound-o',
                'label' => 'File Sound O',
                'unicode' => '&#xf1c7;',
                'alias' => true,
            ],
            'file-text' => [
                'group' => 'general',
                'icon' => 'file-text',
                'label' => 'File Text',
                'unicode' => '&#xf15c;',
            ],
            'file-text-o' => [
                'group' => 'general',
                'icon' => 'file-text-o',
                'label' => 'File Text O',
                'unicode' => '&#xf0f6;',
            ],
            'file-video-o' => [
                'group' => 'general',
                'icon' => 'file-video-o',
                'label' => 'File Video O',
                'unicode' => '&#xf1c8;',
            ],
            'file-word-o' => [
                'group' => 'general',
                'icon' => 'file-word-o',
                'label' => 'File Word O',
                'unicode' => '&#xf1c2;',
            ],
            'file-zip-o' => [
                'group' => 'general',
                'icon' => 'file-zip-o',
                'label' => 'File Zip O',
                'unicode' => '&#xf1c6;',
                'alias' => true,
            ],
            'files-o' => [
                'group' => 'general',
                'icon' => 'files-o',
                'label' => 'Files O',
                'unicode' => '&#xf0c5;',
            ],
            'film' => [
                'group' => 'general',
                'icon' => 'film',
                'label' => 'Film',
                'unicode' => '&#xf008;',
            ],
            'filter' => [
                'group' => 'general',
                'icon' => 'filter',
                'label' => 'Filter',
                'unicode' => '&#xf0b0;',
            ],
            'fire' => [
                'group' => 'general',
                'icon' => 'fire',
                'label' => 'Fire',
                'unicode' => '&#xf06d;',
            ],
            'fire-extinguisher' => [
                'group' => 'general',
                'icon' => 'fire-extinguisher',
                'label' => 'Fire Extinguisher',
                'unicode' => '&#xf134;',
            ],
            'firefox' => [
                'group' => 'general',
                'icon' => 'firefox',
                'label' => 'Firefox',
                'unicode' => '&#xf269;',
            ],
            'flag' => [
                'group' => 'general',
                'icon' => 'flag',
                'label' => 'Flag',
                'unicode' => '&#xf024;',
            ],
            'flag-checkered' => [
                'group' => 'general',
                'icon' => 'flag-checkered',
                'label' => 'Flag Checkered',
                'unicode' => '&#xf11e;',
            ],
            'flag-o' => [
                'group' => 'general',
                'icon' => 'flag-o',
                'label' => 'Flag O',
                'unicode' => '&#xf11d;',
            ],
            'flash' => [
                'group' => 'general',
                'icon' => 'flash',
                'label' => 'Flash',
                'unicode' => '&#xf0e7;',
                'alias' => true,
            ],
            'flask' => [
                'group' => 'general',
                'icon' => 'flask',
                'label' => 'Flask',
                'unicode' => '&#xf0c3;',
            ],
            'flickr' => [
                'group' => 'general',
                'icon' => 'flickr',
                'label' => 'Flickr',
                'unicode' => '&#xf16e;',
            ],
            'floppy-o' => [
                'group' => 'general',
                'icon' => 'floppy-o',
                'label' => 'Floppy O',
                'unicode' => '&#xf0c7;',
            ],
            'folder' => [
                'group' => 'general',
                'icon' => 'folder',
                'label' => 'Folder',
                'unicode' => '&#xf07b;',
            ],
            'folder-o' => [
                'group' => 'general',
                'icon' => 'folder-o',
                'label' => 'Folder O',
                'unicode' => '&#xf114;',
            ],
            'folder-open' => [
                'group' => 'general',
                'icon' => 'folder-open',
                'label' => 'Folder Open',
                'unicode' => '&#xf07c;',
            ],
            'folder-open-o' => [
                'group' => 'general',
                'icon' => 'folder-open-o',
                'label' => 'Folder Open O',
                'unicode' => '&#xf115;',
            ],
            'font' => [
                'group' => 'general',
                'icon' => 'font',
                'label' => 'Font',
                'unicode' => '&#xf031;',
            ],
            'fonticons' => [
                'group' => 'general',
                'icon' => 'fonticons',
                'label' => 'Fonticons',
                'unicode' => '&#xf280;',
            ],
            'fort-awesome' => [
                'group' => 'general',
                'icon' => 'fort-awesome',
                'label' => 'Fort Awesome',
                'unicode' => '&#xf286;',
            ],
            'forumbee' => [
                'group' => 'general',
                'icon' => 'forumbee',
                'label' => 'Forumbee',
                'unicode' => '&#xf211;',
            ],
            'forward' => [
                'group' => 'general',
                'icon' => 'forward',
                'label' => 'Forward',
                'unicode' => '&#xf04e;',
            ],
            'foursquare' => [
                'group' => 'general',
                'icon' => 'foursquare',
                'label' => 'Foursquare',
                'unicode' => '&#xf180;',
            ],
            'frown-o' => [
                'group' => 'general',
                'icon' => 'frown-o',
                'label' => 'Frown O',
                'unicode' => '&#xf119;',
            ],
            'futbol-o' => [
                'group' => 'general',
                'icon' => 'futbol-o',
                'label' => 'Futbol O',
                'unicode' => '&#xf1e3;',
            ],
            'gamepad' => [
                'group' => 'general',
                'icon' => 'gamepad',
                'label' => 'Gamepad',
                'unicode' => '&#xf11b;',
            ],
            'gavel' => [
                'group' => 'general',
                'icon' => 'gavel',
                'label' => 'Gavel',
                'unicode' => '&#xf0e3;',
            ],
            'gbp' => [
                'group' => 'general',
                'icon' => 'gbp',
                'label' => 'Gbp',
                'unicode' => '&#xf154;',
            ],
            'ge' => [
                'group' => 'general',
                'icon' => 'ge',
                'label' => 'Ge',
                'unicode' => '&#xf1d1;',
                'alias' => true,
            ],
            'gear' => [
                'group' => 'general',
                'icon' => 'gear',
                'label' => 'Gear',
                'unicode' => '&#xf013;',
                'alias' => true,
            ],
            'gears' => [
                'group' => 'general',
                'icon' => 'gears',
                'label' => 'Gears',
                'unicode' => '&#xf085;',
                'alias' => true,
            ],
            'genderless' => [
                'group' => 'general',
                'icon' => 'genderless',
                'label' => 'Genderless',
                'unicode' => '&#xf22d;',
            ],
            'get-pocket' => [
                'group' => 'general',
                'icon' => 'get-pocket',
                'label' => 'Get Pocket',
                'unicode' => '&#xf265;',
            ],
            'gg' => [
                'group' => 'general',
                'icon' => 'gg',
                'label' => 'Gg',
                'unicode' => '&#xf260;',
            ],
            'gg-circle' => [
                'group' => 'general',
                'icon' => 'gg-circle',
                'label' => 'Gg Circle',
                'unicode' => '&#xf261;',
            ],
            'gift' => [
                'group' => 'general',
                'icon' => 'gift',
                'label' => 'Gift',
                'unicode' => '&#xf06b;',
            ],
            'git' => [
                'group' => 'general',
                'icon' => 'git',
                'label' => 'Git',
                'unicode' => '&#xf1d3;',
            ],
            'git-square' => [
                'group' => 'general',
                'icon' => 'git-square',
                'label' => 'Git Square',
                'unicode' => '&#xf1d2;',
            ],
            'github' => [
                'group' => 'general',
                'icon' => 'github',
                'label' => 'Github',
                'unicode' => '&#xf09b;',
            ],
            'github-alt' => [
                'group' => 'general',
                'icon' => 'github-alt',
                'label' => 'Github Alt',
                'unicode' => '&#xf113;',
            ],
            'github-square' => [
                'group' => 'general',
                'icon' => 'github-square',
                'label' => 'Github Square',
                'unicode' => '&#xf092;',
            ],
            'gittip' => [
                'group' => 'general',
                'icon' => 'gittip',
                'label' => 'Gittip',
                'unicode' => '&#xf184;',
                'alias' => true,
            ],
            'glass' => [
                'group' => 'general',
                'icon' => 'glass',
                'label' => 'Glass',
                'unicode' => '&#xf000;',
            ],
            'globe' => [
                'group' => 'general',
                'icon' => 'globe',
                'label' => 'Globe',
                'unicode' => '&#xf0ac;',
            ],
            'google' => [
                'group' => 'general',
                'icon' => 'google',
                'label' => 'Google',
                'unicode' => '&#xf1a0;',
            ],
            'google-plus' => [
                'group' => 'general',
                'icon' => 'google-plus',
                'label' => 'Google Plus',
                'unicode' => '&#xf0d5;',
            ],
            'google-plus-square' => [
                'group' => 'general',
                'icon' => 'google-plus-square',
                'label' => 'Google Plus Square',
                'unicode' => '&#xf0d4;',
            ],
            'google-wallet' => [
                'group' => 'general',
                'icon' => 'google-wallet',
                'label' => 'Google Wallet',
                'unicode' => '&#xf1ee;',
            ],
            'graduation-cap' => [
                'group' => 'general',
                'icon' => 'graduation-cap',
                'label' => 'Graduation Cap',
                'unicode' => '&#xf19d;',
            ],
            'gratipay' => [
                'group' => 'general',
                'icon' => 'gratipay',
                'label' => 'Gratipay',
                'unicode' => '&#xf184;',
            ],
            'group' => [
                'group' => 'general',
                'icon' => 'group',
                'label' => 'Group',
                'unicode' => '&#xf0c0;',
                'alias' => true,
            ],
            'h-square' => [
                'group' => 'general',
                'icon' => 'h-square',
                'label' => 'H Square',
                'unicode' => '&#xf0fd;',
            ],
            'hacker-news' => [
                'group' => 'general',
                'icon' => 'hacker-news',
                'label' => 'Hacker News',
                'unicode' => '&#xf1d4;',
            ],
            'hand-grab-o' => [
                'group' => 'general',
                'icon' => 'hand-grab-o',
                'label' => 'Hand Grab O',
                'unicode' => '&#xf255;',
                'alias' => true,
            ],
            'hand-lizard-o' => [
                'group' => 'general',
                'icon' => 'hand-lizard-o',
                'label' => 'Hand Lizard O',
                'unicode' => '&#xf258;',
            ],
            'hand-o-down' => [
                'group' => 'general',
                'icon' => 'hand-o-down',
                'label' => 'Hand O Down',
                'unicode' => '&#xf0a7;',
            ],
            'hand-o-left' => [
                'group' => 'general',
                'icon' => 'hand-o-left',
                'label' => 'Hand O Left',
                'unicode' => '&#xf0a5;',
            ],
            'hand-o-right' => [
                'group' => 'general',
                'icon' => 'hand-o-right',
                'label' => 'Hand O Right',
                'unicode' => '&#xf0a4;',
            ],
            'hand-o-up' => [
                'group' => 'general',
                'icon' => 'hand-o-up',
                'label' => 'Hand O Up',
                'unicode' => '&#xf0a6;',
            ],
            'hand-paper-o' => [
                'group' => 'general',
                'icon' => 'hand-paper-o',
                'label' => 'Hand Paper O',
                'unicode' => '&#xf256;',
            ],
            'hand-peace-o' => [
                'group' => 'general',
                'icon' => 'hand-peace-o',
                'label' => 'Hand Peace O',
                'unicode' => '&#xf25b;',
            ],
            'hand-pointer-o' => [
                'group' => 'general',
                'icon' => 'hand-pointer-o',
                'label' => 'Hand Pointer O',
                'unicode' => '&#xf25a;',
            ],
            'hand-rock-o' => [
                'group' => 'general',
                'icon' => 'hand-rock-o',
                'label' => 'Hand Rock O',
                'unicode' => '&#xf255;',
            ],
            'hand-scissors-o' => [
                'group' => 'general',
                'icon' => 'hand-scissors-o',
                'label' => 'Hand Scissors O',
                'unicode' => '&#xf257;',
            ],
            'hand-spock-o' => [
                'group' => 'general',
                'icon' => 'hand-spock-o',
                'label' => 'Hand Spock O',
                'unicode' => '&#xf259;',
            ],
            'hand-stop-o' => [
                'group' => 'general',
                'icon' => 'hand-stop-o',
                'label' => 'Hand Stop O',
                'unicode' => '&#xf256;',
                'alias' => true,
            ],
            'hashtag' => [
                'group' => 'general',
                'icon' => 'hashtag',
                'label' => 'Hashtag',
                'unicode' => '&#xf292;',
            ],
            'hdd-o' => [
                'group' => 'general',
                'icon' => 'hdd-o',
                'label' => 'Hdd O',
                'unicode' => '&#xf0a0;',
            ],
            'header' => [
                'group' => 'general',
                'icon' => 'header',
                'label' => 'Header',
                'unicode' => '&#xf1dc;',
            ],
            'headphones' => [
                'group' => 'general',
                'icon' => 'headphones',
                'label' => 'Headphones',
                'unicode' => '&#xf025;',
            ],
            'heart' => [
                'group' => 'general',
                'icon' => 'heart',
                'label' => 'Heart',
                'unicode' => '&#xf004;',
            ],
            'heart-o' => [
                'group' => 'general',
                'icon' => 'heart-o',
                'label' => 'Heart O',
                'unicode' => '&#xf08a;',
            ],
            'heartbeat' => [
                'group' => 'general',
                'icon' => 'heartbeat',
                'label' => 'Heartbeat',
                'unicode' => '&#xf21e;',
            ],
            'history' => [
                'group' => 'general',
                'icon' => 'history',
                'label' => 'History',
                'unicode' => '&#xf1da;',
            ],
            'home' => [
                'group' => 'general',
                'icon' => 'home',
                'label' => 'Home',
                'unicode' => '&#xf015;',
            ],
            'hospital-o' => [
                'group' => 'general',
                'icon' => 'hospital-o',
                'label' => 'Hospital O',
                'unicode' => '&#xf0f8;',
            ],
            'hotel' => [
                'group' => 'general',
                'icon' => 'hotel',
                'label' => 'Hotel',
                'unicode' => '&#xf236;',
                'alias' => true,
            ],
            'hourglass' => [
                'group' => 'general',
                'icon' => 'hourglass',
                'label' => 'Hourglass',
                'unicode' => '&#xf254;',
            ],
            'hourglass-1' => [
                'group' => 'general',
                'icon' => 'hourglass-1',
                'label' => 'Hourglass 1',
                'unicode' => '&#xf251;',
                'alias' => true,
            ],
            'hourglass-2' => [
                'group' => 'general',
                'icon' => 'hourglass-2',
                'label' => 'Hourglass 2',
                'unicode' => '&#xf252;',
                'alias' => true,
            ],
            'hourglass-3' => [
                'group' => 'general',
                'icon' => 'hourglass-3',
                'label' => 'Hourglass 3',
                'unicode' => '&#xf253;',
                'alias' => true,
            ],
            'hourglass-end' => [
                'group' => 'general',
                'icon' => 'hourglass-end',
                'label' => 'Hourglass End',
                'unicode' => '&#xf253;',
            ],
            'hourglass-half' => [
                'group' => 'general',
                'icon' => 'hourglass-half',
                'label' => 'Hourglass Half',
                'unicode' => '&#xf252;',
            ],
            'hourglass-o' => [
                'group' => 'general',
                'icon' => 'hourglass-o',
                'label' => 'Hourglass O',
                'unicode' => '&#xf250;',
            ],
            'hourglass-start' => [
                'group' => 'general',
                'icon' => 'hourglass-start',
                'label' => 'Hourglass Start',
                'unicode' => '&#xf251;',
            ],
            'houzz' => [
                'group' => 'general',
                'icon' => 'houzz',
                'label' => 'Houzz',
                'unicode' => '&#xf27c;',
            ],
            'html5' => [
                'group' => 'general',
                'icon' => 'html5',
                'label' => 'Html5',
                'unicode' => '&#xf13b;',
            ],
            'i-cursor' => [
                'group' => 'general',
                'icon' => 'i-cursor',
                'label' => 'I Cursor',
                'unicode' => '&#xf246;',
            ],
            'ils' => [
                'group' => 'general',
                'icon' => 'ils',
                'label' => 'Ils',
                'unicode' => '&#xf20b;',
            ],
            'image' => [
                'group' => 'general',
                'icon' => 'image',
                'label' => 'Image',
                'unicode' => '&#xf03e;',
                'alias' => true,
            ],
            'inbox' => [
                'group' => 'general',
                'icon' => 'inbox',
                'label' => 'Inbox',
                'unicode' => '&#xf01c;',
            ],
            'indent' => [
                'group' => 'general',
                'icon' => 'indent',
                'label' => 'Indent',
                'unicode' => '&#xf03c;',
            ],
            'industry' => [
                'group' => 'general',
                'icon' => 'industry',
                'label' => 'Industry',
                'unicode' => '&#xf275;',
            ],
            'info' => [
                'group' => 'general',
                'icon' => 'info',
                'label' => 'Info',
                'unicode' => '&#xf129;',
            ],
            'info-circle' => [
                'group' => 'general',
                'icon' => 'info-circle',
                'label' => 'Info Circle',
                'unicode' => '&#xf05a;',
            ],
            'inr' => [
                'group' => 'general',
                'icon' => 'inr',
                'label' => 'Inr',
                'unicode' => '&#xf156;',
            ],
            'instagram' => [
                'group' => 'general',
                'icon' => 'instagram',
                'label' => 'Instagram',
                'unicode' => '&#xf16d;',
            ],
            'institution' => [
                'group' => 'general',
                'icon' => 'institution',
                'label' => 'Institution',
                'unicode' => '&#xf19c;',
                'alias' => true,
            ],
            'internet-explorer' => [
                'group' => 'general',
                'icon' => 'internet-explorer',
                'label' => 'Internet Explorer',
                'unicode' => '&#xf26b;',
            ],
            'intersex' => [
                'group' => 'general',
                'icon' => 'intersex',
                'label' => 'Intersex',
                'unicode' => '&#xf224;',
                'alias' => true,
            ],
            'ioxhost' => [
                'group' => 'general',
                'icon' => 'ioxhost',
                'label' => 'Ioxhost',
                'unicode' => '&#xf208;',
            ],
            'italic' => [
                'group' => 'general',
                'icon' => 'italic',
                'label' => 'Italic',
                'unicode' => '&#xf033;',
            ],
            'joomla' => [
                'group' => 'general',
                'icon' => 'joomla',
                'label' => 'Joomla',
                'unicode' => '&#xf1aa;',
            ],
            'jpy' => [
                'group' => 'general',
                'icon' => 'jpy',
                'label' => 'Jpy',
                'unicode' => '&#xf157;',
            ],
            'jsfiddle' => [
                'group' => 'general',
                'icon' => 'jsfiddle',
                'label' => 'Jsfiddle',
                'unicode' => '&#xf1cc;',
            ],
            'key' => [
                'group' => 'general',
                'icon' => 'key',
                'label' => 'Key',
                'unicode' => '&#xf084;',
            ],
            'keyboard-o' => [
                'group' => 'general',
                'icon' => 'keyboard-o',
                'label' => 'Keyboard O',
                'unicode' => '&#xf11c;',
            ],
            'krw' => [
                'group' => 'general',
                'icon' => 'krw',
                'label' => 'Krw',
                'unicode' => '&#xf159;',
            ],
            'language' => [
                'group' => 'general',
                'icon' => 'language',
                'label' => 'Language',
                'unicode' => '&#xf1ab;',
            ],
            'laptop' => [
                'group' => 'general',
                'icon' => 'laptop',
                'label' => 'Laptop',
                'unicode' => '&#xf109;',
            ],
            'lastfm' => [
                'group' => 'general',
                'icon' => 'lastfm',
                'label' => 'Lastfm',
                'unicode' => '&#xf202;',
            ],
            'lastfm-square' => [
                'group' => 'general',
                'icon' => 'lastfm-square',
                'label' => 'Lastfm Square',
                'unicode' => '&#xf203;',
            ],
            'leaf' => [
                'group' => 'general',
                'icon' => 'leaf',
                'label' => 'Leaf',
                'unicode' => '&#xf06c;',
            ],
            'leanpub' => [
                'group' => 'general',
                'icon' => 'leanpub',
                'label' => 'Leanpub',
                'unicode' => '&#xf212;',
            ],
            'legal' => [
                'group' => 'general',
                'icon' => 'legal',
                'label' => 'Legal',
                'unicode' => '&#xf0e3;',
                'alias' => true,
            ],
            'lemon-o' => [
                'group' => 'general',
                'icon' => 'lemon-o',
                'label' => 'Lemon O',
                'unicode' => '&#xf094;',
            ],
            'level-down' => [
                'group' => 'general',
                'icon' => 'level-down',
                'label' => 'Level Down',
                'unicode' => '&#xf149;',
            ],
            'level-up' => [
                'group' => 'general',
                'icon' => 'level-up',
                'label' => 'Level Up',
                'unicode' => '&#xf148;',
            ],
            'life-bouy' => [
                'group' => 'general',
                'icon' => 'life-bouy',
                'label' => 'Life Bouy',
                'unicode' => '&#xf1cd;',
                'alias' => true,
            ],
            'life-buoy' => [
                'group' => 'general',
                'icon' => 'life-buoy',
                'label' => 'Life Buoy',
                'unicode' => '&#xf1cd;',
                'alias' => true,
            ],
            'life-ring' => [
                'group' => 'general',
                'icon' => 'life-ring',
                'label' => 'Life Ring',
                'unicode' => '&#xf1cd;',
            ],
            'life-saver' => [
                'group' => 'general',
                'icon' => 'life-saver',
                'label' => 'Life Saver',
                'unicode' => '&#xf1cd;',
                'alias' => true,
            ],
            'lightbulb-o' => [
                'group' => 'general',
                'icon' => 'lightbulb-o',
                'label' => 'Lightbulb O',
                'unicode' => '&#xf0eb;',
            ],
            'line-chart' => [
                'group' => 'general',
                'icon' => 'line-chart',
                'label' => 'Line Chart',
                'unicode' => '&#xf201;',
            ],
            'link' => [
                'group' => 'general',
                'icon' => 'link',
                'label' => 'Link',
                'unicode' => '&#xf0c1;',
            ],
            'linkedin' => [
                'group' => 'general',
                'icon' => 'linkedin',
                'label' => 'Linkedin',
                'unicode' => '&#xf0e1;',
            ],
            'linkedin-square' => [
                'group' => 'general',
                'icon' => 'linkedin-square',
                'label' => 'Linkedin Square',
                'unicode' => '&#xf08c;',
            ],
            'linux' => [
                'group' => 'general',
                'icon' => 'linux',
                'label' => 'Linux',
                'unicode' => '&#xf17c;',
            ],
            'list' => [
                'group' => 'general',
                'icon' => 'list',
                'label' => 'List',
                'unicode' => '&#xf03a;',
            ],
            'list-alt' => [
                'group' => 'general',
                'icon' => 'list-alt',
                'label' => 'List Alt',
                'unicode' => '&#xf022;',
            ],
            'list-ol' => [
                'group' => 'general',
                'icon' => 'list-ol',
                'label' => 'List Ol',
                'unicode' => '&#xf0cb;',
            ],
            'list-ul' => [
                'group' => 'general',
                'icon' => 'list-ul',
                'label' => 'List Ul',
                'unicode' => '&#xf0ca;',
            ],
            'location-arrow' => [
                'group' => 'general',
                'icon' => 'location-arrow',
                'label' => 'Location Arrow',
                'unicode' => '&#xf124;',
            ],
            'lock' => [
                'group' => 'general',
                'icon' => 'lock',
                'label' => 'Lock',
                'unicode' => '&#xf023;',
            ],
            'long-arrow-down' => [
                'group' => 'general',
                'icon' => 'long-arrow-down',
                'label' => 'Long Arrow Down',
                'unicode' => '&#xf175;',
            ],
            'long-arrow-left' => [
                'group' => 'general',
                'icon' => 'long-arrow-left',
                'label' => 'Long Arrow Left',
                'unicode' => '&#xf177;',
            ],
            'long-arrow-right' => [
                'group' => 'general',
                'icon' => 'long-arrow-right',
                'label' => 'Long Arrow Right',
                'unicode' => '&#xf178;',
            ],
            'long-arrow-up' => [
                'group' => 'general',
                'icon' => 'long-arrow-up',
                'label' => 'Long Arrow Up',
                'unicode' => '&#xf176;',
            ],
            'magic' => [
                'group' => 'general',
                'icon' => 'magic',
                'label' => 'Magic',
                'unicode' => '&#xf0d0;',
            ],
            'magnet' => [
                'group' => 'general',
                'icon' => 'magnet',
                'label' => 'Magnet',
                'unicode' => '&#xf076;',
            ],
            'mail-forward' => [
                'group' => 'general',
                'icon' => 'mail-forward',
                'label' => 'Mail Forward',
                'unicode' => '&#xf064;',
                'alias' => true,
            ],
            'mail-reply' => [
                'group' => 'general',
                'icon' => 'mail-reply',
                'label' => 'Mail Reply',
                'unicode' => '&#xf112;',
                'alias' => true,
            ],
            'mail-reply-all' => [
                'group' => 'general',
                'icon' => 'mail-reply-all',
                'label' => 'Mail Reply All',
                'unicode' => '&#xf122;',
                'alias' => true,
            ],
            'male' => [
                'group' => 'general',
                'icon' => 'male',
                'label' => 'Male',
                'unicode' => '&#xf183;',
            ],
            'map' => [
                'group' => 'general',
                'icon' => 'map',
                'label' => 'Map',
                'unicode' => '&#xf279;',
            ],
            'map-marker' => [
                'group' => 'general',
                'icon' => 'map-marker',
                'label' => 'Map Marker',
                'unicode' => '&#xf041;',
            ],
            'map-o' => [
                'group' => 'general',
                'icon' => 'map-o',
                'label' => 'Map O',
                'unicode' => '&#xf278;',
            ],
            'map-pin' => [
                'group' => 'general',
                'icon' => 'map-pin',
                'label' => 'Map Pin',
                'unicode' => '&#xf276;',
            ],
            'map-signs' => [
                'group' => 'general',
                'icon' => 'map-signs',
                'label' => 'Map Signs',
                'unicode' => '&#xf277;',
            ],
            'mars' => [
                'group' => 'general',
                'icon' => 'mars',
                'label' => 'Mars',
                'unicode' => '&#xf222;',
            ],
            'mars-double' => [
                'group' => 'general',
                'icon' => 'mars-double',
                'label' => 'Mars Double',
                'unicode' => '&#xf227;',
            ],
            'mars-stroke' => [
                'group' => 'general',
                'icon' => 'mars-stroke',
                'label' => 'Mars Stroke',
                'unicode' => '&#xf229;',
            ],
            'mars-stroke-h' => [
                'group' => 'general',
                'icon' => 'mars-stroke-h',
                'label' => 'Mars Stroke H',
                'unicode' => '&#xf22b;',
            ],
            'mars-stroke-v' => [
                'group' => 'general',
                'icon' => 'mars-stroke-v',
                'label' => 'Mars Stroke V',
                'unicode' => '&#xf22a;',
            ],
            'maxcdn' => [
                'group' => 'general',
                'icon' => 'maxcdn',
                'label' => 'Maxcdn',
                'unicode' => '&#xf136;',
            ],
            'meanpath' => [
                'group' => 'general',
                'icon' => 'meanpath',
                'label' => 'Meanpath',
                'unicode' => '&#xf20c;',
            ],
            'medium' => [
                'group' => 'general',
                'icon' => 'medium',
                'label' => 'Medium',
                'unicode' => '&#xf23a;',
            ],
            'medkit' => [
                'group' => 'general',
                'icon' => 'medkit',
                'label' => 'Medkit',
                'unicode' => '&#xf0fa;',
            ],
            'meh-o' => [
                'group' => 'general',
                'icon' => 'meh-o',
                'label' => 'Meh O',
                'unicode' => '&#xf11a;',
            ],
            'mercury' => [
                'group' => 'general',
                'icon' => 'mercury',
                'label' => 'Mercury',
                'unicode' => '&#xf223;',
            ],
            'microphone' => [
                'group' => 'general',
                'icon' => 'microphone',
                'label' => 'Microphone',
                'unicode' => '&#xf130;',
            ],
            'microphone-slash' => [
                'group' => 'general',
                'icon' => 'microphone-slash',
                'label' => 'Microphone Slash',
                'unicode' => '&#xf131;',
            ],
            'minus' => [
                'group' => 'general',
                'icon' => 'minus',
                'label' => 'Minus',
                'unicode' => '&#xf068;',
            ],
            'minus-circle' => [
                'group' => 'general',
                'icon' => 'minus-circle',
                'label' => 'Minus Circle',
                'unicode' => '&#xf056;',
            ],
            'minus-square' => [
                'group' => 'general',
                'icon' => 'minus-square',
                'label' => 'Minus Square',
                'unicode' => '&#xf146;',
            ],
            'minus-square-o' => [
                'group' => 'general',
                'icon' => 'minus-square-o',
                'label' => 'Minus Square O',
                'unicode' => '&#xf147;',
            ],
            'mixcloud' => [
                'group' => 'general',
                'icon' => 'mixcloud',
                'label' => 'Mixcloud',
                'unicode' => '&#xf289;',
            ],
            'mobile' => [
                'group' => 'general',
                'icon' => 'mobile',
                'label' => 'Mobile',
                'unicode' => '&#xf10b;',
            ],
            'mobile-phone' => [
                'group' => 'general',
                'icon' => 'mobile-phone',
                'label' => 'Mobile Phone',
                'unicode' => '&#xf10b;',
                'alias' => true,
            ],
            'modx' => [
                'group' => 'general',
                'icon' => 'modx',
                'label' => 'Modx',
                'unicode' => '&#xf285;',
            ],
            'money' => [
                'group' => 'general',
                'icon' => 'money',
                'label' => 'Money',
                'unicode' => '&#xf0d6;',
            ],
            'moon-o' => [
                'group' => 'general',
                'icon' => 'moon-o',
                'label' => 'Moon O',
                'unicode' => '&#xf186;',
            ],
            'mortar-board' => [
                'group' => 'general',
                'icon' => 'mortar-board',
                'label' => 'Mortar Board',
                'unicode' => '&#xf19d;',
                'alias' => true,
            ],
            'motorcycle' => [
                'group' => 'general',
                'icon' => 'motorcycle',
                'label' => 'Motorcycle',
                'unicode' => '&#xf21c;',
            ],
            'mouse-pointer' => [
                'group' => 'general',
                'icon' => 'mouse-pointer',
                'label' => 'Mouse Pointer',
                'unicode' => '&#xf245;',
            ],
            'music' => [
                'group' => 'general',
                'icon' => 'music',
                'label' => 'Music',
                'unicode' => '&#xf001;',
            ],
            'navicon' => [
                'group' => 'general',
                'icon' => 'navicon',
                'label' => 'Navicon',
                'unicode' => '&#xf0c9;',
                'alias' => true,
            ],
            'neuter' => [
                'group' => 'general',
                'icon' => 'neuter',
                'label' => 'Neuter',
                'unicode' => '&#xf22c;',
            ],
            'newspaper-o' => [
                'group' => 'general',
                'icon' => 'newspaper-o',
                'label' => 'Newspaper O',
                'unicode' => '&#xf1ea;',
            ],
            'object-group' => [
                'group' => 'general',
                'icon' => 'object-group',
                'label' => 'Object Group',
                'unicode' => '&#xf247;',
            ],
            'object-ungroup' => [
                'group' => 'general',
                'icon' => 'object-ungroup',
                'label' => 'Object Ungroup',
                'unicode' => '&#xf248;',
            ],
            'odnoklassniki' => [
                'group' => 'general',
                'icon' => 'odnoklassniki',
                'label' => 'Odnoklassniki',
                'unicode' => '&#xf263;',
            ],
            'odnoklassniki-square' => [
                'group' => 'general',
                'icon' => 'odnoklassniki-square',
                'label' => 'Odnoklassniki Square',
                'unicode' => '&#xf264;',
            ],
            'opencart' => [
                'group' => 'general',
                'icon' => 'opencart',
                'label' => 'Opencart',
                'unicode' => '&#xf23d;',
            ],
            'openid' => [
                'group' => 'general',
                'icon' => 'openid',
                'label' => 'Openid',
                'unicode' => '&#xf19b;',
            ],
            'opera' => [
                'group' => 'general',
                'icon' => 'opera',
                'label' => 'Opera',
                'unicode' => '&#xf26a;',
            ],
            'optin-monster' => [
                'group' => 'general',
                'icon' => 'optin-monster',
                'label' => 'Optin Monster',
                'unicode' => '&#xf23c;',
            ],
            'outdent' => [
                'group' => 'general',
                'icon' => 'outdent',
                'label' => 'Outdent',
                'unicode' => '&#xf03b;',
            ],
            'pagelines' => [
                'group' => 'general',
                'icon' => 'pagelines',
                'label' => 'Pagelines',
                'unicode' => '&#xf18c;',
            ],
            'paint-brush' => [
                'group' => 'general',
                'icon' => 'paint-brush',
                'label' => 'Paint Brush',
                'unicode' => '&#xf1fc;',
            ],
            'paper-plane' => [
                'group' => 'general',
                'icon' => 'paper-plane',
                'label' => 'Paper Plane',
                'unicode' => '&#xf1d8;',
            ],
            'paper-plane-o' => [
                'group' => 'general',
                'icon' => 'paper-plane-o',
                'label' => 'Paper Plane O',
                'unicode' => '&#xf1d9;',
            ],
            'paperclip' => [
                'group' => 'general',
                'icon' => 'paperclip',
                'label' => 'Paperclip',
                'unicode' => '&#xf0c6;',
            ],
            'paragraph' => [
                'group' => 'general',
                'icon' => 'paragraph',
                'label' => 'Paragraph',
                'unicode' => '&#xf1dd;',
            ],
            'paste' => [
                'group' => 'general',
                'icon' => 'paste',
                'label' => 'Paste',
                'unicode' => '&#xf0ea;',
                'alias' => true,
            ],
            'pause' => [
                'group' => 'general',
                'icon' => 'pause',
                'label' => 'Pause',
                'unicode' => '&#xf04c;',
            ],
            'pause-circle' => [
                'group' => 'general',
                'icon' => 'pause-circle',
                'label' => 'Pause Circle',
                'unicode' => '&#xf28b;',
            ],
            'pause-circle-o' => [
                'group' => 'general',
                'icon' => 'pause-circle-o',
                'label' => 'Pause Circle O',
                'unicode' => '&#xf28c;',
            ],
            'paw' => [
                'group' => 'general',
                'icon' => 'paw',
                'label' => 'Paw',
                'unicode' => '&#xf1b0;',
            ],
            'paypal' => [
                'group' => 'general',
                'icon' => 'paypal',
                'label' => 'Paypal',
                'unicode' => '&#xf1ed;',
            ],
            'pencil' => [
                'group' => 'general',
                'icon' => 'pencil',
                'label' => 'Pencil',
                'unicode' => '&#xf040;',
            ],
            'pencil-square' => [
                'group' => 'general',
                'icon' => 'pencil-square',
                'label' => 'Pencil Square',
                'unicode' => '&#xf14b;',
            ],
            'pencil-square-o' => [
                'group' => 'general',
                'icon' => 'pencil-square-o',
                'label' => 'Pencil Square O',
                'unicode' => '&#xf044;',
            ],
            'percent' => [
                'group' => 'general',
                'icon' => 'percent',
                'label' => 'Percent',
                'unicode' => '&#xf295;',
            ],
            'phone' => [
                'group' => 'general',
                'icon' => 'phone',
                'label' => 'Phone',
                'unicode' => '&#xf095;',
            ],
            'phone-square' => [
                'group' => 'general',
                'icon' => 'phone-square',
                'label' => 'Phone Square',
                'unicode' => '&#xf098;',
            ],
            'photo' => [
                'group' => 'general',
                'icon' => 'photo',
                'label' => 'Photo',
                'unicode' => '&#xf03e;',
                'alias' => true,
            ],
            'picture-o' => [
                'group' => 'general',
                'icon' => 'picture-o',
                'label' => 'Picture O',
                'unicode' => '&#xf03e;',
            ],
            'pie-chart' => [
                'group' => 'general',
                'icon' => 'pie-chart',
                'label' => 'Pie Chart',
                'unicode' => '&#xf200;',
            ],
            'pied-piper' => [
                'group' => 'general',
                'icon' => 'pied-piper',
                'label' => 'Pied Piper',
                'unicode' => '&#xf1a7;',
            ],
            'pied-piper-alt' => [
                'group' => 'general',
                'icon' => 'pied-piper-alt',
                'label' => 'Pied Piper Alt',
                'unicode' => '&#xf1a8;',
            ],
            'pinterest' => [
                'group' => 'general',
                'icon' => 'pinterest',
                'label' => 'Pinterest',
                'unicode' => '&#xf0d2;',
            ],
            'pinterest-p' => [
                'group' => 'general',
                'icon' => 'pinterest-p',
                'label' => 'Pinterest P',
                'unicode' => '&#xf231;',
            ],
            'pinterest-square' => [
                'group' => 'general',
                'icon' => 'pinterest-square',
                'label' => 'Pinterest Square',
                'unicode' => '&#xf0d3;',
            ],
            'plane' => [
                'group' => 'general',
                'icon' => 'plane',
                'label' => 'Plane',
                'unicode' => '&#xf072;',
            ],
            'play' => [
                'group' => 'general',
                'icon' => 'play',
                'label' => 'Play',
                'unicode' => '&#xf04b;',
            ],
            'play-circle' => [
                'group' => 'general',
                'icon' => 'play-circle',
                'label' => 'Play Circle',
                'unicode' => '&#xf144;',
            ],
            'play-circle-o' => [
                'group' => 'general',
                'icon' => 'play-circle-o',
                'label' => 'Play Circle O',
                'unicode' => '&#xf01d;',
            ],
            'plug' => [
                'group' => 'general',
                'icon' => 'plug',
                'label' => 'Plug',
                'unicode' => '&#xf1e6;',
            ],
            'plus' => [
                'group' => 'general',
                'icon' => 'plus',
                'label' => 'Plus',
                'unicode' => '&#xf067;',
            ],
            'plus-circle' => [
                'group' => 'general',
                'icon' => 'plus-circle',
                'label' => 'Plus Circle',
                'unicode' => '&#xf055;',
            ],
            'plus-square' => [
                'group' => 'general',
                'icon' => 'plus-square',
                'label' => 'Plus Square',
                'unicode' => '&#xf0fe;',
            ],
            'plus-square-o' => [
                'group' => 'general',
                'icon' => 'plus-square-o',
                'label' => 'Plus Square O',
                'unicode' => '&#xf196;',
            ],
            'power-off' => [
                'group' => 'general',
                'icon' => 'power-off',
                'label' => 'Power Off',
                'unicode' => '&#xf011;',
            ],
            'print' => [
                'group' => 'general',
                'icon' => 'print',
                'label' => 'Print',
                'unicode' => '&#xf02f;',
            ],
            'product-hunt' => [
                'group' => 'general',
                'icon' => 'product-hunt',
                'label' => 'Product Hunt',
                'unicode' => '&#xf288;',
            ],
            'puzzle-piece' => [
                'group' => 'general',
                'icon' => 'puzzle-piece',
                'label' => 'Puzzle Piece',
                'unicode' => '&#xf12e;',
            ],
            'qq' => [
                'group' => 'general',
                'icon' => 'qq',
                'label' => 'Qq',
                'unicode' => '&#xf1d6;',
            ],
            'qrcode' => [
                'group' => 'general',
                'icon' => 'qrcode',
                'label' => 'Qrcode',
                'unicode' => '&#xf029;',
            ],
            'question' => [
                'group' => 'general',
                'icon' => 'question',
                'label' => 'Question',
                'unicode' => '&#xf128;',
            ],
            'question-circle' => [
                'group' => 'general',
                'icon' => 'question-circle',
                'label' => 'Question Circle',
                'unicode' => '&#xf059;',
            ],
            'quote-left' => [
                'group' => 'general',
                'icon' => 'quote-left',
                'label' => 'Quote Left',
                'unicode' => '&#xf10d;',
            ],
            'quote-right' => [
                'group' => 'general',
                'icon' => 'quote-right',
                'label' => 'Quote Right',
                'unicode' => '&#xf10e;',
            ],
            'ra' => [
                'group' => 'general',
                'icon' => 'ra',
                'label' => 'Ra',
                'unicode' => '&#xf1d0;',
                'alias' => true,
            ],
            'random' => [
                'group' => 'general',
                'icon' => 'random',
                'label' => 'Random',
                'unicode' => '&#xf074;',
            ],
            'rebel' => [
                'group' => 'general',
                'icon' => 'rebel',
                'label' => 'Rebel',
                'unicode' => '&#xf1d0;',
            ],
            'recycle' => [
                'group' => 'general',
                'icon' => 'recycle',
                'label' => 'Recycle',
                'unicode' => '&#xf1b8;',
            ],
            'reddit' => [
                'group' => 'general',
                'icon' => 'reddit',
                'label' => 'Reddit',
                'unicode' => '&#xf1a1;',
            ],
            'reddit-alien' => [
                'group' => 'general',
                'icon' => 'reddit-alien',
                'label' => 'Reddit Alien',
                'unicode' => '&#xf281;',
            ],
            'reddit-square' => [
                'group' => 'general',
                'icon' => 'reddit-square',
                'label' => 'Reddit Square',
                'unicode' => '&#xf1a2;',
            ],
            'refresh' => [
                'group' => 'general',
                'icon' => 'refresh',
                'label' => 'Refresh',
                'unicode' => '&#xf021;',
            ],
            'registered' => [
                'group' => 'general',
                'icon' => 'registered',
                'label' => 'Registered',
                'unicode' => '&#xf25d;',
            ],
            'remove' => [
                'group' => 'general',
                'icon' => 'remove',
                'label' => 'Remove',
                'unicode' => '&#xf00d;',
                'alias' => true,
            ],
            'renren' => [
                'group' => 'general',
                'icon' => 'renren',
                'label' => 'Renren',
                'unicode' => '&#xf18b;',
            ],
            'reorder' => [
                'group' => 'general',
                'icon' => 'reorder',
                'label' => 'Reorder',
                'unicode' => '&#xf0c9;',
                'alias' => true,
            ],
            'repeat' => [
                'group' => 'general',
                'icon' => 'repeat',
                'label' => 'Repeat',
                'unicode' => '&#xf01e;',
            ],
            'reply' => [
                'group' => 'general',
                'icon' => 'reply',
                'label' => 'Reply',
                'unicode' => '&#xf112;',
            ],
            'reply-all' => [
                'group' => 'general',
                'icon' => 'reply-all',
                'label' => 'Reply All',
                'unicode' => '&#xf122;',
            ],
            'retweet' => [
                'group' => 'general',
                'icon' => 'retweet',
                'label' => 'Retweet',
                'unicode' => '&#xf079;',
            ],
            'rmb' => [
                'group' => 'general',
                'icon' => 'rmb',
                'label' => 'Rmb',
                'unicode' => '&#xf157;',
                'alias' => true,
            ],
            'road' => [
                'group' => 'general',
                'icon' => 'road',
                'label' => 'Road',
                'unicode' => '&#xf018;',
            ],
            'rocket' => [
                'group' => 'general',
                'icon' => 'rocket',
                'label' => 'Rocket',
                'unicode' => '&#xf135;',
            ],
            'rotate-left' => [
                'group' => 'general',
                'icon' => 'rotate-left',
                'label' => 'Rotate Left',
                'unicode' => '&#xf0e2;',
                'alias' => true,
            ],
            'rotate-right' => [
                'group' => 'general',
                'icon' => 'rotate-right',
                'label' => 'Rotate Right',
                'unicode' => '&#xf01e;',
                'alias' => true,
            ],
            'rouble' => [
                'group' => 'general',
                'icon' => 'rouble',
                'label' => 'Rouble',
                'unicode' => '&#xf158;',
                'alias' => true,
            ],
            'rss' => [
                'group' => 'general',
                'icon' => 'rss',
                'label' => 'Rss',
                'unicode' => '&#xf09e;',
            ],
            'rss-square' => [
                'group' => 'general',
                'icon' => 'rss-square',
                'label' => 'Rss Square',
                'unicode' => '&#xf143;',
            ],
            'rub' => [
                'group' => 'general',
                'icon' => 'rub',
                'label' => 'Rub',
                'unicode' => '&#xf158;',
            ],
            'ruble' => [
                'group' => 'general',
                'icon' => 'ruble',
                'label' => 'Ruble',
                'unicode' => '&#xf158;',
                'alias' => true,
            ],
            'rupee' => [
                'group' => 'general',
                'icon' => 'rupee',
                'label' => 'Rupee',
                'unicode' => '&#xf156;',
                'alias' => true,
            ],
            'safari' => [
                'group' => 'general',
                'icon' => 'safari',
                'label' => 'Sari',
                'unicode' => '&#xf267;',
            ],
            'save' => [
                'group' => 'general',
                'icon' => 'save',
                'label' => 'Save',
                'unicode' => '&#xf0c7;',
                'alias' => true,
            ],
            'scissors' => [
                'group' => 'general',
                'icon' => 'scissors',
                'label' => 'Scissors',
                'unicode' => '&#xf0c4;',
            ],
            'scribd' => [
                'group' => 'general',
                'icon' => 'scribd',
                'label' => 'Scribd',
                'unicode' => '&#xf28a;',
            ],
            'search' => [
                'group' => 'general',
                'icon' => 'search',
                'label' => 'Search',
                'unicode' => '&#xf002;',
            ],
            'search-minus' => [
                'group' => 'general',
                'icon' => 'search-minus',
                'label' => 'Search Minus',
                'unicode' => '&#xf010;',
            ],
            'search-plus' => [
                'group' => 'general',
                'icon' => 'search-plus',
                'label' => 'Search Plus',
                'unicode' => '&#xf00e;',
            ],
            'sellsy' => [
                'group' => 'general',
                'icon' => 'sellsy',
                'label' => 'Sellsy',
                'unicode' => '&#xf213;',
            ],
            'send' => [
                'group' => 'general',
                'icon' => 'send',
                'label' => 'Send',
                'unicode' => '&#xf1d8;',
                'alias' => true,
            ],
            'send-o' => [
                'group' => 'general',
                'icon' => 'send-o',
                'label' => 'Send O',
                'unicode' => '&#xf1d9;',
                'alias' => true,
            ],
            'server' => [
                'group' => 'general',
                'icon' => 'server',
                'label' => 'Server',
                'unicode' => '&#xf233;',
            ],
            'share' => [
                'group' => 'general',
                'icon' => 'share',
                'label' => 'Share',
                'unicode' => '&#xf064;',
            ],
            'share-alt' => [
                'group' => 'general',
                'icon' => 'share-alt',
                'label' => 'Share Alt',
                'unicode' => '&#xf1e0;',
            ],
            'share-alt-square' => [
                'group' => 'general',
                'icon' => 'share-alt-square',
                'label' => 'Share Alt Square',
                'unicode' => '&#xf1e1;',
            ],
            'share-square' => [
                'group' => 'general',
                'icon' => 'share-square',
                'label' => 'Share Square',
                'unicode' => '&#xf14d;',
            ],
            'share-square-o' => [
                'group' => 'general',
                'icon' => 'share-square-o',
                'label' => 'Share Square O',
                'unicode' => '&#xf045;',
            ],
            'shekel' => [
                'group' => 'general',
                'icon' => 'shekel',
                'label' => 'Shekel',
                'unicode' => '&#xf20b;',
                'alias' => true,
            ],
            'sheqel' => [
                'group' => 'general',
                'icon' => 'sheqel',
                'label' => 'Sheqel',
                'unicode' => '&#xf20b;',
                'alias' => true,
            ],
            'shield' => [
                'group' => 'general',
                'icon' => 'shield',
                'label' => 'Shield',
                'unicode' => '&#xf132;',
            ],
            'ship' => [
                'group' => 'general',
                'icon' => 'ship',
                'label' => 'Ship',
                'unicode' => '&#xf21a;',
            ],
            'shirtsinbulk' => [
                'group' => 'general',
                'icon' => 'shirtsinbulk',
                'label' => 'Shirtsinbulk',
                'unicode' => '&#xf214;',
            ],
            'shopping-bag' => [
                'group' => 'general',
                'icon' => 'shopping-bag',
                'label' => 'Shopping Bag',
                'unicode' => '&#xf290;',
            ],
            'shopping-basket' => [
                'group' => 'general',
                'icon' => 'shopping-basket',
                'label' => 'Shopping Basket',
                'unicode' => '&#xf291;',
            ],
            'shopping-cart' => [
                'group' => 'general',
                'icon' => 'shopping-cart',
                'label' => 'Shopping Cart',
                'unicode' => '&#xf07a;',
            ],
            'sign-in' => [
                'group' => 'general',
                'icon' => 'sign-in',
                'label' => 'Sign In',
                'unicode' => '&#xf090;',
            ],
            'sign-out' => [
                'group' => 'general',
                'icon' => 'sign-out',
                'label' => 'Sign Out',
                'unicode' => '&#xf08b;',
            ],
            'signal' => [
                'group' => 'general',
                'icon' => 'signal',
                'label' => 'Signal',
                'unicode' => '&#xf012;',
            ],
            'simplybuilt' => [
                'group' => 'general',
                'icon' => 'simplybuilt',
                'label' => 'Simplybuilt',
                'unicode' => '&#xf215;',
            ],
            'sitemap' => [
                'group' => 'general',
                'icon' => 'sitemap',
                'label' => 'Sitemap',
                'unicode' => '&#xf0e8;',
            ],
            'skyatlas' => [
                'group' => 'general',
                'icon' => 'skyatlas',
                'label' => 'Skyatlas',
                'unicode' => '&#xf216;',
            ],
            'skype' => [
                'group' => 'general',
                'icon' => 'skype',
                'label' => 'Skype',
                'unicode' => '&#xf17e;',
            ],
            'slack' => [
                'group' => 'general',
                'icon' => 'slack',
                'label' => 'Slack',
                'unicode' => '&#xf198;',
            ],
            'sliders' => [
                'group' => 'general',
                'icon' => 'sliders',
                'label' => 'Sliders',
                'unicode' => '&#xf1de;',
            ],
            'slideshare' => [
                'group' => 'general',
                'icon' => 'slideshare',
                'label' => 'Slideshare',
                'unicode' => '&#xf1e7;',
            ],
            'smile-o' => [
                'group' => 'general',
                'icon' => 'smile-o',
                'label' => 'Smile O',
                'unicode' => '&#xf118;',
            ],
            'soccer-ball-o' => [
                'group' => 'general',
                'icon' => 'soccer-ball-o',
                'label' => 'Soccer Ball O',
                'unicode' => '&#xf1e3;',
                'alias' => true,
            ],
            'sort' => [
                'group' => 'general',
                'icon' => 'sort',
                'label' => 'Sort',
                'unicode' => '&#xf0dc;',
            ],
            'sort-alpha-asc' => [
                'group' => 'general',
                'icon' => 'sort-alpha-asc',
                'label' => 'Sort Alpha Asc',
                'unicode' => '&#xf15d;',
            ],
            'sort-alpha-desc' => [
                'group' => 'general',
                'icon' => 'sort-alpha-desc',
                'label' => 'Sort Alpha Desc',
                'unicode' => '&#xf15e;',
            ],
            'sort-amount-asc' => [
                'group' => 'general',
                'icon' => 'sort-amount-asc',
                'label' => 'Sort Amount Asc',
                'unicode' => '&#xf160;',
            ],
            'sort-amount-desc' => [
                'group' => 'general',
                'icon' => 'sort-amount-desc',
                'label' => 'Sort Amount Desc',
                'unicode' => '&#xf161;',
            ],
            'sort-asc' => [
                'group' => 'general',
                'icon' => 'sort-asc',
                'label' => 'Sort Asc',
                'unicode' => '&#xf0de;',
            ],
            'sort-desc' => [
                'group' => 'general',
                'icon' => 'sort-desc',
                'label' => 'Sort Desc',
                'unicode' => '&#xf0dd;',
            ],
            'sort-down' => [
                'group' => 'general',
                'icon' => 'sort-down',
                'label' => 'Sort Down',
                'unicode' => '&#xf0dd;',
                'alias' => true,
            ],
            'sort-numeric-asc' => [
                'group' => 'general',
                'icon' => 'sort-numeric-asc',
                'label' => 'Sort Numeric Asc',
                'unicode' => '&#xf162;',
            ],
            'sort-numeric-desc' => [
                'group' => 'general',
                'icon' => 'sort-numeric-desc',
                'label' => 'Sort Numeric Desc',
                'unicode' => '&#xf163;',
            ],
            'sort-up' => [
                'group' => 'general',
                'icon' => 'sort-up',
                'label' => 'Sort Up',
                'unicode' => '&#xf0de;',
                'alias' => true,
            ],
            'soundcloud' => [
                'group' => 'general',
                'icon' => 'soundcloud',
                'label' => 'Soundcloud',
                'unicode' => '&#xf1be;',
            ],
            'space-shuttle' => [
                'group' => 'general',
                'icon' => 'space-shuttle',
                'label' => 'Space Shuttle',
                'unicode' => '&#xf197;',
            ],
            'spinner' => [
                'group' => 'general',
                'icon' => 'spinner',
                'label' => 'Spinner',
                'unicode' => '&#xf110;',
            ],
            'spoon' => [
                'group' => 'general',
                'icon' => 'spoon',
                'label' => 'Spoon',
                'unicode' => '&#xf1b1;',
            ],
            'spotify' => [
                'group' => 'general',
                'icon' => 'spotify',
                'label' => 'Spotify',
                'unicode' => '&#xf1bc;',
            ],
            'square' => [
                'group' => 'general',
                'icon' => 'square',
                'label' => 'Square',
                'unicode' => '&#xf0c8;',
            ],
            'square-o' => [
                'group' => 'general',
                'icon' => 'square-o',
                'label' => 'Square O',
                'unicode' => '&#xf096;',
            ],
            'stack-exchange' => [
                'group' => 'general',
                'icon' => 'stack-exchange',
                'label' => 'Stack Exchange',
                'unicode' => '&#xf18d;',
            ],
            'stack-overflow' => [
                'group' => 'general',
                'icon' => 'stack-overflow',
                'label' => 'Stack Overflow',
                'unicode' => '&#xf16c;',
            ],
            'star' => [
                'group' => 'general',
                'icon' => 'star',
                'label' => 'Star',
                'unicode' => '&#xf005;',
            ],
            'star-half' => [
                'group' => 'general',
                'icon' => 'star-half',
                'label' => 'Star Half',
                'unicode' => '&#xf089;',
            ],
            'star-half-empty' => [
                'group' => 'general',
                'icon' => 'star-half-empty',
                'label' => 'Star Half Empty',
                'unicode' => '&#xf123;',
                'alias' => true,
            ],
            'star-half-full' => [
                'group' => 'general',
                'icon' => 'star-half-full',
                'label' => 'Star Half Full',
                'unicode' => '&#xf123;',
                'alias' => true,
            ],
            'star-half-o' => [
                'group' => 'general',
                'icon' => 'star-half-o',
                'label' => 'Star Half O',
                'unicode' => '&#xf123;',
            ],
            'star-o' => [
                'group' => 'general',
                'icon' => 'star-o',
                'label' => 'Star O',
                'unicode' => '&#xf006;',
            ],
            'steam' => [
                'group' => 'general',
                'icon' => 'steam',
                'label' => 'Steam',
                'unicode' => '&#xf1b6;',
            ],
            'steam-square' => [
                'group' => 'general',
                'icon' => 'steam-square',
                'label' => 'Steam Square',
                'unicode' => '&#xf1b7;',
            ],
            'step-backward' => [
                'group' => 'general',
                'icon' => 'step-backward',
                'label' => 'Step Backward',
                'unicode' => '&#xf048;',
            ],
            'step-forward' => [
                'group' => 'general',
                'icon' => 'step-forward',
                'label' => 'Step Forward',
                'unicode' => '&#xf051;',
            ],
            'stethoscope' => [
                'group' => 'general',
                'icon' => 'stethoscope',
                'label' => 'Stethoscope',
                'unicode' => '&#xf0f1;',
            ],
            'sticky-note' => [
                'group' => 'general',
                'icon' => 'sticky-note',
                'label' => 'Sticky Note',
                'unicode' => '&#xf249;',
            ],
            'sticky-note-o' => [
                'group' => 'general',
                'icon' => 'sticky-note-o',
                'label' => 'Sticky Note O',
                'unicode' => '&#xf24a;',
            ],
            'stop' => [
                'group' => 'general',
                'icon' => 'stop',
                'label' => 'Stop',
                'unicode' => '&#xf04d;',
            ],
            'stop-circle' => [
                'group' => 'general',
                'icon' => 'stop-circle',
                'label' => 'Stop Circle',
                'unicode' => '&#xf28d;',
            ],
            'stop-circle-o' => [
                'group' => 'general',
                'icon' => 'stop-circle-o',
                'label' => 'Stop Circle O',
                'unicode' => '&#xf28e;',
            ],
            'street-view' => [
                'group' => 'general',
                'icon' => 'street-view',
                'label' => 'Street View',
                'unicode' => '&#xf21d;',
            ],
            'strikethrough' => [
                'group' => 'general',
                'icon' => 'strikethrough',
                'label' => 'Strikethrough',
                'unicode' => '&#xf0cc;',
            ],
            'stumbleupon' => [
                'group' => 'general',
                'icon' => 'stumbleupon',
                'label' => 'Stumbleupon',
                'unicode' => '&#xf1a4;',
            ],
            'stumbleupon-circle' => [
                'group' => 'general',
                'icon' => 'stumbleupon-circle',
                'label' => 'Stumbleupon Circle',
                'unicode' => '&#xf1a3;',
            ],
            'subscript' => [
                'group' => 'general',
                'icon' => 'subscript',
                'label' => 'Subscript',
                'unicode' => '&#xf12c;',
            ],
            'subway' => [
                'group' => 'general',
                'icon' => 'subway',
                'label' => 'Subway',
                'unicode' => '&#xf239;',
            ],
            'suitcase' => [
                'group' => 'general',
                'icon' => 'suitcase',
                'label' => 'Suitcase',
                'unicode' => '&#xf0f2;',
            ],
            'sun-o' => [
                'group' => 'general',
                'icon' => 'sun-o',
                'label' => 'Sun O',
                'unicode' => '&#xf185;',
            ],
            'superscript' => [
                'group' => 'general',
                'icon' => 'superscript',
                'label' => 'Superscript',
                'unicode' => '&#xf12b;',
            ],
            'support' => [
                'group' => 'general',
                'icon' => 'support',
                'label' => 'Support',
                'unicode' => '&#xf1cd;',
                'alias' => true,
            ],
            'table' => [
                'group' => 'general',
                'icon' => 'table',
                'label' => 'Table',
                'unicode' => '&#xf0ce;',
            ],
            'tablet' => [
                'group' => 'general',
                'icon' => 'tablet',
                'label' => 'Tablet',
                'unicode' => '&#xf10a;',
            ],
            'tachometer' => [
                'group' => 'general',
                'icon' => 'tachometer',
                'label' => 'Tachometer',
                'unicode' => '&#xf0e4;',
            ],
            'tag' => [
                'group' => 'general',
                'icon' => 'tag',
                'label' => 'Tag',
                'unicode' => '&#xf02b;',
            ],
            'tags' => [
                'group' => 'general',
                'icon' => 'tags',
                'label' => 'Tags',
                'unicode' => '&#xf02c;',
            ],
            'tasks' => [
                'group' => 'general',
                'icon' => 'tasks',
                'label' => 'Tasks',
                'unicode' => '&#xf0ae;',
            ],
            'taxi' => [
                'group' => 'general',
                'icon' => 'taxi',
                'label' => 'Taxi',
                'unicode' => '&#xf1ba;',
            ],
            'television' => [
                'group' => 'general',
                'icon' => 'television',
                'label' => 'Television',
                'unicode' => '&#xf26c;',
            ],
            'tencent-weibo' => [
                'group' => 'general',
                'icon' => 'tencent-weibo',
                'label' => 'Tencent Weibo',
                'unicode' => '&#xf1d5;',
            ],
            'terminal' => [
                'group' => 'general',
                'icon' => 'terminal',
                'label' => 'Terminal',
                'unicode' => '&#xf120;',
            ],
            'text-height' => [
                'group' => 'general',
                'icon' => 'text-height',
                'label' => 'Text Height',
                'unicode' => '&#xf034;',
            ],
            'text-width' => [
                'group' => 'general',
                'icon' => 'text-width',
                'label' => 'Text Width',
                'unicode' => '&#xf035;',
            ],
            'th' => [
                'group' => 'general',
                'icon' => 'th',
                'label' => 'Th',
                'unicode' => '&#xf00a;',
            ],
            'th-large' => [
                'group' => 'general',
                'icon' => 'th-large',
                'label' => 'Th Large',
                'unicode' => '&#xf009;',
            ],
            'th-list' => [
                'group' => 'general',
                'icon' => 'th-list',
                'label' => 'Th List',
                'unicode' => '&#xf00b;',
            ],
            'thumb-tack' => [
                'group' => 'general',
                'icon' => 'thumb-tack',
                'label' => 'Thumb Tack',
                'unicode' => '&#xf08d;',
            ],
            'thumbs-down' => [
                'group' => 'general',
                'icon' => 'thumbs-down',
                'label' => 'Thumbs Down',
                'unicode' => '&#xf165;',
            ],
            'thumbs-o-down' => [
                'group' => 'general',
                'icon' => 'thumbs-o-down',
                'label' => 'Thumbs O Down',
                'unicode' => '&#xf088;',
            ],
            'thumbs-o-up' => [
                'group' => 'general',
                'icon' => 'thumbs-o-up',
                'label' => 'Thumbs O Up',
                'unicode' => '&#xf087;',
            ],
            'thumbs-up' => [
                'group' => 'general',
                'icon' => 'thumbs-up',
                'label' => 'Thumbs Up',
                'unicode' => '&#xf164;',
            ],
            'ticket' => [
                'group' => 'general',
                'icon' => 'ticket',
                'label' => 'Ticket',
                'unicode' => '&#xf145;',
            ],
            'times' => [
                'group' => 'general',
                'icon' => 'times',
                'label' => 'Times',
                'unicode' => '&#xf00d;',
            ],
            'times-circle' => [
                'group' => 'general',
                'icon' => 'times-circle',
                'label' => 'Times Circle',
                'unicode' => '&#xf057;',
            ],
            'times-circle-o' => [
                'group' => 'general',
                'icon' => 'times-circle-o',
                'label' => 'Times Circle O',
                'unicode' => '&#xf05c;',
            ],
            'tint' => [
                'group' => 'general',
                'icon' => 'tint',
                'label' => 'Tint',
                'unicode' => '&#xf043;',
            ],
            'toggle-down' => [
                'group' => 'general',
                'icon' => 'toggle-down',
                'label' => 'Toggle Down',
                'unicode' => '&#xf150;',
                'alias' => true,
            ],
            'toggle-left' => [
                'group' => 'general',
                'icon' => 'toggle-left',
                'label' => 'Toggle Left',
                'unicode' => '&#xf191;',
                'alias' => true,
            ],
            'toggle-off' => [
                'group' => 'general',
                'icon' => 'toggle-off',
                'label' => 'Toggle Off',
                'unicode' => '&#xf204;',
            ],
            'toggle-on' => [
                'group' => 'general',
                'icon' => 'toggle-on',
                'label' => 'Toggle On',
                'unicode' => '&#xf205;',
            ],
            'toggle-right' => [
                'group' => 'general',
                'icon' => 'toggle-right',
                'label' => 'Toggle Right',
                'unicode' => '&#xf152;',
                'alias' => true,
            ],
            'toggle-up' => [
                'group' => 'general',
                'icon' => 'toggle-up',
                'label' => 'Toggle Up',
                'unicode' => '&#xf151;',
                'alias' => true,
            ],
            'trademark' => [
                'group' => 'general',
                'icon' => 'trademark',
                'label' => 'Trademark',
                'unicode' => '&#xf25c;',
            ],
            'train' => [
                'group' => 'general',
                'icon' => 'train',
                'label' => 'Train',
                'unicode' => '&#xf238;',
            ],
            'transgender' => [
                'group' => 'general',
                'icon' => 'transgender',
                'label' => 'Transgender',
                'unicode' => '&#xf224;',
            ],
            'transgender-alt' => [
                'group' => 'general',
                'icon' => 'transgender-alt',
                'label' => 'Transgender Alt',
                'unicode' => '&#xf225;',
            ],
            'trash' => [
                'group' => 'general',
                'icon' => 'trash',
                'label' => 'Trash',
                'unicode' => '&#xf1f8;',
            ],
            'trash-o' => [
                'group' => 'general',
                'icon' => 'trash-o',
                'label' => 'Trash O',
                'unicode' => '&#xf014;',
            ],
            'tree' => [
                'group' => 'general',
                'icon' => 'tree',
                'label' => 'Tree',
                'unicode' => '&#xf1bb;',
            ],
            'trello' => [
                'group' => 'general',
                'icon' => 'trello',
                'label' => 'Trello',
                'unicode' => '&#xf181;',
            ],
            'tripadvisor' => [
                'group' => 'general',
                'icon' => 'tripadvisor',
                'label' => 'Tripadvisor',
                'unicode' => '&#xf262;',
            ],
            'trophy' => [
                'group' => 'general',
                'icon' => 'trophy',
                'label' => 'Trophy',
                'unicode' => '&#xf091;',
            ],
            'truck' => [
                'group' => 'general',
                'icon' => 'truck',
                'label' => 'Truck',
                'unicode' => '&#xf0d1;',
            ],
            'try' => [
                'group' => 'general',
                'icon' => 'try',
                'label' => 'Try',
                'unicode' => '&#xf195;',
            ],
            'tty' => [
                'group' => 'general',
                'icon' => 'tty',
                'label' => 'Tty',
                'unicode' => '&#xf1e4;',
            ],
            'tumblr' => [
                'group' => 'general',
                'icon' => 'tumblr',
                'label' => 'Tumblr',
                'unicode' => '&#xf173;',
            ],
            'tumblr-square' => [
                'group' => 'general',
                'icon' => 'tumblr-square',
                'label' => 'Tumblr Square',
                'unicode' => '&#xf174;',
            ],
            'turkish-lira' => [
                'group' => 'general',
                'icon' => 'turkish-lira',
                'label' => 'Turkish Lira',
                'unicode' => '&#xf195;',
                'alias' => true,
            ],
            'tv' => [
                'group' => 'general',
                'icon' => 'tv',
                'label' => 'Tv',
                'unicode' => '&#xf26c;',
                'alias' => true,
            ],
            'twitch' => [
                'group' => 'general',
                'icon' => 'twitch',
                'label' => 'Twitch',
                'unicode' => '&#xf1e8;',
            ],
            'twitter' => [
                'group' => 'general',
                'icon' => 'twitter',
                'label' => 'Twitter',
                'unicode' => '&#xf099;',
            ],
            'twitter-square' => [
                'group' => 'general',
                'icon' => 'twitter-square',
                'label' => 'Twitter Square',
                'unicode' => '&#xf081;',
            ],
            'umbrella' => [
                'group' => 'general',
                'icon' => 'umbrella',
                'label' => 'Umbrella',
                'unicode' => '&#xf0e9;',
            ],
            'underline' => [
                'group' => 'general',
                'icon' => 'underline',
                'label' => 'Underline',
                'unicode' => '&#xf0cd;',
            ],
            'undo' => [
                'group' => 'general',
                'icon' => 'undo',
                'label' => 'Undo',
                'unicode' => '&#xf0e2;',
            ],
            'university' => [
                'group' => 'general',
                'icon' => 'university',
                'label' => 'University',
                'unicode' => '&#xf19c;',
            ],
            'unlink' => [
                'group' => 'general',
                'icon' => 'unlink',
                'label' => 'Unlink',
                'unicode' => '&#xf127;',
                'alias' => true,
            ],
            'unlock' => [
                'group' => 'general',
                'icon' => 'unlock',
                'label' => 'Unlock',
                'unicode' => '&#xf09c;',
            ],
            'unlock-alt' => [
                'group' => 'general',
                'icon' => 'unlock-alt',
                'label' => 'Unlock Alt',
                'unicode' => '&#xf13e;',
            ],
            'unsorted' => [
                'group' => 'general',
                'icon' => 'unsorted',
                'label' => 'Unsorted',
                'unicode' => '&#xf0dc;',
                'alias' => true,
            ],
            'upload' => [
                'group' => 'general',
                'icon' => 'upload',
                'label' => 'Upload',
                'unicode' => '&#xf093;',
            ],
            'usb' => [
                'group' => 'general',
                'icon' => 'usb',
                'label' => 'Usb',
                'unicode' => '&#xf287;',
            ],
            'usd' => [
                'group' => 'general',
                'icon' => 'usd',
                'label' => 'Usd',
                'unicode' => '&#xf155;',
            ],
            'user' => [
                'group' => 'general',
                'icon' => 'user',
                'label' => 'User',
                'unicode' => '&#xf007;',
            ],
            'user-md' => [
                'group' => 'general',
                'icon' => 'user-md',
                'label' => 'User Md',
                'unicode' => '&#xf0f0;',
            ],
            'user-plus' => [
                'group' => 'general',
                'icon' => 'user-plus',
                'label' => 'User Plus',
                'unicode' => '&#xf234;',
            ],
            'user-secret' => [
                'group' => 'general',
                'icon' => 'user-secret',
                'label' => 'User Secret',
                'unicode' => '&#xf21b;',
            ],
            'user-times' => [
                'group' => 'general',
                'icon' => 'user-times',
                'label' => 'User Times',
                'unicode' => '&#xf235;',
            ],
            'users' => [
                'group' => 'general',
                'icon' => 'users',
                'label' => 'Users',
                'unicode' => '&#xf0c0;',
            ],
            'venus' => [
                'group' => 'general',
                'icon' => 'venus',
                'label' => 'Venus',
                'unicode' => '&#xf221;',
            ],
            'venus-double' => [
                'group' => 'general',
                'icon' => 'venus-double',
                'label' => 'Venus Double',
                'unicode' => '&#xf226;',
            ],
            'venus-mars' => [
                'group' => 'general',
                'icon' => 'venus-mars',
                'label' => 'Venus Mars',
                'unicode' => '&#xf228;',
            ],
            'viacoin' => [
                'group' => 'general',
                'icon' => 'viacoin',
                'label' => 'Viacoin',
                'unicode' => '&#xf237;',
            ],
            'video-camera' => [
                'group' => 'general',
                'icon' => 'video-camera',
                'label' => 'Video Camera',
                'unicode' => '&#xf03d;',
            ],
            'vimeo' => [
                'group' => 'general',
                'icon' => 'vimeo',
                'label' => 'Vimeo',
                'unicode' => '&#xf27d;',
            ],
            'vimeo-square' => [
                'group' => 'general',
                'icon' => 'vimeo-square',
                'label' => 'Vimeo Square',
                'unicode' => '&#xf194;',
            ],
            'vine' => [
                'group' => 'general',
                'icon' => 'vine',
                'label' => 'Vine',
                'unicode' => '&#xf1ca;',
            ],
            'vk' => [
                'group' => 'general',
                'icon' => 'vk',
                'label' => 'Vk',
                'unicode' => '&#xf189;',
            ],
            'volume-down' => [
                'group' => 'general',
                'icon' => 'volume-down',
                'label' => 'Volume Down',
                'unicode' => '&#xf027;',
            ],
            'volume-off' => [
                'group' => 'general',
                'icon' => 'volume-off',
                'label' => 'Volume Off',
                'unicode' => '&#xf026;',
            ],
            'volume-up' => [
                'group' => 'general',
                'icon' => 'volume-up',
                'label' => 'Volume Up',
                'unicode' => '&#xf028;',
            ],
            'warning' => [
                'group' => 'general',
                'icon' => 'warning',
                'label' => 'Warning',
                'unicode' => '&#xf071;',
                'alias' => true,
            ],
            'wechat' => [
                'group' => 'general',
                'icon' => 'wechat',
                'label' => 'Wechat',
                'unicode' => '&#xf1d7;',
                'alias' => true,
            ],
            'weibo' => [
                'group' => 'general',
                'icon' => 'weibo',
                'label' => 'Weibo',
                'unicode' => '&#xf18a;',
            ],
            'weixin' => [
                'group' => 'general',
                'icon' => 'weixin',
                'label' => 'Weixin',
                'unicode' => '&#xf1d7;',
            ],
            'whatsapp' => [
                'group' => 'general',
                'icon' => 'whatsapp',
                'label' => 'Whatsapp',
                'unicode' => '&#xf232;',
            ],
            'wheelchair' => [
                'group' => 'general',
                'icon' => 'wheelchair',
                'label' => 'Wheelchair',
                'unicode' => '&#xf193;',
            ],
            'wifi' => [
                'group' => 'general',
                'icon' => 'wifi',
                'label' => 'Wifi',
                'unicode' => '&#xf1eb;',
            ],
            'wikipedia-w' => [
                'group' => 'general',
                'icon' => 'wikipedia-w',
                'label' => 'Wikipedia W',
                'unicode' => '&#xf266;',
            ],
            'windows' => [
                'group' => 'general',
                'icon' => 'windows',
                'label' => 'Windows',
                'unicode' => '&#xf17a;',
            ],
            'won' => [
                'group' => 'general',
                'icon' => 'won',
                'label' => 'Won',
                'unicode' => '&#xf159;',
                'alias' => true,
            ],
            'wordpress' => [
                'group' => 'general',
                'icon' => 'wordpress',
                'label' => 'Wordpress',
                'unicode' => '&#xf19a;',
            ],
            'wrench' => [
                'group' => 'general',
                'icon' => 'wrench',
                'label' => 'Wrench',
                'unicode' => '&#xf0ad;',
            ],
            'xing' => [
                'group' => 'general',
                'icon' => 'xing',
                'label' => 'Xing',
                'unicode' => '&#xf168;',
            ],
            'xing-square' => [
                'group' => 'general',
                'icon' => 'xing-square',
                'label' => 'Xing Square',
                'unicode' => '&#xf169;',
            ],
            'y-combinator' => [
                'group' => 'general',
                'icon' => 'y-combinator',
                'label' => 'Y Combinator',
                'unicode' => '&#xf23b;',
            ],
            'y-combinator-square' => [
                'group' => 'general',
                'icon' => 'y-combinator-square',
                'label' => 'Y Combinator Square',
                'unicode' => '&#xf1d4;',
                'alias' => true,
            ],
            'yahoo' => [
                'group' => 'general',
                'icon' => 'yahoo',
                'label' => 'Yahoo',
                'unicode' => '&#xf19e;',
            ],
            'yc' => [
                'group' => 'general',
                'icon' => 'yc',
                'label' => 'Yc',
                'unicode' => '&#xf23b;',
                'alias' => true,
            ],
            'yc-square' => [
                'group' => 'general',
                'icon' => 'yc-square',
                'label' => 'Yc Square',
                'unicode' => '&#xf1d4;',
                'alias' => true,
            ],
            'yelp' => [
                'group' => 'general',
                'icon' => 'yelp',
                'label' => 'Yelp',
                'unicode' => '&#xf1e9;',
            ],
            'yen' => [
                'group' => 'general',
                'icon' => 'yen',
                'label' => 'Yen',
                'unicode' => '&#xf157;',
                'alias' => true,
            ],
            'youtube' => [
                'group' => 'general',
                'icon' => 'youtube',
                'label' => 'Youtube',
                'unicode' => '&#xf167;',
            ],
            'youtube-play' => [
                'group' => 'general',
                'icon' => 'youtube-play',
                'label' => 'Youtube Play',
                'unicode' => '&#xf16a;',
            ],
            'youtube-square' => [
                'group' => 'general',
                'icon' => 'youtube-square',
                'label' => 'Youtube Square',
                'unicode' => '&#xf166;',
            ],
        ];
    }
}