<?php

use kartik\widgets\FileInput;
use yeesoft\helpers\Html;
use yeesoft\widgets\ActiveForm;
use yii\helpers\Url;
use \backend\modules\vehicle\models\VehicleImages;

/* @var $this yii\web\View */
/* @var $model \common\models\Images360 */
/* @var $form yeesoft\widgets\ActiveForm */
/* @var $image_data \common\models\Images360 */

$this->title = Yii::t('yee', 'Vehicle Images');
$this->params['breadcrumbs'][] = $this->title;

?>
<style>
    .thumbnail {
        max-height: 310px;
    }

    .img-container {
        border: 1px solid #ccc;
        margin: 0 auto;
        padding: 0;
        cursor: ew-resize;
    }

    .img360 {
        margin: 0;
        padding: 0;
        line-height: 0;

    }


    #preload-imgs {
        display: none;
    }
</style>
<div class="album-create">
    <h3 class="lte-hide-title">Upload <?php echo $vehicle->title ?> Images
    </h3>
</div>
<div class="album-form">

    <?php
    $form = ActiveForm::begin([
    ])
    ?>
    <div class="panel panel-default">

        <div class="row">
            <div class="col-md-6">

                <div class="panel-body">
                    <?= $form->field($model, 'title')->textInput(['value' => $vehicle->title]) ?>
                </div>

            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">

                <div class="panel-body">
                    <?php echo '
           <label style="color: red">Set images in sequence and then multiple drag and drop for upload . </label><strong> Maximum Multiple  Upload: 75 images</strong>
';
                    ?>
                    <?= $form->field($model, 'path[]')->widget(FileInput::className(), [
                        'options' => ['multiple' => true],
                        'pluginOptions' => [
                            'uploadUrl' => Url::to(['upload-360-images', 'id' => $id]),
                            'uploadAsync' => true,
                            'maxAjaxThreads' => 1,
                            'allowedFileExtensions' => ['jpg', 'gif', 'png', 'jpeg', 'webp'],
                            'uploadExtraData' => [
                                "Images360[vehicle_id]" => $id,

                            ],
                            'showRemove' => false,
                            'maxFileCount' => 75
                        ]
                    ])->label(false) ?>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">

                <div class="panel-body">
                    <?php echo '<label>Front Image</label>';
                    ?>
                    <?= $form->field($model, 'frontImage[]')->widget(FileInput::className(), [
                        'options' => ['multiple' => true],
                        'pluginOptions' => [
                            'uploadUrl' => Url::to(['upload-front-images', 'id' => $id]),
                            'uploadExtraData' => [
                                "Images360[vehicle_id]" => $id,
                            ],
                            'allowedFileExtensions' => ['jpg', 'gif', 'png', 'jpeg', 'webp'],
                            // 'initialPreview'=>[
                            // $front_image_preview?$front_image_preview->path.'-265x150.'.$front_image_preview->extension:false,
                            // ],
                            'initialPreviewAsData' => true,
                            'overwriteInitial' => false,
                            // 'maxFileSize'=>2800
                        ]
                    ])->label(false) ?>
                </div>
            </div>

        </div>
        <?php ActiveForm::end(); ?>
    </div>
</div>
<div class="row">
    <div class="col-md-6">

        <div class="panel-body">
            <label>

            </label>

            <a class="btn btn-danger" href="<?= \yii\helpers\Url::toRoute(['delete-all', 'id' => $id]) ?>"> Delete All
                Image</a>

            <a class="btn btn-primary" href="<?= \yii\helpers\Url::toRoute(['delete', 'id' => $id]) ?>"> Delete Previous
                Image</a>
            <a class="btn btn-warning" href="<?= \yii\helpers\Url::toRoute(['generate-xml', 'id' => $id]) ?>"> Generate
                Xml</a>
            <a href="<?= \yii\helpers\Url::toRoute(['delete-front-image', 'id' => $id]) ?>" class="btn btn-info">Delete
                Front Image</a>

        </div>
    </div>
</div>

<!-- Other Images -->

<?php if (!empty($front_images_all)){ ?>
<div class="panel panel-default">

    <div class="panel-body">
        <div class="text-center"><label><h2>Images you Uploaded before</h2></label>

            <div class="text-center"><label><h3>From Owner</h3></label>
            </div>
            <div class="row">
                <?php
                $counter_img = 0;
                foreach ($front_images_all as $number) {
                    $counter_img = $counter_img + 1;
                    ?>
                    <div class="col-md-4">
                        <div class="thumbnail">
                            <img src="<?= $number->getImageFullPath(['resolution' => VehicleImages::ADMIN_OWNER_UPLOADED_THUMB_SIZE['w'] . 'x' . VehicleImages::ADMIN_OWNER_UPLOADED_THUMB_SIZE['h']]); ?>"
                                 style="width:100%;height: 100%;max-height: 220px" alt="">
                            <div class="caption">
                                <p><a class="btn btn-warning" target="_blank" href="<?= $number->getOriginalImageFullPath() ?>">View Original Image</a></p>
                            </div>
                            <div class="caption">
                                <div class="row">

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <div id="default_image_<?= $counter_img ?>" role="radiogroup">
                                                <label class="radio-inline">
                                                    <input type="radio" name="is_default_image" value="<?= $number->id ?>" <?= ($number->is_default) ? 'checked="checked"' : '' ?>>
                                                    Main Image
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <p><a href="javascript:void(0);" onclick="deleteSingleFrontImage(this)"
                                              data-id="<?= $number->id ?>" class="btn btn-danger"><i
                                                        class="fa fa-trash"></i></a></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
    <?php } ?>


    <?php if (empty($front_images_all)) { ?>
        <div class="panel panel-default">
            <div class="panel-body">
                <h1>No images uploaded</h1>
            </div>
        </div>
    <?php } ?>

    <!-- End other Images -->
    <div class="text-center"><label><h2>From Admin</h2></label>
        <?php if (!empty($image_data)) { ?>
            <div class="panel panel-default">

                <div class="panel-body">
                    <div class="text-center"><label><h2>Images you Uploaded before</h2></label>
                    </div>
                    <div class="row">
                        <?php
                        $counter_img = 0;
                        //echo "<pre>";print_r($image_data);echo "</pre>";die('Call');
                        foreach ($image_data as $number) {
                            /*try {
                                echo "<pre>";print_r($image_data);echo "</pre>";
                                $number->getOriginalImageFullPath();
                            }catch (Exception $e){
                                echo "<pre>";print_r($number);echo "</pre>";die('Call');
                            }
                            echo "<pre>";print_r($number);echo "</pre>";die('Call');*/
                            $counter_img = $counter_img + 1;
                            ?>
                            <div class="col-md-4">
                                <div class="thumbnail">
                                    <img src="<?= '/uploads/360images/' . $number->path ?>"
                                         style="width:100%;height: 100%;max-height: 220px" alt="">
                                    <div class="caption">
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
        <?php } ?>


        <?php if (empty($image_data)) { ?>
            <div class="panel panel-default">
                <div class="panel-body">
                    <h1>No images uploaded</h1>
                </div>
            </div>
        <?php } ?>
        <?= $this->render('_fullview', [
            'model' => $model,
            'vehicle' => $vehicle,
            'image_data' => $image_data,
            'id' => $id,
            'count' => $count,
            'extension' => $extension
        ]) ?>
        <script>

            function deleteSingleFrontImage(obj) {
                let selectedImage = $(obj).attr('data-id');
                let vehicleId = <?=$id ?>;
                $.ajax({
                    url: '/car-images/delete-single-front-image',
                    method: 'post',
                    data: {
                        "DynamicModel": {
                            selectedImage: selectedImage, vehicleId: vehicleId
                        }
                    },
                    dataType: 'json',
                    success: function (data) {
                        if (typeof data.status !== 'undefined') {
                            if(data.status == 1){
                                $(obj).closest('div.col-md-4').remove();
                            }
                            //alert(data.message)
                        } else {
                            alert('Failed to update. Please try again');
                        }

                    }
                });
            }

            $(document).ready(function () {
                $('input[type="radio"][name="is_default_image"]').on('change', function () {
                    let selectedImage = $('input[type="radio"][name="is_default_image"]:checked').val();
                    let vehicleId = <?=$id ?>;
                    $.ajax({
                        url: '/car-images/make-default-image',
                        method: 'post',
                        data: {
                            "DynamicModel": {
                                selectedImage: selectedImage, vehicleId: vehicleId
                            }
                        },
                        dataType: 'json',
                        success: function (data) {
                            if (typeof data.status !== 'undefined') {
                                alert(data.message)
                            } else {
                                alert('Failed to update. Please try again');
                            }

                        }
                    });
                });


            });
        </script>
