<?php

use yii\helpers\Url;
use yii\widgets\Pjax;
use yeesoft\grid\GridView;
use yeesoft\grid\GridQuickLinks;
use backend\modules\vehicle\models\Vehicle;
use yeesoft\helpers\Html;
use yeesoft\grid\GridPageSize;

/* @var $this yii\web\View */
/* @var $searchModel backend\modules\vehicle\models\search\VehicleSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Vehicles 360 Images';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="vehicle-index">

    <div class="row">
        <div class="col-sm-12">
            <h3 class="lte-hide-title page-title"><?=  Html::encode($this->title) ?></h3>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="row">

                <div class="col-sm-6 text-right">
                    <?=  GridPageSize::widget(['pjaxId' => 'vehicle-grid-pjax']) ?>
                </div>
            </div>

            <?php
            Pjax::begin([
                'id' => 'vehicle-grid-pjax',
            ])
            ?>

            <?=
            GridView::widget([
                'id' => 'vehicle-grid',
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'bulkActionOptions' => [
                    'gridId' => 'vehicle-grid',
                ],
                'columns' => [

                    'id',
                    'slug',
                    'status',
                    'price',
                    ['class' => 'yii\grid\ActionColumn',
                        'template' => '{upload-images}',
                        'buttons' => [
                            'upload-images'=>function($url){
                                return Html::a('<span class="fa fa-picture-o fa-2x"></span>',$url, [
                                    'title' => Yii::t('app', 'Upload Images'),
                                ]);
                            },
                        ],
                        'urlCreator' => function ($action, $model, $key, $index) {
                            if ($action === 'upload-images') {
                                $url = \yii\helpers\Url::toRoute(['car-images/upload-images','id'=>$model->id]);
                                return $url;

                            }

                        }
                    ],

                ],
            ]);
            ?>

            <?php Pjax::end() ?>
        </div>
    </div>
</div>


