<?php

use kartik\widgets\FileInput;
use yeesoft\helpers\Html;
use yeesoft\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model \common\models\Images360 */
/* @var $form yeesoft\widgets\ActiveForm */
/* @var $image_data \common\models\Images360 */

$this->title = Yii::t('yee', 'Vehicle Images');
$this->params['breadcrumbs'][] = $this->title;

?>
<style>
.thumbnail{
    max-height: 310px;
}

.img-container {
    border: 1px solid #ccc;
    margin: 0 auto;
    padding:0;
    cursor: ew-resize;
}

.img360 {
    margin: 0;
    padding: 0;
    line-height: 0;

}



#preload-imgs {
    display:none;
}
</style>
<div class="album-create">
    <h3 class="lte-hide-title">Upload <?php echo $vehicle->title ?> Images
        </h3>
</div>
<div class="album-form">

    <?php
    $form = ActiveForm::begin()
    ?>
    <div class="panel panel-default">

    <div class="row">
        <div class="col-md-6">

                <div class="panel-body">
                    <?= $form->field($model, 'title')->textInput(['value'=>$vehicle->title]) ?>
                </div>

            </div>
    </div>
        <div class="row">
            <div class="col-md-6">

                <div class="panel-body">
                    <?php echo '<label>Add Images in Sequence for 360 degree view</label>';
                     ?>
                    <?= $form->field($model, 'images')->widget(FileInput::className(),[
                            'options'=>[
                            ],
                            'pluginOptions' => [
                                'allowedFileExtensions' => ['jpg','gif','png','jpeg','webp'],
                            ]
                    ])->label(false) ?>
                </div>
            </div>
            <div class="col-md-6">

                <div class="panel-body">
                    <?php echo '<label>Front Image</label>';
                    ?>
                    <?= $form->field($model, 'frontImage')->widget(FileInput::className(),[

                        'name' => 'attachment_49[]',
                        'options'=>['multiple'=>false],
                        'pluginOptions' => [
                            'allowedFileExtensions' => ['jpg','gif','png','jpeg','webp'],
                            'initialPreview'=>[
                            $front_image_preview?$front_image_preview->path.'-265x150.'.$front_image_preview->extension:false,
                            ],
                            'initialPreviewAsData'=>true,
                            'overwriteInitial'=>false,
                            'maxFileSize'=>2800
                        ]
                    ])->label(false) ?>
                </div>
            </div>

        </div>
        <?php ActiveForm::end(); ?>
    <div class="row">
        <div class="col-md-6">

                        <div class="panel-body">
                             <label>

</label>
         <a class="btn btn-primary" href="<?= \yii\helpers\Url::toRoute(['delete','id'=>$id])?>"> Delete Previous Image</a>
                            <a class="btn btn-danger" href="<?= \yii\helpers\Url::toRoute(['delete-all','id'=>$id])?>"> Delete All Image</a>
                            <a href="<?= \yii\helpers\Url::toRoute(['delete-front-image','id'=>$id])?>" class="btn btn-info">Delete Front Image</a>
                            <a href="#360-view" class="btn btn-success"> Check 360 view</a>

                        </div>
</div>
</div>

</div>
<?php if (!empty($image_data)){?>
    <div class="panel panel-default">

        <div class="panel-body">
   <div class="text-center"><label><h2>Images you Uploaded before</h2></label>
</div>
        <div class="row">
            <?php foreach ($image_data as $data) { ?>
            <div class="col-md-4">
                <div class="thumbnail">
                        <img src="<?= '/uploads/360images/'.$data->path ?>" style="width:100%;height: 100%;max-height: 220px" alt="">
                        <div class="caption">
                            <p><?= $data->path ?></p>
                        </div>
                </div>
            </div>
            <?php } ?>
        </div>
                </div>
                </div>
                <?php } ?>


<?php if (empty($image_data)){?>
<div class="panel panel-default">
    <div class="panel-body">
        <h1>No images uploaded</h1>
    </div>
</div>
<?php } ?>
<?=  $this->render('_fullview',[
    'model'=>$model,
    'vehicle'=>$vehicle,
    'image_data'=>$image_data,
    'id'=>$id,
    'count'=>$count,
    'extension'=>$extension
])?>
