<?php

use yii\helpers\Html;

/* @var $this \yii\web\View*/
/* @var $model \common\models\Vehicle*/
/* @var $user \common\models\User*/
/* @var $listing \common\models\Vehicle*/
$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id,'language' => Yii::$app->params['short_language']]);

?>

<div class="bid-detail">

    <p><?= Yii::t('auto','Hello')?></p>

    <p><?= Yii::t('auto','Successful payment has been made for {title}. Details are given below:', [
            'title' => $vehicle_title->title
        ])?></p>
    <table class="" style="width: 100%;white-space: nowrap;">
        <tbody>
        <tr>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Car Brand :')?></span> <?= $model->getData('manufacturer_id')?></td>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Car Model :')?></span> <?= $model->getData('manufacturer_model_id')?></td>
        </tr>
        <tr>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Model Year :')?></span> <?= $model->model_year?></td>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Transmission :')?></span> <?=  $model->getData('transmission_id')?></td>
        </tr>
        <tr>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Power :')?></span> <?= $model->power?></td>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Capacity :')?></span> <?= $model->capacity?></td>
        </tr>
        <tr>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Body Type :')?></span> <?= $model->getData('body_type_id')?></td>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Drive :')?></span> <?= $model->getData('drive_id') ?></td>
        </tr>
        <tr>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Engine :')?></span> <?= $model->getData('engine_id')?> </td>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Cylinders :')?></span> <?= $model->getData('cylinders_id')?></td>
        </tr>
        <tr>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Exterior Color :')?></span> <?= $model->getData('color_id') ?> </td>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Interior Color :')?></span> <?= $model->getData('interior_color_id') ?></td>
        </tr>
        <tr>
            <td><span style="font-weight: 700"><?= Yii::t('auto','Odometer (KM) :')?></span> <?= $model->odometer_km?> </td>
            <?php if ($model->odometer_mile == null){ ?>
                <td><span style="font-weight: 700"><?= Yii::t('auto','Odometer (Mile) :')?></span>
                    <?= Yii::t('auto','Not Found')?>
                </td>
            <?php }else{?>
                <td><span style="font-weight: 700"><?= Yii::t('auto','Odometer (Mile) :')?></span>
                    <?= $model->odometer_mile?>
                </td>
            <?php }?>

        </tr>
        </tbody>
    </table>



</div>
