<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "countries".
 *
 * @property int $vehicle_id
 * @property int $size
 * @property int $counter
 * @property string $path
 * @property string $extension
 * @property string $url

 */
class Images360 extends \yii\db\ActiveRecord
{
    public $frontImage;
    public $title;

    const CDN_CACHE_RESOLUTION = [
        'w' => 1600,
        'h' => 900,
    ];
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'images360';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['vehicle_id','size','counter','url'], 'safe'],
            [['frontImage'],'file' ,'maxFiles' => 6,'skipOnEmpty' => true  ],
            [['path'], 'file','maxFiles' => 75,'skipOnEmpty' => true ],

        ];
    }
    /**
     * {@inheritdoc}
     */

    public function removeCdnCache(){
        $cdnCacheFolderPath = $this->getCdnAppBasePath();
        $filePath = $cdnCacheFolderPath.$this->path;
        if(is_dir($cdnCacheFolderPath) && file_exists($filePath)){
            @unlink($filePath);
        }
    }
    private function getCdnAppBasePath (){
        $cdnAppBasePath = Yii::$app->basePath . '/../frontend/web/cdn-images/backend/web/uploads/360images/'.self::CDN_CACHE_RESOLUTION['w'].'x'.self::CDN_CACHE_RESOLUTION['h'].'/';
        return $cdnAppBasePath;
    }

}
