<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "newsletter_client_list".
 *
 * @property int $id
 * @property string|null $full_name
 * @property string|null $email
 * @property int|null $phone
 * @property int|null $city_id
 * @property int|null $confirmed
 * @property int|null $created_at
 * @property int|null $updated_at
 */
class NewsletterClientList extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'newsletter_client_list';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['email'], 'required'],
            [['phone', 'city_id', 'confirmed', 'created_at', 'updated_at'], 'integer'],
            [['full_name'], 'string', 'max' => 255],
            [['email'], 'string', 'max' => 256],
            [['email'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'full_name' => 'Full Name',
            'email' => 'Email',
            'phone' => 'Phone',
            'city_id' => 'City ID',
            'confirmed' => 'Confirmed',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
