<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "payments".
 *
 * @property int $id
 * @property string|null $payment_type
 * @property string|null $ref_id
 * @property string|null $ref_product
 * @property float|null $amount
 * @property float|null $transaction_fee
 * @property string|null $payment_status
 * @property string|null $payer_mail
 * @property string|null $transaction_id
 * @property int|null $created
 */
class Payments extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'payments';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['amount', 'transaction_fee'], 'number'],
            [['created'], 'integer'],
            [['payment_type', 'ref_id', 'ref_product', 'payment_status', 'payer_mail', 'transaction_id'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'payment_type' => 'Payment Type',
            'ref_id' => 'Ref ID',
            'ref_product' => 'Ref Product',
            'amount' => 'Amount',
            'transaction_fee' => 'Transaction Fee',
            'payment_status' => 'Payment Status',
            'payer_mail' => 'Payer Mail',
            'transaction_id' => 'Transaction ID',
            'created' => 'Created',
        ];
    }
}
