<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%vehicle}}`.
 */
class m211113_125133_create_vehicle_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $query = <<<EOF
CREATE TABLE `vehicle` (
 `id` int NOT NULL AUTO_INCREMENT,
 `user_id` int NOT NULL,
 `slug` varchar(255) DEFAULT NULL,
 `status` tinyint(1) DEFAULT '0',
 `owner_id` int DEFAULT NULL,
 `owner_type_id` int DEFAULT NULL,
 `is_featured` tinyint(1) DEFAULT '0',
 `price` decimal(10,0) DEFAULT NULL,
 `vehicle_type` int DEFAULT '0',
 `model_year` year DEFAULT NULL,
 `odometer_km` int DEFAULT NULL,
 `odometer_mile` int DEFAULT NULL,
 `color_id` varchar(255) DEFAULT NULL,
 `interior_color_id` varchar(255) DEFAULT NULL,
 `front_left_status` tinyint(1) DEFAULT '1',
 `front_right_status` tinyint(1) DEFAULT '1',
 `back_left_status` tinyint(1) DEFAULT '1',
 `back_right_status` tinyint(1) DEFAULT '1',
 `body_type_id` int DEFAULT NULL,
 `cylinders_id` int DEFAULT NULL,
 `capacity` int DEFAULT NULL,
 `engine_id` int DEFAULT NULL,
 `power` int DEFAULT NULL,
 `rim_size` int DEFAULT NULL,
 `transmission_id` int DEFAULT NULL,
 `drive_id` int DEFAULT NULL,
 `image_counter` int DEFAULT '1',
 `video_file` varchar(255) DEFAULT NULL,
 `manufacturer_id` int DEFAULT NULL,
 `measuring_the_distance_id` int DEFAULT NULL,
 `carseer_url` varchar(255) DEFAULT NULL,
 `created_at` int DEFAULT NULL,
 `updated_at` int DEFAULT NULL,
 `created_by` int DEFAULT NULL,
 `updated_by` int DEFAULT NULL,
 `manufacturer_model_id` int DEFAULT NULL,
 `image360` varchar(255) DEFAULT NULL,
 `is_sold` tinyint(1) DEFAULT '0',
 `car_type` tinyint(1) DEFAULT '1',
 `phone` varchar(20) DEFAULT NULL,
 `is_accidental` tinyint(1) DEFAULT '0',
 PRIMARY KEY (`id`),
 KEY `vehicle_ibfk_10` (`measuring_the_distance_id`),
 KEY `vehicle_ibfk_11` (`manufacturer_model_id`),
 KEY `vehicle_ibfk_5` (`cylinders_id`),
 KEY `vehicle_ibfk_6` (`engine_id`),
 KEY `vehicle_ibfk_7` (`transmission_id`),
 KEY `vehicle_ibfk_8` (`drive_id`),
 KEY `vehicle_ibfk_9` (`manufacturer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3
EOF;
        $this->execute($query);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('{{%vehicle}}');
    }
}
