<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%language}}`.
 */
class m211114_080627_create_language_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $query = <<<EOF
CREATE TABLE `language` (
  `language_id` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `language` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `country` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `name_ascii` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `status` smallint NOT NULL,
  `direction` varchar(125) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'left',
  `opp_direction` varchar(125) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'right'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `language`
--

INSERT INTO `language` (`language_id`, `language`, `country`, `name`, `name_ascii`, `status`, `direction`, `opp_direction`) VALUES
('af-ZA', 'af', 'za', 'Afrikaans', 'Afrikaans', 0, 'left', 'right'),
('ar-AR', 'ar', 'ar', '‏العربية‏', 'Arabic', 1, 'right', 'left'),
('az-AZ', 'az', 'az', 'Azərbaycan dili', 'Azerbaijani', 0, 'left', 'right'),
('be-BY', 'be', 'by', 'Беларуская', 'Belarusian', 0, 'left', 'right'),
('bg-BG', 'bg', 'bg', 'Български', 'Bulgarian', 0, 'left', 'right'),
('bn-IN', 'bn', 'in', 'বাংলা', 'Bengali', 0, 'left', 'right'),
('bs-BA', 'bs', 'ba', 'Bosanski', 'Bosnian', 0, 'left', 'right'),
('ca-ES', 'ca', 'es', 'Català', 'Catalan', 0, 'left', 'right'),
('cs-CZ', 'cs', 'cz', 'Čeština', 'Czech', 0, 'left', 'right'),
('cy-GB', 'cy', 'gb', 'Cymraeg', 'Welsh', 0, 'left', 'right'),
('da-DK', 'da', 'dk', 'Dansk', 'Danish', 0, 'left', 'right'),
('de-DE', 'de', 'de', 'Deutsch', 'German', 0, 'left', 'right'),
('el-GR', 'el', 'gr', 'Ελληνικά', 'Greek', 0, 'left', 'right'),
('en-GB', 'en', 'gb', 'English (UK)', 'English (UK)', 0, 'left', 'right'),
('en-PI', 'en', 'pi', 'English (Pirate)', 'English (Pirate)', 0, 'left', 'right'),
('en-UD', 'en', 'ud', 'English (Upside Down)', 'English (Upside Down)', 0, 'left', 'right'),
('en-US', 'en', 'us', 'English (US)', 'English (US)', 1, 'left', 'right'),
('eo-EO', 'eo', 'eo', 'Esperanto', 'Esperanto', 0, 'left', 'right'),
('es-ES', 'es', 'es', 'Español (España)', 'Spanish (Spain)', 0, 'left', 'right'),
('es-LA', 'es', 'la', 'Español', 'Spanish', 0, 'left', 'right'),
('et-EE', 'et', 'ee', 'Eesti', 'Estonian', 0, 'left', 'right'),
('eu-ES', 'eu', 'es', 'Euskara', 'Basque', 0, 'left', 'right'),
('fa-IR', 'fa', 'ir', '‏فارسی‏', 'Persian', 0, 'left', 'right'),
('fb-LT', 'fb', 'lt', 'Leet Speak', 'Leet Speak', 0, 'left', 'right'),
('fi-FI', 'fi', 'fi', 'Suomi', 'Finnish', 0, 'left', 'right'),
('fo-FO', 'fo', 'fo', 'Føroyskt', 'Faroese', 0, 'left', 'right'),
('fr-CA', 'fr', 'ca', 'Français (Canada)', 'French (Canada)', 0, 'left', 'right'),
('fr-FR', 'fr', 'fr', 'Français (France)', 'French (France)', 0, 'left', 'right'),
('fy-NL', 'fy', 'nl', 'Frysk', 'Frisian', 0, 'left', 'right'),
('ga-IE', 'ga', 'ie', 'Gaeilge', 'Irish', 0, 'left', 'right'),
('gl-ES', 'gl', 'es', 'Galego', 'Galician', 0, 'left', 'right'),
('he-IL', 'he', 'il', '‏עברית‏', 'Hebrew', 0, 'left', 'right'),
('hi-IN', 'hi', 'in', 'हिन्दी', 'Hindi', 0, 'left', 'right'),
('hr-HR', 'hr', 'hr', 'Hrvatski', 'Croatian', 0, 'left', 'right'),
('hu-HU', 'hu', 'hu', 'Magyar', 'Hungarian', 0, 'left', 'right'),
('hy-AM', 'hy', 'am', 'Հայերեն', 'Armenian', 0, 'left', 'right'),
('id-ID', 'id', 'id', 'Bahasa Indonesia', 'Indonesian', 0, 'left', 'right'),
('is-IS', 'is', 'is', 'Íslenska', 'Icelandic', 0, 'left', 'right'),
('it-IT', 'it', 'it', 'Italiano', 'Italian', 0, 'left', 'right'),
('ja-JP', 'ja', 'jp', '日本語', 'Japanese', 0, 'left', 'right'),
('ka-GE', 'ka', 'ge', 'ქართული', 'Georgian', 0, 'left', 'right'),
('km-KH', 'km', 'kh', 'ភាសាខ្មែរ', 'Khmer', 0, 'left', 'right'),
('ko-KR', 'ko', 'kr', '한국어', 'Korean', 0, 'left', 'right'),
('ku-TR', 'ku', 'tr', 'Kurdî', 'Kurdish', 0, 'left', 'right'),
('la-VA', 'la', 'va', 'lingua latina', 'Latin', 0, 'left', 'right'),
('lt-LT', 'lt', 'lt', 'Lietuvių', 'Lithuanian', 0, 'left', 'right'),
('lv-LV', 'lv', 'lv', 'Latviešu', 'Latvian', 0, 'left', 'right'),
('mk-MK', 'mk', 'mk', 'Македонски', 'Macedonian', 0, 'left', 'right'),
('ml-IN', 'ml', 'in', 'മലയാളം', 'Malayalam', 0, 'left', 'right'),
('ms-MY', 'ms', 'my', 'Bahasa Melayu', 'Malay', 0, 'left', 'right'),
('nb-NO', 'nb', 'no', 'Norsk (bokmål)', 'Norwegian (bokmal)', 0, 'left', 'right'),
('ne-NP', 'ne', 'np', 'नेपाली', 'Nepali', 0, 'left', 'right'),
('nl-NL', 'nl', 'nl', 'Nederlands', 'Dutch', 0, 'left', 'right'),
('nn-NO', 'nn', 'no', 'Norsk (nynorsk)', 'Norwegian (nynorsk)', 0, 'left', 'right'),
('pa-IN', 'pa', 'in', 'ਪੰਜਾਬੀ', 'Punjabi', 0, 'left', 'right'),
('pl-PL', 'pl', 'pl', 'Polski', 'Polish', 0, 'left', 'right'),
('ps-AF', 'ps', 'af', '‏پښتو‏', 'Pashto', 0, 'left', 'right'),
('pt-BR', 'pt', 'br', 'Português (Brasil)', 'Portuguese (Brazil)', 0, 'left', 'right'),
('pt-PT', 'pt', 'pt', 'Português (Portugal)', 'Portuguese (Portugal)', 0, 'left', 'right'),
('ro-RO', 'ro', 'ro', 'Română', 'Romanian', 0, 'left', 'right'),
('ru-RU', 'ru', 'ru', 'Русский', 'Russian', 0, 'left', 'right'),
('sk-SK', 'sk', 'sk', 'Slovenčina', 'Slovak', 0, 'left', 'right'),
('sl-SI', 'sl', 'si', 'Slovenščina', 'Slovenian', 0, 'left', 'right'),
('sq-AL', 'sq', 'al', 'Shqip', 'Albanian', 0, 'left', 'right'),
('sr-RS', 'sr', 'rs', 'Српски', 'Serbian', 0, 'left', 'right'),
('sv-SE', 'sv', 'se', 'Svenska', 'Swedish', 0, 'left', 'right'),
('sw-KE', 'sw', 'ke', 'Kiswahili', 'Swahili', 0, 'left', 'right'),
('ta-IN', 'ta', 'in', 'தமிழ்', 'Tamil', 0, 'left', 'right'),
('te-IN', 'te', 'in', 'తెలుగు', 'Telugu', 0, 'left', 'right'),
('th-TH', 'th', 'th', 'ภาษาไทย', 'Thai', 0, 'left', 'right'),
('tl-PH', 'tl', 'ph', 'Filipino', 'Filipino', 0, 'left', 'right'),
('tr-TR', 'tr', 'tr', 'Türkçe', 'Turkish', 0, 'left', 'right'),
('uk-UA', 'uk', 'ua', 'Українська', 'Ukrainian', 0, 'left', 'right'),
('vi-VN', 'vi', 'vn', 'Tiếng Việt', 'Vietnamese', 0, 'left', 'right'),
('xx-XX', 'xx', 'xx', 'Fejlesztő', 'Developer', 0, 'left', 'right'),
('zh-CN', 'zh', 'cn', '中文(简体)', 'Simplified Chinese (China)', 0, 'left', 'right'),
('zh-HK', 'zh', 'hk', '中文(香港)', 'Traditional Chinese (Hong Kong)', 0, 'left', 'right'),
('zh-TW', 'zh', 'tw', '中文(台灣)', 'Traditional Chinese (Taiwan)', 0, 'left', 'right');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `language`
--
ALTER TABLE `language`
  ADD PRIMARY KEY (`language_id`);
COMMIT;

EOF;
        $this->execute($query);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('{{%language}}');
    }
}
