<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%language_translate}}`.
 */
class m211114_081254_create_language_translate_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $query = <<<EOF
CREATE TABLE `language_translate` (
 `id` int NOT NULL,
 `language` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
 `translation` text COLLATE utf8_unicode_ci,
 PRIMARY KEY (`id`,`language`),
 KEY `language_translate_idx_language` (`language`),
 CONSTRAINT `language_translate_ibfk_1` FOREIGN KEY (`language`) REFERENCES `language` (`language_id`) ON DELETE CASCADE ON UPDATE CASCADE,
 CONSTRAINT `language_translate_ibfk_2` FOREIGN KEY (`id`) REFERENCES `language_source` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci
EOF;
        $this->execute($query);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('{{%language_translate}}');
    }
}
