<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%page}}`.
 */
class m211119_113641_create_page_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
       $query = <<< EOF

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `old_autostudio_auction`
--

-- --------------------------------------------------------

--
-- Table structure for table `page`
--

CREATE TABLE `page` (
  `id` int NOT NULL,
  `slug` varchar(255) NOT NULL,
  `status` int NOT NULL DEFAULT '0' COMMENT '0-pending,1-published',
  `comment_status` int NOT NULL DEFAULT '1' COMMENT '0-closed,1-open',
  `image` varchar(255) DEFAULT NULL,
  `image_header` varchar(255) DEFAULT NULL,
  `published_at` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  `revision` int NOT NULL DEFAULT '1',
  `view` varchar(255) NOT NULL DEFAULT 'page',
  `layout` varchar(255) NOT NULL DEFAULT 'main'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Dumping data for table `page`
--

INSERT INTO `page` (`id`, `slug`, `status`, `comment_status`, `image`, `image_header`, `published_at`, `created_at`, `updated_at`, `created_by`, `updated_by`, `revision`, `view`, `layout`) VALUES
(1, 'informative-page', 1, 0, '/uploads/2019/10/img0658.jpg', '/uploads/2019/05/11.jpg', 1555459200, 1555504094, 1631033719, 1, 1, 38, 'page', 'main'),
(3, 'info-center', 1, 1, '/uploads/2019/04/owner.jpg', '', 1557014400, 1557036557, 1633794479, 1, 1, 12, 'page', 'main'),
(4, 'privacy-policy', 1, 1, '', '', 1631404800, 1631450801, 1631450801, 1, 1, 1, 'page', 'main'),
(5, 'terms-conditions', 1, 1, '', '', 1631404800, 1631452615, 1631452615, 1, 1, 1, 'page', 'main');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `page`
--
ALTER TABLE `page`
  ADD PRIMARY KEY (`id`) USING BTREE,
  ADD KEY `page_slug` (`slug`) USING BTREE,
  ADD KEY `page_status` (`status`) USING BTREE;

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `page`
--
ALTER TABLE `page`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
COMMIT;

EOF;
        $this->execute($query);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('{{%page}}');
    }
}
