<?php

namespace frontend\assets;

use yii\helpers\ArrayHelper;
use yii\web\AssetBundle;

/**
 * Main frontend application asset bundle.
 */
class AppAsset extends AssetBundle
{
    public $basePath = '@webroot';
    public $baseUrl = '@web';

    public $jsOptions = array(
        'position' => \yii\web\View::POS_END
    );

    public function init()
    {
        if (\Yii::$app->language == \backend\modules\translatemanager\models\Language::DEFAULT_LANGUAGE)
        {
            $this->js = ArrayHelper::merge([
                'plugins/bootstrap-4.3.1/js/popper.min.js',
                'plugins/bootstrap-4.3.1/js/bootstrap.js',
                'js/jquery.sparkline.min.js',
                'js/circle-progress.min.js',
                'plugins/rating/jquery.rating-stars.js',
                'plugins/owl-carousel/owl.carousel.js',
                'plugins/horizontal-menu/horizontal.js',
                'plugins/counters/counterup.min.js',
                'plugins/counters/waypoints.min.js',
                //'plugins/counters/numeric-counter.js',
                'plugins/counters/jquery.missofis-countdown.js',
                //'plugins/counters/counter.js',
                'js/jquery.touchSwipe.min.js',
                'js/sticky.js',
                'plugins/cookie/jquery.ihavecookies.js',
                'plugins/scroll-bar/jquery.mCustomScrollbar.js',
                'js/swipe.js',
                'js/owl-carousel.js',
                'js/custom.js',
                'js/main.js',
                'js/imagerotator.js',
                'https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.3.5/jquery.fancybox.min.js',
                'js/jquery.lazy.min.js',
                'https://cdn.jsdelivr.net/momentjs/latest/moment.min.js',
                'https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js',
                'https://code.jquery.com/ui/1.13.2/jquery-ui.js'
            ], $this->js);
        }else{
            $this->js = ArrayHelper::merge([
                'plugins/bootstrap-4.3.1/js/popper.min.js',
                'plugins/bootstrap-4.3.1/js/bootstrap-rtl.js',
                'js/jquery.sparkline.min.js',
                'js/circle-progress.min.js',
                'plugins/rating/jquery.rating-stars.js',
                'plugins/owl-carousel/owl.carousel.js',
                'plugins/horizontal-menu/horizontal.js',
                'plugins/counters/counterup.min.js',
                'plugins/counters/waypoints.min.js',
                //'plugins/counters/numeric-counter.js',
                'plugins/counters/jquery.missofis-countdown.js',
                //'plugins/counters/counter.js',
                'js/jquery.touchSwipe.min.js',
                'js/sticky.js',
                'plugins/cookie/jquery.ihavecookies.js',
                'plugins/scroll-bar/jquery.mCustomScrollbar.js',
                'js/swipe.js',
                'js/custom.js',
                'js/main.js',
                'js/owl-carousel-rtl.js',
                'js/imagerotator.js',
                'https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.3.5/jquery.fancybox.min.js',
                'js/jquery.lazy.min.js',
                'https://cdn.jsdelivr.net/momentjs/latest/moment.min.js',
                'https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js',
                'https://code.jquery.com/ui/1.13.2/jquery-ui.js'
            ], $this->js);
        }
        if (\Yii::$app->language == \backend\modules\translatemanager\models\Language::DEFAULT_LANGUAGE) {
            $this->css = ArrayHelper::merge([
                'plugins/jquery-uislider/jquery-ui.css',
                'plugins/bootstrap-4.3.1/css/bootstrap.min.css',
                'plugins/select2/select2.min-rtl.css',
                'plugins/owl-carousel/owl.carousel.css',
                'plugins/scroll-bar/jquery.mCustomScrollbar.css',
                'left/css/style.css',
                'left/css/icons.css',
                'left/color-skins/color13.css',
                'css/custom.css',
                'css/round.css',
                'https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.3.5/jquery.fancybox.min.css'
            ], $this->css);
        }
        else{
            $this->css = ArrayHelper::merge([
                'plugins/jquery-uislider/jquery-ui.css',
                'plugins/bootstrap-4.3.1/css/bootstrap.min.css',
                'plugins/select2/select2.min-rtl.css',
                'plugins/owl-carousel/owl.carousel.css',
                'plugins/scroll-bar/jquery.mCustomScrollbar.css',
                'right/css/style.css',
                'right/css/icons.css',
                'right/color-skins/color13.css',
                'css/custom.css',
                'css/round.css',
                'https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.3.5/jquery.fancybox.min.css'
            ], $this->css);
        }
        parent::init(); // TODO: Change the autogenerated stub
    }

    public $depends = [
        //'yii\web\JqueryAsset',
        'yii\web\YiiAsset',
        //'yii\bootstrap4\BootstrapAsset',
    ];
}
