<?php
use yii\helpers\Html;
use common\models\Vehicle;
use common\models\VehicleImages;

/* @var $model \common\models\Vehicle */

$image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE, 'is_default' => 1]);
if(empty($image)){
    $image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE]);
}
$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id,'language' => Yii::$app->params['short_language']]);

?>

    <!--Related Posts-->
    <div class="item">
        <div class="card mb-0">
            <div class="item-card2-img car-img-responsive">
                <a class="link" href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>"></a>
                <?php if ($image) {?>
                    <?= Html::img($image->getImageFullPath(['resolution' => '530x300', 'quality' => 100]),['alt' => 'img', 'class' => 'cover-image'])?>
                <?php }else{ ?>
                    <?= Html::img( Yii::getAlias('@web/images/car/default.jpg'),['alt' => 'No Image Found','class' => 'cover-image'])?>
                <?php }?>
            </div>
            <div class="card-body pb-0">
                <div class="item-card2">
                    <div class="item-card2-desc">
                        <div class="item-card2-text">
                            <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="text-dark"><h4 class="mb-0"><?= $vehicle_title->title?></h4></a>
                        </div>
                        <div class="d-flex">
                            <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>">

                            </a>
                            <span class="ml-3 pb-0 pt-0 mb-2 mt-2 font-weight-bold"><?= $model->price?> <?= Yii::t('auto','JOD')?></span>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <!--/Related Posts-->

