<?php

use yii\helpers\Html;
use common\models\Vehicle;
use common\models\VehicleImages;
/* @var $this \yii\web\View*/
/* @var $model Vehicle*/
$image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE]);

$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id,'language' => Yii::$app->params['short_language']]);

if (!Yii::$app->user->isGuest) {
    $fav = $model->getFavourite(Yii::$app->user->identity->id, $model->id);
}
?>
<?php \yii\widgets\Pjax::begin()?>

    <div class="tab-pane active" id="course-result">
        <div class="card overflow-hidden">
            <div class="d-md-flex">
                <div class="item-card9-img">
                    <?php if ($model->sell_as == \common\models\Vehicle::FAST) {?>
                        <div class="arrow-ribbon bg-primary"><?= \common\models\Vehicle::VEHICLE_LIVE?></div>
                    <?php }?>
                    <div class="item-card9-imgs">
                        <a class="link" href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>"></a>
                        <?php if ($image) {?>
                            <?= Html::img(Yii::getAlias('@web/uploads/car-listing/'.$image->path),['class' => 'cover-image', 'alt' => 'Image Not Found'])?>
                        <?php }else{?>
                            <?= Html::img( Yii::getAlias('@web/images/car/default.jpg'),['class' => 'cover-image', 'alt' => 'No Image Found'])?>
                        <?php }?>
                    </div>
                    <?php if (!Yii::$app->user->isGuest) {?>
                        <div class="item-card9-icons">
                            <a href="javascript:void(0);" id="cart-<?= $model->id?>" class="item-card9-icons1 wishlist add-to-fav
<?php if ($fav == true) {echo 'active';}else{echo '';}?>"> <i class="fa fa fa-heart-o"></i></a>
                        </div>
                    <?php }?>
                    <?php if ($model->sell_as == \common\models\Vehicle::ROUND) {?>
                        <div class="item-overly-trans">
                     <span>
                       <a class="bg-success">
                           360°
                       </a>
                     </span>
                        </div>
                    <?php }?>
                </div>
                <div class="card border-0 mb-0">
                    <div class="card-body ">
                        <div class="item-card9">
                            <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="text-dark"><h4 class="font-weight-semibold mt-1"> <?= $vehicle_title->title?></h4></a>
                            <div class="item-card9-desc mb-2">
                                <div class="row">
                                    <div class="col-lg-6 col-md-12 col-12">
                                        <a href="#" class="mr-4"><span class=""><i class="fa fa-calendar-o text-muted mr-1"></i>  <?= Yii::$app->formatter->asDate($model->created_at)?></span></a>
                                    </div>
                                    <div class="col-lg-6 col-md-12 col-12">
                                        <div class="item-card9-cost">
                                            <h4 class="text-dark font-weight-bold my-1"><?= $model->price?> <?= Yii::t('auto','JOD')?></h4>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <p class="mb-0 leading-tight">
                                <?=
                                mb_substr($model->other_information,0,200, mb_detect_encoding($model->other_information))."...";
                                ?>
                            </p>
                        </div>
                    </div>
                    <div class="card-footer p-2">
                        <div class="item-card9-footer d-sm-flex">
                            <div class="ml-0">
                                <div class="expired-time bg-transparent text-success p-2 mt-0 text-center">
                                    <?= Yii::t('auto','Expired:')?> <span class="hour"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php \yii\widgets\Pjax::end()?>