<?php

use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\widgets\ActiveForm;
use common\models\VehicleBids;

/* @var $this \yii\web\View */
/* @var $model VehicleBids */
/* @var $show_bid array*/
/* @var $form yii\widgets\ActiveForm */
/* @var $min_value array*/

?>
<div class="vehicle-bid-form">
    <?php $form = ActiveForm::begin([
            'id' => $model->formName(),
            'enableAjaxValidation' => true,
            'validationUrl' => \yii\helpers\Url::toRoute('site/validation')
    ]);
    ?>
        <div class="row numeric-input">
            <div class="col-lg-12 col-md-12 col-sm-12">
                <?= $form->field($model,'bid')->textInput(['placeholder' => Yii::t('auto','Enter Your Price'), 'onkeypress' => 'return onlyNumberKey(event)', 'class' => 'mb-4', 'maxlength' => '12', 'type' => 'tel','min'=>$min_value])->label(false)?>

            </div>
        </div>
        
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12">
                <div class="place-biding-button">
                    <?= Html::submitButton(Yii::t('auto','Place Bid'),['class' => 'btn btn-success'])?>
                </div>
            </div>
        </div>
    <?php $form = ActiveForm::end(); ?>
</div>
<?php

$script = <<< JS
$('form#{$model->formName()}').on('beforeSubmit', function (e) {
    var \$form = $(this);
    $.post(
        \$form.attr("action"),
        \$form.serialize(),
    )

    .done(function (result){
        console.log(result);
            if (result)
        {   
            $(\$form).trigger("reset");
            $(document).find('#model').modal('hide');
            // $.pjax.reload({container:'#company-grid'});
        }else 
        {
            $("#message").html(result);
        }
    }).fail(function ()
     {
        console.log("System Server Error");
    });
    return false;
});
    function onlyNumberKey(evt) {
          
        // Only ASCII character in that range allowed
        var ASCIICode = (evt.which) ? evt.which : evt.keyCode
        if (ASCIICode > 31 && (ASCIICode < 48 || ASCIICode > 57))
            return false;
        return true;
    }
JS;
$this->registerJs($script);


?>