<?php
use yii\helpers\Html;
use yii\grid\GridView;
use yii\bootstrap\Modal;

/* @var $this yii\web\View */
/* @var $model common\models\Vehicle*/

use common\models\VehicleImages;
/* @var $searchModel common\models\VehicleBidsSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */
/* @var $models \common\models\VehicleBids */
/* @var $user \common\models\User */

$image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE, 'is_default' => 1]);
if(empty($image)){
    $image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE]);
}
$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id,'language' => Yii::$app->params['short_language']]);

$this->title = 'Bids'
?>
<!--Breadcrumbs Section-->
<div class="biding-breadcrumbs">
    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white ">
                    <h2 class=""><?= $vehicle_title->title?></h2>
                    <ol class="breadcrumb text-center">
                        <li class="breadcrumb-item"><a href="/"><?= Yii::t('auto','Home')?></a></li>
                        <li class="breadcrumb-item active text-white" aria-current="page"><?= Yii::t('auto','Bid')?></li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
</div>
<!--Breadcrumbs Section-->

<div class="container mt-5 pt-2 biding-item-section">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="item2-gl ">
                        <div class="tab-content pt-0">
                            <div class="tab-pane active" id="tab-11">
                                <div class="card mb-0">
                                    <div class="d-md-flex">
                                        <div class="item-card9-img">
                                            <div class="item-card9-imgs">
                                                <?php if($image){?>
                                                    <?= Html::img($image->getImageFullPath(),['class' => 'cover-image'])?>
                                                <?php }else{ ?>
                                                    <?= Html::img(Yii::getAlias('@web/images/car/default.jpg'),['class' => 'cover-image'])?>
                                                <?php }?>
                                            </div>
                                        </div>
                                        <div class="card border-0 mb-0">
                                            <div class="card-body ">
                                                <div class="item-card9">
                                                    <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="text-dark"><h4 class="font-weight-semibold mt-1"><?= $vehicle_title->title?></h4></a>
                                                    <div class="item-card9-desc mb-2">
                                                        <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="mr-4"><span class=""><i class="fa fa-car text-muted mr-1"></i> <?= $model->getData('manufacturer_id')?></span></a>
                                                        <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="mr-4"><span class=""><i class="fa fa-calendar-o text-muted mr-1"></i><?= Yii::$app->formatter->asDate($model->created_at)?></span></a>
                                                    </div>
                                                    <p class="mb-0 leading-tight">
                                                        <?=$model->other_information?>
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="card-footer pt-4 pb-4">
                                                <div class="item-card9-footer d-md-flex">
                                                    <div class="item-card9-cost">
                                                        <h4 class="text-dark font-weight-bold mb-0 mt-0"><?= $model->price?> <?= Yii::t('auto','JOD')?></h4>
                                                    </div>
                                                    <div class="ml-auto">
                                                        <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="mr-4" title="Car type"><i class="fa fa-car  mr-1 text-muted"></i>
                                                            <?= $model->getData('transmission_id')?></a>
                                                        <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="mr-4" title="Kilometrs"><i class="fa fa-road text-muted mr-1 "></i>
                                                            <?= $model->odometer_km?> <?= Yii::t('auto','Kms')?></a>
                                                        <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="" title="FuealType"><i class="fa fa-tachometer text-muted mr-1"></i>
                                                            <?= $model->getData('engine_id')?></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<!--Section-->
<section class="sptb pt-5 biding-order-list">
    <div class="container">
        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12">
                <div class="card mb-0">
                    <div class="card-header">
                        <h3 class="card-title"><?= Yii::t('auto','Bids List')?></h3>
                    </div>
                    <div class="card-body">
                        <?= GridView::widget([
                            'dataProvider' => $dataProvider,
                            'filterModel' => false,
                            'columns' => [
                                [
                                    'attribute' => 'user_id',
                                    'format' => 'raw',
                                    'value' => function($model){
                                        return Html::a($model->user->name,\yii\helpers\Url::toRoute(['site/dealer-profile','id' => $model->user->id]));
                                    },
                                    'filter' => false
                                ],
                                [
                                    'attribute' => 'bid',
                                    'filter' => false
                                ],
                                [
                                    'attribute' => 'created_at',
                                    'filter' => false
                                ],
                            ],
                        ]); ?>


                    </div>

                </div>
            </div>
        </div>
    </div>
</section>
<!--/Section-->