<?php



use yii\helpers\Html;

use common\models\Setting;

use common\models\Vehicle;



$buy_car_content = Setting::findOne(['group' => Setting::SELL_CAR, 'key' => Setting::BUY, 'language' => Yii::$app->params['short_language']]);

$sell_car_content = Setting::findOne(['group' => Setting::SELL_CAR, 'key' => Setting::SELL, 'language' => Yii::$app->params['short_language']]);

?>





<section class="sptb bg-white bg-white-quick-access home">

    <div class="container">

        <div class="section-title center-block text-center">

            <h2><?= Yii::t('auto','The best platform for new & used cars')?></h2>

        </div>

        <div class="row">

            <div class="col-lg-12">

                <div class="two-part-car">

                    <div class="buy-sell-section">

                        <div class="buy-sell-1 p-0 "  style="cursor: pointer" onclick="location.href='<?= \yii\helpers\Url::toRoute(['site/search?keyword=&car_type='.Vehicle::FREE]) ?>'">

                            <div class="card card-border-<?= Yii::$app->params['opp_direction']?> m-0 mb-2">

                                <div class="card-body py-0">

                                    <div class="item-box text-<?= Yii::$app->params['opp_direction']?>">

                                        <div class="item-box-wrap">

                                            <h5 class="mb-5"><?= Yii::t('auto','Search for Car')?></h5>

                                            <p class="mb-0"><?= Yii::t('auto','Search our database for your preferred car!')?></p>

                                        </div>

                                        <a href="<?= \yii\helpers\Url::toRoute(['site/search?keyword=&car_type='.Vehicle::FREE]) ?>" class="rounded-0 mt-4 btn btn-primary br-tl-3 br-bl-3"> <i class="fa fa-search"></i> <?= Yii::t('auto','Start here')?> </a>

                                    </div>

                                </div>

                            </div>

                            <div class="platform-car-img">

                                <?= Html::img(Yii::getAlias('@web/images/car/blue-1.jpg'),['class' => 'platform-car'])?>

                            </div>



                        </div>

                        <div class="car-card-border"></div>

                        <div class="buy-sell-2 p-0" onclick="location.href='<?=\yii\helpers\Url::toRoute('/site/sell-your-car')?>';" style="cursor: pointer">

                            <div class="card card-border-<?= Yii::$app->params['direction']?> m-0 mb-2">

                                <div class="card-body py-0">

                                    <div class="item-box text-<?= Yii::$app->params['direction']?>">

                                        <div class="item-box-wrap">

                                            <h5 class="mb-5 item-gray-color"><?= Yii::t('auto','Sell your car')?></h5>

                                            <p class="mb-0"><?= Yii::t('auto','Sell your car with easy steps')?></p>

                                        </div>

                                        <a href="<?=\yii\helpers\Url::toRoute('/site/sell-your-car')?>" class="rounded-0 mt-4 btn btn-primary br-tl-3 br-bl-3 item-gray-color"> <?= Yii::t('auto','Start here')?> </a>

                                    </div>

                                </div>

                            </div>

                            <div class="platform-car-img">

                                <?= Html::img(Yii::getAlias('@web/images/car/black-1.jpg'),['class' => 'platform-car'])?>

                            </div>



                        </div>

                    </div>

                </div>

            </div>

        </div>

        <div class="row justify-content-md-center quick-access-main">
            <div class="form-group col-lg-6 col-md-6">
                <div class="d-flex align-items-center justify-content-end mr-2 ml-2">
                    <div class="quick-access">
                        <?= Yii::t('auto', 'Quick Access'); ?>
                    </div>
                    <?= Html::a('<span class="oto-bauhaus-font">'.Yii::t('auto','OtO').' </span>'.Yii::t('auto','360&deg;'),\yii\helpers\Url::toRoute(['site/search?keyword=&car_type='.Vehicle::ROUND]),['class' => 'btn btn-primary oto-name-btn btn'])?>
                    </div>
                </div>
                <div class="form-group col-lg-6 col-md-6 ar_right">
                    <div class="ml-2 mr-2">
                        <?= Html::a('<span class="oto-bauhaus-font">'.Yii::t('auto','OtO').' </span>'.Yii::t('auto','Auction'),\yii\helpers\Url::toRoute(['site/search?keyword=&car_type='.Vehicle::FAST]),['class' => 'btn btn-primary oto-name-btn'])?>
                    </div>
                </div>

        </div>

    </div>

</section>

