<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap4\ActiveForm */
/* @var $model \common\models\LoginForm */

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<!--Section-->
<section>
    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white">
                    <h1 class=""><?= Yii::t('auto','Login')?></h1>
                </div>
            </div>
        </div>
    </div>
</section>
<!--Section-->

<!--Login-Section-->
<section class="sptb">
    <div class="container customerpage">
        <div class="row">
            <div class="single-page" >
                <div class="col-lg-5 col-xl-4 col-md-6 d-block mx-auto">
                    <div class="wrapper wrapper2">
                        <?php $form = ActiveForm::begin(['id' => 'login-form']); ?>
                        <div tabindex="500" class="card-body">
                            <h3><?= Yii::t('auto','Login')?></h3>
                            <div class="mail">
                                <?= $form->field($model, 'email')->textInput()->label(Yii::t('auto','Email')) ?>
                            </div>
                            <div class="passwd">
                                <?= $form->field($model, 'password')->passwordInput()->label(Yii::t('auto','Password')) ?>
                            </div>
                            <div class="submit">
                                <?= Html::submitButton(Yii::t('auto','Login'), ['class' => 'btn btn-primary btn-block', 'name' => 'login-button']) ?>
                            </div>
                            <p class="mb-2 mt-2">
                                <a href="<?= \yii\helpers\Url::to('request-password-reset')?>" ><?= Yii::t('auto','Forgot Password')?></a>
                            </p>
                            <p class="text-dark mb-0"><?= Yii::t('auto',"Don't have account?")?>
                                <a href="<?= \yii\helpers\Url::to('signup')?>" class="text-primary ml-1"><?= Yii::t('auto','Sign Up')?></a>
                            </p>
                            <?php
                            use yii\authclient\widgets\AuthChoice;
                            ?>
                            <?php $authAuthChoice = AuthChoice::begin([
                                'baseAuthUrl' => ['site/auth', 'task'=>'login'],
                                'popupMode' => false
                            ]); ?>
                            <?php foreach ($authAuthChoice->getClients() as $client):
                                switch($client->getId()) {
                                    case 'google':
                                        $link = $authAuthChoice->clientLink($client, '<i class="fa fa-google fa-fw"></i> '.Yii::t('auto', 'Login with Google'), ['class' => 'btn  btn-google btn-block']);
                                        break;
                                    case 'facebook':
                                        $link = $authAuthChoice->clientLink($client, '<i class="fa fa-facebook fa-fw"></i> '. Yii::t('auto', 'Login with Facebook'), ['class' => 'btn  btn-facebook btn-block']);
                                        break;

                                }?>
                                <div class="mb-2 mt-2">
                                    <?= $link ?>
                                </div>

                            <?php endforeach; ?>
                            <?php AuthChoice::end(); ?>

                        </div>
                        <?php ActiveForm::end(); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--/Login-Section-->

