<?php

/* @var $this yii\web\View */
/* @var $model common\models\User */
/* @var $active*/

if(!isset($active)){
    $active = '';
}

use yii\helpers\Html;

$this->title = 'User Dashboard';
?>
<!--Section-->
<section>
    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white ">
                    <h2 class=""><?= Yii::t('auto','User Profile')?></h2>
                    <ol class="breadcrumb text-center">
                        <li class="breadcrumb-item"><a href="/"><?= Yii::t('auto','Home')?></a></li>
                        <li class="breadcrumb-item active text-white" aria-current="page">
                            <?= Yii::t('auto','User Profile')?></li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
</section>
<!--Section-->
<!--User Profile-->
<section class="sptb">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="profile-card-footer card-footer">
                        <div class="wideget-user-tab">
                            <div class="tab-menu-heading">
                                <div class="tabs-menu1">
                                    <ul class="nav">
                                        <li class=""><a href="#profile" class=" <?=$active==''?"active":""?>" data-toggle="tab">
                                                <?= Yii::t('auto','Profile')?></a></li>
                                        <li><a href="#edit-profile" data-toggle="tab" class="<?=$active=='edit-profile'?"active":""?>">
                                                <?= Yii::t('auto','Edit Profile')?></a></li>
                                        <li><a href="#change-password" data-toggle="tab" class=" <?=$active=='change-password'?"active":""?>"><?= Yii::t('auto','Change Password')?>
                                            </a></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="card mb-0">
                    <div class="card-body">
                        <div class="border-0">
                            <div class="tab-content">

                                <?= $this->render('user-dashboard/_profile.php',[
                                    'model' => $model,
                                    'active' => $active,
                                ])?>

                                <?= $this->render('user-dashboard/_edit_profile.php',[
                                    'model' => $model,
                                    'active' => $active,
                                ])?>

                                <?= $this->render('user-dashboard/_change_password.php',[
                                    'model' => $model,
                                    'changePasswordForm' => $changePasswordForm,
                                    'active' => $active,
                                ])?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--/User Profile-->
